commit 7d2f0938c (HEAD -> main)
Author: John Beranek <jberanek@users.sourceforge.net>
Date:   Fri Nov 14 14:03:33 2025 +0000

    Updated version for release of 1.12.1.

 web/version_num.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6b72b19e2 (origin/main, origin/HEAD)
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 14 11:22:27 2025 +0000

    Provide four different language tokens for "Today" to allow sites the option of having different strings in the day, week, month and year views.  See GitHub Issue #3931.

 web/index.php       |  2 +-
 web/lang/lang.ca    |  5 ++++-
 web/lang/lang.de    |  7 +++++--
 web/lang/lang.en    |  5 ++++-
 web/lang/lang.es    |  7 +++++--
 web/lang/lang.fr    |  5 ++++-
 web/lang/lang.ms    |  5 ++++-
 web/lang/lang.nb    |  5 ++++-
 web/lang/lang.nl    | 13 ++++++++-----
 web/lang/lang.nn    |  5 ++++-
 web/lang/lang.no    |  5 ++++-
 web/lang/lang.pl    |  7 +++++--
 web/lang/lang.pt-br | 15 +++++++++------
 web/lang/lang.sv    |  5 ++++-
 web/lang/lang.zh-cn |  5 ++++-
 15 files changed, 69 insertions(+), 27 deletions(-)

commit 38e743dae
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 14 01:24:47 2025 +0000

    Fix typo in comment

 web/pending.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69c8cff47
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 14 01:16:04 2025 +0000

    Fix TypeError causing "DataTables warning: table id=pending_table - Incorrect column count" error.  See GitHub Issue #3930.

 web/pending.php | 2 ++
 1 file changed, 2 insertions(+)

commit 5dfdea663 (tag: v1.12.0)
Author: John Beranek <jberanek@users.sourceforge.net>
Date:   Wed Nov 12 18:21:34 2025 +0000

    Fixed Docker build and updated PHP version to 8.4.

 Dockerfile | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 587fb0aae
Author: John Beranek <jberanek@users.sourceforge.net>
Date:   Wed Nov 12 17:54:11 2025 +0000

    Updated ChangeLog and NEWS for release of 1.12.0.

 ChangeLog | 7243 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 NEWS      |  201 ++
 2 files changed, 7442 insertions(+), 2 deletions(-)

commit c1c419a51
Author: John Beranek <jberanek@users.sourceforge.net>
Date:   Wed Nov 12 16:21:51 2025 +0000

    Updated version number for release of 1.12.0

 web/version_num.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 751173bdf
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Nov 11 16:52:36 2025 +0000

    Add DocBlock

 web/language.inc | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit 58a276cd3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Nov 11 16:38:11 2025 +0000

    Change exception type

 web/lib/MRBS/Intl/Locale.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 87716cdd3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Nov 11 16:25:21 2025 +0000

    Fix bug causing the DataTables language to be set to the best available language in the browser preferences, rather than the $override_locale, when the $override_locale is set to 'en-XX', where 'XX' is anything other than 'GB', for example 'en-AU'.

 web/language.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ccb9e658
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Nov 11 09:18:08 2025 +0000

    Correct spelling mistake in comment

 web/systemdefaults.inc.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 138baa682
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 10 18:51:44 2025 +0000

    Improve Norwegian language translation.  See GitHub Issue #3922.

 web/lang/lang.nb | 268 +++++++++++++++++++++++++++++++++++----------
 web/lang/lang.nn | 268 +++++++++++++++++++++++++++++++++++----------
 web/lang/lang.no | 267 ++++++++++++++++++++++++++++++++++----------
 3 files changed, 623 insertions(+), 180 deletions(-)

commit 6a1903949
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 10 18:24:22 2025 +0000

    Add DocBlock

 web/language.inc             | 13 +++++++++----
 web/lib/MRBS/Intl/Locale.php | 11 +++++++----
 2 files changed, 16 insertions(+), 8 deletions(-)

commit 9e7f94445
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 10 18:02:39 2025 +0000

    Remove redundant test

 web/lib/MRBS/Intl/Locale.php | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit fd77c97f2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 10 17:57:24 2025 +0000

    Add DocBlock

 web/lib/MRBS/Intl/Locale.php | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit a45a4fefc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 10 17:50:48 2025 +0000

    Make return value of \MRBS\Intl\Locale::acceptFromHttp() compatible with \Locale::acceptFromHttp()

 web/language.inc             | 2 +-
 web/lib/MRBS/Intl/Locale.php | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 251f22cf2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 9 16:42:46 2025 +0000

    Add DocBlock

 web/lib/MRBS/Auth/Auth.php | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 693a919b8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 9 16:40:20 2025 +0000

    Add DocBlock

 web/lib/MRBS/Auth/Auth.php | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit ba1263d00
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 9 16:34:36 2025 +0000

    Add DocBlock

 web/lib/MRBS/Auth/Auth.php | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit a44df1e07
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 9 16:28:39 2025 +0000

    Add DocBlock

 web/lib/MRBS/Auth/Auth.php | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 1ea450c6f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 9 16:19:00 2025 +0000

    Add DocBlock

 web/lib/MRBS/Auth/Auth.php | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 61363723c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 9 14:41:21 2025 +0000

    Add DocBlock

 web/functions.inc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit dad5fc8cb
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 9 14:36:32 2025 +0000

    Simplify code

 web/functions.inc | 16 ++--------------
 1 file changed, 2 insertions(+), 14 deletions(-)

commit 904fdd68f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 18:42:12 2025 +0000

    Add DocBlock

 web/functions.inc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 95b7cbb84
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 18:36:14 2025 +0000

    Rewrite period_time_string().

 web/functions.inc                            | 25 +++++++++++-------
 .../MRBS/Calendar/CalendarMonthOneRoom.php   |  2 +-
 2 files changed, 16 insertions(+), 11 deletions(-)

commit 5125fd8d7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 13:10:29 2025 +0000

    Simplify code

 web/functions_view.inc | 18 ++----------------
 1 file changed, 2 insertions(+), 16 deletions(-)

commit 3477029e3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 12:19:59 2025 +0000

    Simplify code

 web/search.php | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit bf8673355
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 12:10:07 2025 +0000

    Fix bug preventing Search from working.

 web/js/datepicker.js.php | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit b233ac90f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 10:51:36 2025 +0000

    Simplify code

 web/pending.php | 11 +----------
 1 file changed, 1 insertion(+), 10 deletions(-)

commit 1f474c9d2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 10:45:23 2025 +0000

    Add type declarations

 web/functions.inc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit f29900f40
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 10:38:42 2025 +0000

    Introduce new function date_string().

 web/functions.inc | 7 +++++++
 web/pending.php   | 9 +--------
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 045e92fbc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 10:21:07 2025 +0000

    Convert period_date_string() to return a string, for compatibility with time_date_string

 web/functions.inc      | 4 ++--
 web/functions_view.inc | 4 ++--
 web/pending.php        | 4 ++--
 web/report.php         | 2 +-
 web/search.php         | 2 +-
 5 files changed, 8 insertions(+), 8 deletions(-)

commit a6d993746
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 09:45:30 2025 +0000

    Remove commented out line

 web/pending.php | 1 -
 1 file changed, 1 deletion(-)

commit 6cef60f3a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 8 09:01:59 2025 +0000

    Add DocBlock

 web/functions.inc | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit eb7b8fc37
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 7 19:15:29 2025 +0000

    Fix bug when using periods.

 web/pending.php | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit bd032c22c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 7 18:45:34 2025 +0000

    Fix bug introduced in the previous fix when the index page URL ends in '/', rather than 'index.php'.  See GitHib Issue #3915.

 web/lib/MRBS/Session/SessionPhp.php | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit a5beacf7c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 7 16:42:23 2025 +0000

    Fix TypeError

 web/edit_entry_handler.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 944d5e795
Merge: 8aa1cbba6 003262f72
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 7 16:28:07 2025 +0000

    Merge pull request #3921 from mi-dave/approvals-extra-fields
    
    Add duration, end time, and description (on hover) to the Bookings awaiting approval table

commit 8aa1cbba6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 7 08:59:10 2025 +0000

    Fix bug causing the Back button on the edit_entry page not to work when using a proxy.  See GitHib Issue #3915.

 web/lib/MRBS/Session/SessionPhp.php | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit f20cfd452
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 7 08:56:52 2025 +0000

    Remove @throws tags for exceptions that shouldn't normally need handling.

 web/lib/MRBS/Errors/Errors.php     |  3 ---
 web/lib/MRBS/Mbstring/Mbstring.php | 23 +----------------------
 web/lib/MRBS/Utf8/Utf8Char.php     |  5 -----
 web/lib/MRBS/Utf8/Utf8String.php   | 10 ----------
 4 files changed, 1 insertion(+), 40 deletions(-)

commit f5f0bd772
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 7 08:52:52 2025 +0000

    Revert "Remove @throws tags for exceptions that shouldn't normally need handling."
    
    This reverts commit 79aa871a189747077ebde43ccb357a4ad71533a5.

 web/lib/MRBS/Errors/Errors.php      |  3 +++
 web/lib/MRBS/Mbstring/Mbstring.php  | 23 ++++++++++++++++++++++-
 web/lib/MRBS/Session/SessionPhp.php | 14 ++------------
 web/lib/MRBS/Utf8/Utf8Char.php      |  5 +++++
 web/lib/MRBS/Utf8/Utf8String.php    | 10 ++++++++++
 5 files changed, 42 insertions(+), 13 deletions(-)

commit b97f9f679
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Nov 6 16:46:40 2025 +0000

    Tidy comments for getRegistrantsDisplayNamesUnsorted().

 web/lib/MRBS/Auth/Auth.php   | 3 +++
 web/lib/MRBS/Auth/AuthDb.php | 3 +++
 2 files changed, 6 insertions(+)

commit 269dc2528
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Nov 6 16:42:50 2025 +0000

    Tidy comments for getRegistrantsDisplayNames().

 web/lib/MRBS/Auth/Auth.php | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 3143cedba
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Nov 6 16:39:48 2025 +0000

    Tidy comments for validatePassword().

 web/lib/MRBS/Auth/Auth.php | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 003262f72
Author: Dave Miller <Dave.Miller@maths.ox.ac.uk>
Date:   Thu Nov 6 16:37:42 2025 +0000

    Add duration, end time, and description (on hover) to the Bookings awaiting approval table
    
    Closes #3918

 web/pending.php | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit fb7d6a369
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Nov 6 16:35:40 2025 +0000

    Tidy comments for canResetByEmail().

 web/lib/MRBS/Auth/Auth.php   | 4 +++-
 web/lib/MRBS/Auth/AuthDb.php | 7 ++++---
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 9760f540f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Nov 6 16:32:18 2025 +0000

    Tidy comments for canResetPassword().

 web/lib/MRBS/Auth/Auth.php   | 4 +++-
 web/lib/MRBS/Auth/AuthDb.php | 3 ++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 5377acac3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Nov 6 16:12:50 2025 +0000

    Tidy comments for canValidateByUsername().

 web/lib/MRBS/Auth/Auth.php        | 4 +++-
 web/lib/MRBS/Auth/AuthImap.php    | 3 ++-
 web/lib/MRBS/Auth/AuthImapPhp.php | 3 ++-
 web/lib/MRBS/Auth/AuthWix.php     | 3 ++-
 4 files changed, 9 insertions(+), 4 deletions(-)

commit 50b6721f2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Nov 5 17:07:57 2025 +0000

    Tidy comments for canValidateByEmail().

 web/lib/MRBS/Auth/Auth.php          | 4 +++-
 web/lib/MRBS/Auth/AuthDb.php        | 3 ++-
 web/lib/MRBS/Auth/AuthImap.php      | 3 ++-
 web/lib/MRBS/Auth/AuthImapPhp.php   | 3 ++-
 web/lib/MRBS/Auth/AuthPop3.php      | 3 ++-
 web/lib/MRBS/Auth/AuthWix.php       | 3 ++-
 web/lib/MRBS/Auth/AuthWordpress.php | 7 ++++---
 7 files changed, 17 insertions(+), 9 deletions(-)

commit 75100e541
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Nov 5 17:00:52 2025 +0000

    Tidy comments for canCreateUsers().

 web/lib/MRBS/Auth/Auth.php   | 9 ++++++---
 web/lib/MRBS/Auth/AuthDb.php | 3 ++-
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 56663e1f4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Nov 5 16:52:54 2025 +0000

    Tidy comments for getUsernameByEmail().

 web/lib/MRBS/Auth/Auth.php   | 9 ++++++---
 web/lib/MRBS/Auth/AuthDb.php | 5 ++---
 2 files changed, 8 insertions(+), 6 deletions(-)

commit 638e78d5e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Nov 5 16:08:01 2025 +0000

    Tidy comments for validateUser().

 web/lib/MRBS/Auth/Auth.php          | 13 +++----------
 web/lib/MRBS/Auth/AuthAuthBasic.php | 11 +----------
 web/lib/MRBS/Auth/AuthCas.php       | 11 +----------
 web/lib/MRBS/Auth/AuthConfig.php    | 11 +----------
 web/lib/MRBS/Auth/AuthCrypt.php     | 11 +----------
 web/lib/MRBS/Auth/AuthDb.php        | 12 ++----------
 web/lib/MRBS/Auth/AuthDbExt.php     | 11 +----------
 web/lib/MRBS/Auth/AuthExt.php       | 11 +----------
 web/lib/MRBS/Auth/AuthIdcheck.php   | 11 +----------
 web/lib/MRBS/Auth/AuthImap.php      | 11 +----------
 web/lib/MRBS/Auth/AuthImapPhp.php   | 12 ++----------
 web/lib/MRBS/Auth/AuthJoomla.php    | 11 +----------
 web/lib/MRBS/Auth/AuthLdap.php      | 11 +----------
 web/lib/MRBS/Auth/AuthNone.php      |  8 +++-----
 web/lib/MRBS/Auth/AuthNw.php        | 11 +----------
 web/lib/MRBS/Auth/AuthPop3.php      | 11 +----------
 web/lib/MRBS/Auth/AuthSaml.php      | 11 +----------
 web/lib/MRBS/Auth/AuthWix.php       | 11 +----------
 web/lib/MRBS/Auth/AuthWordpress.php | 12 ++----------
 19 files changed, 26 insertions(+), 185 deletions(-)

commit 95390f099
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Nov 5 12:44:26 2025 +0000

    Add config options to allow optional output of errors in debug mode to the browser (default true) and the browser console (default false).

 web/lib/MRBS/Errors/Errors.php | 10 ++++++++--
 web/systemdefaults.inc.php     |  6 ++++++
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 5275df481
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Nov 5 12:28:30 2025 +0000

    Add return tag

 web/lib/MRBS/Errors/Errors.php | 2 ++
 1 file changed, 2 insertions(+)

commit 79aa871a1
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Nov 5 12:22:22 2025 +0000

    Remove @throws tags for exceptions that shouldn't normally need handling.

 web/lib/MRBS/Errors/Errors.php      |  3 ---
 web/lib/MRBS/Mbstring/Mbstring.php  | 23 +----------------------
 web/lib/MRBS/Session/SessionPhp.php | 14 ++++++++++++--
 web/lib/MRBS/Utf8/Utf8Char.php      |  5 -----
 web/lib/MRBS/Utf8/Utf8String.php    | 10 ----------
 5 files changed, 13 insertions(+), 42 deletions(-)

commit e7276d6af
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 3 18:31:50 2025 +0000

    Eliminate duplicate code.

 web/lib/MRBS/Mailer.php | 41 +++++++++++++++++++++++++--------------
 1 file changed, 26 insertions(+), 15 deletions(-)

commit 9c9ff94b8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 3 18:04:10 2025 +0000

    Move comment

 web/lib/MRBS/Errors/Errors.php | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 854b14882
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 3 18:01:51 2025 +0000

    Add DocBlocks

 web/lib/MRBS/Errors/Errors.php | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit 7081b6ccf
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 3 17:52:35 2025 +0000

    Add DocBlocks

 web/lib/MRBS/Mailer.php | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

commit 9c3a85d24
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 3 17:38:17 2025 +0000

    Add DocBlocks

 web/lib/MRBS/Errors/Errors.php | 56 ++++++++++++++++++++++----------
 1 file changed, 39 insertions(+), 17 deletions(-)

commit 709a5f61b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 2 17:07:02 2025 +0000

    Add DocBlocks

 web/lib/MRBS/Utf8/Utf8Char.php   | 20 +++++++++++++++++---
 web/lib/MRBS/Utf8/Utf8String.php |  6 ++++++
 2 files changed, 23 insertions(+), 3 deletions(-)

commit 56a70fd5d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 2 16:56:27 2025 +0000

    Add DocBlocks

 web/lib/MRBS/Utf8/Utf8String.php | 100 ++++++++++++++++++++---------
 1 file changed, 68 insertions(+), 32 deletions(-)

commit 53aafcb7e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 2 16:22:20 2025 +0000

    Change type of exception thrown.

 web/lib/MRBS/Mbstring/Mbstring.php | 15 +++++++--------
 web/lib/MRBS/Utf8/Utf8String.php   |  6 +++---
 2 files changed, 10 insertions(+), 11 deletions(-)

commit e95655c64
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 2 15:39:50 2025 +0000

    Update DocBlocks

 web/lib/MRBS/Mbstring/Mbstring.php | 5 +++++
 1 file changed, 5 insertions(+)

commit 998251632
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 2 15:26:01 2025 +0000

    Add DocBlocks

 web/lib/MRBS/Mbstring/Mbstring.php | 106 ++++++++++++++++++++++++---
 1 file changed, 96 insertions(+), 10 deletions(-)

commit d16f0c152
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 2 13:54:33 2025 +0000

    Restructure - move function into class

 web/functions.inc                  | 28 -----------------------
 web/lib/MRBS/Mbstring/Mbstring.php | 34 ++++++++++++++++++++++++++--
 2 files changed, 32 insertions(+), 30 deletions(-)

commit 2f82a5f9c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 1 14:17:17 2025 +0000

    Fix bug introduced in recent commit.

 web/lib/MRBS/Errors/Errors.php | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 240356159
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 1 11:40:54 2025 +0000

    Remove debug code accidentally left in in a previous commit.

 web/lib/MRBS/Errors/Handler/PHPMailerHandler.php | 2 --
 1 file changed, 2 deletions(-)

commit dbef28111
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 1 11:25:06 2025 +0000

    Fix bug introduced in recent commit causing usernames and passwords to appear in error logs.

 web/lib/MRBS/Errors/Errors.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 18c4865d2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Oct 30 17:17:57 2025 +0000

    Add comment.

 web/init.inc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 31e9b9b8d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Oct 30 15:43:36 2025 +0000

    Fix errors such as "Declaration of Psr\Log\AbstractLogger::emergency(Stringable|string $message, array $context = []): void must be compatible with Psr\Log\LoggerInterface::emergency($message, array $context = [])" when running with Joomla 5 or Joomla 6.

 web/init.inc | 52 +++++++++++++++++++++++++++++++++-----------------
 1 file changed, 35 insertions(+), 17 deletions(-)

commit 07d0f7afa
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Oct 28 17:36:30 2025 +0000

    Make Mailer add an Auto-Submitted header, thus generating it for logging emails.

 web/lib/MRBS/MailQueue.php | 1 -
 web/lib/MRBS/Mailer.php    | 5 +++++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 3a0ee3748
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Oct 28 17:27:52 2025 +0000

    Remove redundant use statement.

 web/lib/MRBS/MailQueue.php | 1 -
 1 file changed, 1 deletion(-)

commit 784c75a91
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Oct 28 15:26:04 2025 +0000

    Generate stacktrace for all major errors, even when not debugging.

 web/lib/MRBS/Errors/Errors.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ee40d03fa
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Oct 27 18:07:17 2025 +0000

    Upgrade PHPMailer to Version 7.0.0 (no change except for version number!)

 web/lib/PHPMailer/PHPMailer/PHPMailer.php | 2 +-
 web/lib/PHPMailer/PHPMailer/POP3.php      | 2 +-
 web/lib/PHPMailer/PHPMailer/SMTP.php      | 2 +-
 web/lib/PHPMailer/README.md               | 2 +-
 web/lib/PHPMailer/VERSION                 | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 6b76045d7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 26 17:00:43 2025 +0000

    Improve subject line in emailed logs

 .../MRBS/Errors/Handler/PHPMailerHandler.php | 19 +++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

commit 294806e25
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 26 08:26:03 2025 +0000

    Make the logging channel name a configuration option

 web/lib/MRBS/Errors/Errors.php | 2 +-
 web/systemdefaults.inc.php     | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit f05290031
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 25 17:48:57 2025 +0100

    Add the ability to configure mailing log levels.

 web/lib/MRBS/Errors/Errors.php | 2 +-
 web/systemdefaults.inc.php     | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 2132adee6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 25 16:37:10 2025 +0100

    Remove redundant code

 web/lib/MRBS/Errors/Errors.php | 10 ----------
 1 file changed, 10 deletions(-)

commit f5ef97bd3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 25 15:58:44 2025 +0100

    Mail logging working

 web/lib/MRBS/Errors/Errors.php               |  5 +++
 .../MRBS/Errors/Handler/PHPMailerHandler.php | 33 +++++++++++++++++-
 2 files changed, 37 insertions(+), 1 deletion(-)

commit 614553730
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 25 12:10:46 2025 +0100

    Rename config variables

 web/lib/MRBS/Errors/Errors.php | 11 +++++++----
 web/systemdefaults.inc.php     | 16 +++++++++++++---
 2 files changed, 20 insertions(+), 7 deletions(-)

commit 10ee7fba6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 25 11:52:34 2025 +0100

    revert exception handling now that the Logger fix has been merged.

 web/lib/MRBS/Mailer.php | 17 ++---------------
 1 file changed, 2 insertions(+), 15 deletions(-)

commit 9ab84f8cf
Merge: e575561e6 2c2961d86
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 25 11:45:59 2025 +0100

    Merge branch 'main' into monolog

commit 2c2961d86
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 25 10:57:37 2025 +0100

    Fix uncaught exception when trying to log in with an email address such as "abc@gmail. com".

 web/lib/MRBS/Logger.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c0ddc6fe
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 25 10:44:52 2025 +0100

    Add SensitiveParameter attributes

 web/lib/MRBS/Auth/AuthDb.php | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit e575561e6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Oct 24 18:33:38 2025 +0100

    Start adding a mailer handler.

 web/lib/MRBS/Errors/Errors.php | 10 +++--
 web/lib/MRBS/Mailer.php        | 69 ++++++++++++++++++++++++++++++++
 web/systemdefaults.inc.php     |  4 ++
 3 files changed, 80 insertions(+), 3 deletions(-)

commit 3cb296903
Merge: e0ae7b9b2 2349fc476
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Oct 23 18:06:48 2025 +0100

    Merge branch 'main' into monolog

commit 2349fc476
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Oct 23 18:05:40 2025 +0100

    Create a wrapper for PHPMailer.

 web/lib/MRBS/MailQueue.php    | 54 +------------------------
 web/lib/MRBS/Mailer.php (new) | 71 +++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+), 53 deletions(-)

commit e0ae7b9b2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Oct 23 14:48:27 2025 +0100

    Add PHPMailerHandler stub

 web/lib/MRBS/Errors/Errors.php               |  2 ++
 .../Handler/PHPMailerHandler.php (new)       | 26 ++++++++++++++++++
 2 files changed, 28 insertions(+)

commit b2dfbf081
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Oct 20 18:33:55 2025 +0100

    Use the same 'samesite' setting for the key cookie as the session cookie.

 web/lib/MRBS/SessionHandlerDb.php | 35 +++++++++++++++++++++--------
 1 file changed, 26 insertions(+), 9 deletions(-)

commit 1be0dbbdc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Oct 20 16:56:39 2025 +0100

    Restructure

 .../Errors/Formatter/BrowserFormatter.php    | 40 +--------
 .../Errors/Formatter/ErrorLogFormatter.php   | 38 +-------
 .../Formatter/GeneralFormatter.php (new)     | 84 ++++++++++++++++++
 3 files changed, 91 insertions(+), 71 deletions(-)

commit 4119ead9d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 19 17:52:31 2025 +0100

    Add error log formatter

 web/lib/MRBS/Errors/Errors.php               | 12 +++--
 .../Errors/Formatter/BrowserFormatter.php    |  1 -
 .../Formatter/ErrorLogFormatter.php (new)    | 43 ++++++++++++++++++
 3 files changed, 50 insertions(+), 6 deletions(-)

commit be649d2c1
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 19 16:54:33 2025 +0100

    Fix bug when logging directly from code

 web/lib/MRBS/Errors/Formatter/BrowserFormatter.php | 5 +++++
 1 file changed, 5 insertions(+)

commit b1897e754
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 19 16:33:06 2025 +0100

    Tidy up

 web/lib/MRBS/Errors/Errors.php | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)

commit 31701f12a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 19 16:22:23 2025 +0100

    Remove redundant code

 web/lib/MRBS/Errors/Errors.php | 22 ----------------------
 1 file changed, 22 deletions(-)

commit 573d02204
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 19 15:52:35 2025 +0100

    Add a formatter for browser output

 web/lib/MRBS/Errors/Errors.php               |  3 +-
 .../Formatter/BrowserFormatter.php (new)     | 43 ++++++++++++++++++
 2 files changed, 45 insertions(+), 1 deletion(-)

commit cc1cb4d10
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 19 14:20:19 2025 +0100

    Remove redundant code

 web/lib/MRBS/Errors/Errors.php               |   3 -
 .../Processor/StacktraceProcessor.php (gone) | 133 -----------------
 2 files changed, 136 deletions(-)

commit 0a54d3d83
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 19 14:16:48 2025 +0100

    Restructure

 web/lib/MRBS/Errors/Errors.php | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit f7145cab4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 19 14:12:00 2025 +0100

    Bit more

 web/lib/MRBS/Errors/Errors.php | 85 ++++++++++----------------------
 1 file changed, 27 insertions(+), 58 deletions(-)

commit e80033f99
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 19 12:45:25 2025 +0100

    Bit more

 web/lib/MRBS/Errors/Errors.php               | 90 ++++++++++++------
 .../Log/Processor/StacktraceProcessor.php    |  1 +
 2 files changed, 60 insertions(+), 31 deletions(-)

commit 3e5c18519
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 18 18:26:54 2025 +0100

    Bit more

 web/lib/MRBS/Errors/Errors.php               |  3 +-
 .../Log/Processor/StacktraceProcessor.php    | 26 ++++++++++++++----
 2 files changed, 23 insertions(+), 6 deletions(-)

commit 7f6f95ffe
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 18 15:31:06 2025 +0100

    Stub for StacktraceProcessor.php

 web/lib/MRBS/Errors/Errors.php               |   3 +-
 .../Processor/StacktraceProcessor.php (new)  | 116 +++++++++++++++++
 2 files changed, 118 insertions(+), 1 deletion(-)

commit adafc66dd
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 18 15:01:23 2025 +0100

    Replace qualifier with import

 web/lib/MRBS/Errors/Errors.php | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2c24a838b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 18 14:56:52 2025 +0100

    Hide username and password in POST data

 web/lib/MRBS/Errors/Errors.php | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 97b93d7c6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Oct 17 17:34:38 2025 +0100

    Fix deprecation error

 web/lib/MRBS/Errors/Errors.php | 43 +++++++++++++++++++-------------
 1 file changed, 25 insertions(+), 18 deletions(-)

commit dceec0c11
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Oct 17 17:11:12 2025 +0100

    Eliminate $show_data parameter

 web/lib/MRBS/Errors/Errors.php | 63 +++++++++++++++++++++++++++-----
 1 file changed, 54 insertions(+), 9 deletions(-)

commit 49bd742ad
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Oct 17 15:32:04 2025 +0100

    Start creating $context

 web/lib/MRBS/Errors/Errors.php | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit b54de5a27
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Oct 17 15:18:54 2025 +0100

    Remove test code which had been accidentally committed

 web/help.php | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 346b607c4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Oct 17 15:17:45 2025 +0100

    Restructure

 web/lib/MRBS/Errors/Errors.php | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

commit c850758a0
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Oct 17 14:00:00 2025 +0100

    Move Errors class into a sub-directory

 web/dbsys.inc                          | 1 +
 web/edit_area.php                      | 1 +
 web/edit_entry.php                     | 1 +
 web/edit_room.php                      | 1 +
 web/edit_users.php                     | 1 +
 web/init.inc                           | 2 ++
 web/language.inc                       | 1 +
 web/lib/MRBS/Auth/AuthLdap.php         | 2 +-
 web/lib/MRBS/DB/DB_mysql.php           | 2 +-
 web/lib/MRBS/{ => Errors}/Errors.php   | 8 +++++++-
 web/lib/MRBS/Form/Form.php             | 2 +-
 web/lib/MRBS/Session/SessionCookie.php | 2 +-
 web/mrbs_sql.inc                       | 1 +
 web/upgrade.inc                        | 1 +
 web/upgrade/17/post.inc                | 2 ++
 15 files changed, 23 insertions(+), 5 deletions(-)

commit fff72a258
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Oct 17 13:22:10 2025 +0100

    Move error handling functions into a class

 web/auth/cms/joomla.inc                |   2 +-
 web/dbsys.inc                          |   2 +-
 web/defaultincludes.inc                |   1 -
 web/edit_area.php                      |   2 +-
 web/edit_entry.php                     |   4 +-
 web/edit_entry_handler.php             |   4 +-
 web/edit_room.php                      |   2 +-
 web/edit_users.php                     |   2 +-
 web/functions.inc                      |   2 +-
 web/functions_error.inc (gone)         | 372 ---------------------
 web/init.inc                           |   2 +-
 web/language.inc                       |   2 +-
 web/lib/MRBS/Auth/AuthLdap.php         |   4 +-
 web/lib/MRBS/DB/DB_mysql.php           |   4 +-
 web/lib/MRBS/Errors.php (new)          | 399 +++++++++++++++++++++++
 web/lib/MRBS/Form/Form.php             |   4 +-
 web/lib/MRBS/Session/SessionCookie.php |   8 +-
 web/mrbs_sql.inc                       |  10 +-
 web/upgrade.inc                        |   4 +-
 web/upgrade/17/post.inc                |   6 +-
 20 files changed, 432 insertions(+), 404 deletions(-)

commit 192bfb609
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Oct 14 18:43:00 2025 +0100

    Add a formatter

 web/functions_error.inc | 9 ++++++++-
 web/help.php            | 3 ++-
 2 files changed, 10 insertions(+), 2 deletions(-)

commit c73660e75
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Oct 14 17:49:56 2025 +0100

    First steps

 web/functions_error.inc | 7 +++++++
 1 file changed, 7 insertions(+)

commit c58c4cfb2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Oct 14 17:27:19 2025 +0100

    Add Psr\Log 1.1.4

 web/lib/Psr/Log/AbstractLogger.php (new)     | 128 ++++++++++
 .../Log/InvalidArgumentException.php (new)   |   7 +
 web/lib/Psr/Log/LogLevel.php                 |  18 +-
 .../Psr/Log/LoggerAwareInterface.php (new)   |  18 ++
 web/lib/Psr/Log/LoggerAwareTrait.php (new)   |  26 ++
 web/lib/Psr/Log/LoggerInterface.php          | 211 +++++++++--------
 web/lib/Psr/Log/LoggerTrait.php (new)        | 142 +++++++++++
 web/lib/Psr/Log/NullLogger.php (new)         |  30 +++
 8 files changed, 471 insertions(+), 109 deletions(-)

commit edec2fb50
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Oct 14 16:59:07 2025 +0100

    Add Monolog 2.10.0

 web/functions_error.inc                      |  12 +
 web/help.php                                 |   3 +-
 .../Attribute/AsMonologProcessor.php (new)   |  46 +
 web/lib/Monolog/DateTimeImmutable.php (new)  |  51 ++
 web/lib/Monolog/ErrorHandler.php (new)       | 307 +++++++
 .../Formatter/ChromePHPFormatter.php (new)   |  83 ++
 .../Formatter/ElasticaFormatter.php (new)    |  89 ++
 .../ElasticsearchFormatter.php (new)         |  89 ++
 .../Formatter/FlowdockFormatter.php (new)    | 112 +++
 .../Formatter/FluentdFormatter.php (new)     |  88 ++
 .../Formatter/FormatterInterface.php (new)   |  42 +
 .../Formatter/GelfMessageFormatter.php (new) | 175 ++++
 .../GoogleCloudLoggingFormatter.php (new)    |  40 +
 .../Formatter/HtmlFormatter.php (new)        | 142 +++
 .../Formatter/JsonFormatter.php (new)        | 228 +++++
 .../Formatter/LineFormatter.php (new)        | 246 ++++++
 .../Formatter/LogglyFormatter.php (new)      |  45 +
 .../Formatter/LogmaticFormatter.php (new)    |  66 ++
 .../Formatter/LogstashFormatter.php (new)    | 101 +++
 .../Formatter/MongoDBFormatter.php (new)     | 162 ++++
 .../Formatter/NormalizerFormatter.php (new)  | 290 +++++++
 .../Formatter/ScalarFormatter.php (new)      |  51 ++
 .../Formatter/WildfireFormatter.php (new)    | 139 +++
 .../Handler/AbstractHandler.php (new)        | 112 +++
 .../AbstractProcessingHandler.php (new)      |  69 ++
 .../Handler/AbstractSyslogHandler.php (new)  | 106 +++
 .../Monolog/Handler/AmqpHandler.php (new)    | 171 ++++
 .../Handler/BrowserConsoleHandler.php (new)  | 308 +++++++
 .../Monolog/Handler/BufferHandler.php (new)  | 167 ++++
 .../Handler/ChromePHPHandler.php (new)       | 196 +++++
 .../Monolog/Handler/CouchDBHandler.php (new) |  77 ++
 .../Monolog/Handler/CubeHandler.php (new)    | 167 ++++
 web/lib/Monolog/Handler/Curl/Util.php (new)  |  71 ++
 .../Handler/DeduplicationHandler.php (new)   | 186 ++++
 .../Handler/DoctrineCouchDBHandler.php (new) |  47 +
 .../Handler/DynamoDbHandler.php (new)        | 104 +++
 .../Handler/ElasticaHandler.php (new)        | 129 +++
 .../Handler/ElasticsearchHandler.php (new)   | 219 +++++
 .../Handler/ErrorLogHandler.php (new)        |  91 ++
 .../Handler/FallbackGroupHandler.php (new)   |  71 ++
 .../Monolog/Handler/FilterHandler.php (new)  | 212 +++++
 .../ActivationStrategyInterface.php (new)    |  29 +
 .../ChannelLevelActivationStrategy.php (new) |  77 ++
 .../ErrorLevelActivationStrategy.php (new)   |  46 +
 .../Handler/FingersCrossedHandler.php (new)  | 252 ++++++
 .../Monolog/Handler/FirePHPHandler.php (new) | 180 ++++
 .../Handler/FleepHookHandler.php (new)       | 135 +++
 .../Handler/FlowdockHandler.php (new)        | 133 +++
 .../FormattableHandlerInterface.php (new)    |  37 +
 .../FormattableHandlerTrait.php (new)        |  60 ++
 .../Monolog/Handler/GelfHandler.php (new)    |  57 ++
 .../Monolog/Handler/GroupHandler.php (new)   | 132 +++
 web/lib/Monolog/Handler/Handler.php (new)    |  62 ++
 .../Handler/HandlerInterface.php (new)       |  85 ++
 .../Monolog/Handler/HandlerWrapper.php (new) | 136 +++
 .../Monolog/Handler/IFTTTHandler.php (new)   |  74 ++
 .../Handler/InsightOpsHandler.php (new)      |  76 ++
 .../Handler/LogEntriesHandler.php (new)      |  70 ++
 .../Monolog/Handler/LogglyHandler.php (new)  | 160 ++++
 .../Handler/LogmaticHandler.php (new)        | 106 +++
 .../Monolog/Handler/MailHandler.php (new)    |  95 ++
 .../Handler/MandrillHandler.php (new)        |  83 ++
 .../MissingExtensionException.php (new)      |  21 +
 .../Monolog/Handler/MongoDBHandler.php (new) |  86 ++
 .../Handler/NativeMailerHandler.php (new)    | 174 ++++
 .../Handler/NewRelicHandler.php (new)        | 199 +++++
 .../Monolog/Handler/NoopHandler.php (new)    |  40 +
 .../Monolog/Handler/NullHandler.php (new)    |  60 ++
 .../Handler/OverflowHandler.php (new)        | 149 ++++
 .../Handler/PHPConsoleHandler.php (new)      | 263 ++++++
 .../Monolog/Handler/ProcessHandler.php (new) | 191 +++++
 .../ProcessableHandlerInterface.php (new)    |  44 +
 .../ProcessableHandlerTrait.php (new)        |  77 ++
 web/lib/Monolog/Handler/PsrHandler.php (new) |  95 ++
 .../Handler/PushoverHandler.php (new)        | 246 ++++++
 .../Monolog/Handler/RedisHandler.php (new)   | 101 +++
 .../Handler/RedisPubSubHandler.php (new)     |  67 ++
 .../Monolog/Handler/RollbarHandler.php (new) | 131 +++
 .../Handler/RotatingFileHandler.php (new)    | 212 +++++
 .../Handler/SamplingHandler.php (new)        | 132 +++
 .../Handler/SendGridHandler.php (new)        | 102 +++
 .../Handler/Slack/SlackRecord.php (new)      | 387 +++++++++
 .../Monolog/Handler/SlackHandler.php (new)   | 256 ++++++
 .../Handler/SlackWebhookHandler.php (new)    | 130 +++
 .../Monolog/Handler/SocketHandler.php (new)  | 448 ++++++++++
 web/lib/Monolog/Handler/SqsHandler.php (new) |  62 ++
 .../Monolog/Handler/StreamHandler.php (new)  | 256 ++++++
 .../Handler/SwiftMailerHandler.php (new)     | 115 +++
 .../Handler/SymfonyMailerHandler.php (new)   | 111 +++
 .../Monolog/Handler/SyslogHandler.php (new)  |  68 ++
 .../Handler/SyslogUdp/UdpSocket.php (new)    |  88 ++
 .../Handler/SyslogUdpHandler.php (new)       | 150 ++++
 .../Handler/TelegramBotHandler.php (new)     | 274 ++++++
 .../Monolog/Handler/TestHandler.php (new)    | 231 +++++
 .../WebRequestRecognizerTrait.php (new)      |  24 +
 .../WhatFailureGroupHandler.php (new)        |  81 ++
 .../Handler/ZendMonitorHandler.php (new)     | 101 +++
 web/lib/Monolog/LogRecord.php (new)          |  34 +
 web/lib/Monolog/Logger.php (new)             | 762 +++++++++++++++++
 .../Monolog/Processor/GitProcessor.php (new) |  77 ++
 .../Processor/HostnameProcessor.php (new)    |  36 +
 .../IntrospectionProcessor.php (new)         | 123 +++
 .../MemoryPeakUsageProcessor.php (new)       |  37 +
 .../Processor/MemoryProcessor.php (new)      |  61 ++
 .../Processor/MemoryUsageProcessor.php (new) |  37 +
 .../Processor/MercurialProcessor.php (new)   |  77 ++
 .../Processor/ProcessIdProcessor.php (new)   |  30 +
 .../Processor/ProcessorInterface.php (new)   |  30 +
 .../PsrLogMessageProcessor.php (new)         |  88 ++
 .../Monolog/Processor/TagProcessor.php (new) |  61 ++
 .../Monolog/Processor/UidProcessor.php (new) |  59 ++
 .../Monolog/Processor/WebProcessor.php (new) | 111 +++
 web/lib/Monolog/Registry.php (new)           | 134 +++
 .../Monolog/ResettableInterface.php (new)    |  34 +
 web/lib/Monolog/SignalHandler.php (new)      | 120 +++
 web/lib/Monolog/Test/TestCase.php (new)      |  85 ++
 web/lib/Monolog/Utils.php (new)              | 284 ++++++
 117 files changed, 14646 insertions(+), 1 deletion(-)

commit 61cfd15cf
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Oct 13 17:13:15 2025 +0100

    Simplify code

 web/functions.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4e29a7b58
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Oct 13 17:09:39 2025 +0100

    Improve parsing of email addresses

 web/functions.inc | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 834d9637d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Oct 13 16:11:23 2025 +0100

    Correct typos in comment

 web/lib/MRBS/Auth/AuthDb.php | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a32e05a88
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 12 17:04:25 2025 +0100

    Add a logger

 web/functions.inc             |  2 +-
 web/lib/MRBS/Logger.php (new) | 85 +++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+), 1 deletion(-)

commit 78d99eb01
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 12 15:50:50 2025 +0100

    Restructure PHPMailer directory to conform to standard autoloading.

 web/lib/PHPMailer/{src => PHPMailer}/DSNConfigurator.php | 0
 web/lib/PHPMailer/{src => PHPMailer}/Exception.php       | 0
 web/lib/PHPMailer/{src => PHPMailer}/OAuth.php           | 0
 .../PHPMailer/{src => PHPMailer}/OAuthTokenProvider.php  | 0
 web/lib/PHPMailer/{src => PHPMailer}/PHPMailer.php       | 0
 web/lib/PHPMailer/{src => PHPMailer}/POP3.php            | 0
 web/lib/PHPMailer/{src => PHPMailer}/SMTP.php            | 0
 web/lib/autoload.inc                                     | 7 -------
 8 files changed, 7 deletions(-)

commit 46f81f6d5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 12 15:39:20 2025 +0100

    Upgrade to PHPMailer version 6.11.1

 web/lib/PHPMailer/README.md                  |   2 +-
 web/lib/PHPMailer/VERSION                    |   2 +-
 web/lib/PHPMailer/composer.json              |   6 +-
 web/lib/PHPMailer/get_oauth_token.php        |   7 +-
 .../PHPMailer/language/phpmailer.lang-es.php |   6 +-
 web/lib/PHPMailer/src/PHPMailer.php          | 374 +++++++++++------
 web/lib/PHPMailer/src/POP3.php               |   2 +-
 web/lib/PHPMailer/src/SMTP.php               |  53 ++-
 8 files changed, 297 insertions(+), 155 deletions(-)

commit d83148156
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 12 15:24:23 2025 +0100

    Switch to using parse_addresses() instead of PHPMailer::parseAddresses()

 web/functions_ical.inc     |  4 ++--
 web/functions_mail.inc     |  6 +++---
 web/lib/MRBS/MailQueue.php | 12 ++++++------
 3 files changed, 11 insertions(+), 11 deletions(-)

commit c886f22f4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 12 15:06:21 2025 +0100

    Fix PHP 8.4 deprecation errors.

 web/lib/Email/Parse.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1f74cfcbd
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 12 15:02:40 2025 +0100

    Provide a parse_addresses() function that is more robust than PHPMailer::parseAddresses() which works best when the imap extension is installed. However the imap extension was removed from the PHP core in PHP 8.4.

 web/functions.inc                         |  23 +
 web/lib/Email/.scrutinizer.yml (new)      |  15 +
 web/lib/Email/.travis.yml (new)           |  14 +
 web/lib/Email/LICENSE (new)               |  19 +
 web/lib/Email/Parse.php (new)             | 861 ++++++++++++++++++++
 web/lib/Email/ParseOptions.php (new)      |  31 +
 web/lib/Email/README.md (new)             | 143 ++++
 web/lib/Email/autoload.php.dist (new)     |  11 +
 web/lib/Email/composer.json (new)         |  46 ++
 web/lib/Laminas/Validator/Ip.php (new)    |  15 +
 web/lib/Psr/Log/LogLevel.php (new)        |  18 +
 web/lib/Psr/Log/LoggerInterface.php (new) | 114 +++
 12 files changed, 1310 insertions(+)

commit f6f9f380d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Oct 12 14:17:16 2025 +0100

    Clear the opcode cache when in debug mode.

 web/functions_error.inc | 5 +++++
 1 file changed, 5 insertions(+)

commit 7d590de76
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 11 18:12:51 2025 +0100

    Add emulation of mb_split

 web/functions_global.inc           | 10 ++++++++++
 web/lib/MRBS/Mbstring/Mbstring.php |  6 ++++++
 2 files changed, 16 insertions(+)

commit 9510af239
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 11 17:35:37 2025 +0100

    Add emulation of mb_regex_encoding

 web/functions_global.inc           | 10 ++++++++++
 web/lib/MRBS/Mbstring/Mbstring.php | 18 ++++++++++++++++++
 2 files changed, 28 insertions(+)

commit 601fd369f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 11 15:54:25 2025 +0100

    Upgrade to Version 1.10.16

 web/PEAR.php | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 8deb6fb4d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 11 15:25:18 2025 +0100

    Upgrade to Version 1.10.12

 web/Mail/mime.php     | 39 +++++++++++++++++++++------------------
 web/Mail/mimePart.php | 22 +++++++++++-----------
 2 files changed, 32 insertions(+), 29 deletions(-)

commit a56acb39c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 11 12:07:39 2025 +0100

    Fix handling of exceptions

 web/functions_error.inc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cc036de6e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 11 11:54:19 2025 +0100

    Fix potential uncaught exception

 web/functions_ical.inc | 1 +
 1 file changed, 1 insertion(+)

commit b9d09c888
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 11 11:46:14 2025 +0100

    Fix potential uncaught exception

 web/del.php | 1 +
 1 file changed, 1 insertion(+)

commit b209b7841
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 11 11:34:42 2025 +0100

    Fix uncaught exception when adding a room or area that already exists.

 web/mrbs_sql.inc | 1 +
 1 file changed, 1 insertion(+)

commit 21331135d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Oct 6 16:19:27 2025 +0100

    Add comment.

 web/lib/MRBS/SessionHandlerDb.php | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 90c3820a3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Oct 4 11:32:59 2025 +0100

    Add some debugging.

 web/lib/MRBS/SessionHandlerDb.php | 6 ++++++
 1 file changed, 6 insertions(+)

commit d1eae0ba9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Oct 3 16:39:20 2025 +0100

    Fix bug resulting in the session handler being unable to decrypt the session data because the expiry times of the key and session cookies are different.

 web/lib/MRBS/Session/Session.php    | 45 +++++++++++++++++
 web/lib/MRBS/Session/SessionPhp.php | 17 +------
 web/lib/MRBS/SessionHandlerDb.php   | 73 ++++++++++++++++++++++-----
 3 files changed, 107 insertions(+), 28 deletions(-)

commit dc4e6e3c4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Oct 3 14:12:10 2025 +0100

    Improve error handling.

 web/lib/MRBS/SessionHandlerDb.php | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit bb547a443
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Oct 2 11:23:47 2025 +0100

    Remove session data from error logs, for security reasons.

 web/functions_error.inc | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit 617608d9d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Oct 2 09:21:09 2025 +0100

    Fix "Using null as an array offset is deprecated" error.

 web/edit_users.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e6a221b80
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Oct 1 17:13:51 2025 +0100

    Add encryption of session data.  Useful now, but will be more useful when we come to store OAuth2 access and refresh tokens in session data.

 web/lib/Defuse/Crypto/Core.php (new)         | 470 ++++++++++
 web/lib/Defuse/Crypto/Crypto.php (new)       | 477 ++++++++++
 web/lib/Defuse/Crypto/DerivedKeys.php (new)  |  50 +
 web/lib/Defuse/Crypto/Encoding.php (new)     | 277 ++++++
 .../Exception/BadFormatException.php (new)   |   7 +
 .../Exception/CryptoException.php (new)      |   7 +
 .../EnvironmentIsBrokenException.php (new)   |   7 +
 .../Crypto/Exception/IOException.php (new)   |   7 +
 ...eyOrModifiedCiphertextException.php (new) |   7 +
 web/lib/Defuse/Crypto/File.php (new)         | 835 +++++++++++++++++
 web/lib/Defuse/Crypto/Key.php (new)          | 101 ++
 .../Defuse/Crypto/KeyOrPassword.php (new)    | 156 +++
 .../Crypto/KeyProtectedByPassword.php (new)  | 159 ++++
 web/lib/Defuse/Crypto/RuntimeTests.php (new) | 228 +++++
 web/lib/Defuse/LICENSE (new)                 |  21 +
 web/lib/Defuse/README.md (new)               | 121 +++
 web/lib/Defuse/bin/generate-defuse-key (new) |  14 +
 web/lib/Defuse/composer.json (new)           |  35 +
 web/lib/Defuse/dist/Makefile (new)           |  39 +
 web/lib/Defuse/dist/box.json (new)           |  22 +
 .../dist/phar-testing-autoload.php (new)     |   4 +
 web/lib/Defuse/dist/signingkey-new.asc (new) |  53 ++
 .../Defuse/dist/signingkey-new.asc.sig (new) | Bin 0 -> 566 bytes
 web/lib/Defuse/dist/signingkey.asc (new)     |  52 +
 web/lib/Defuse/docs/CryptoDetails.md (new)   |  64 ++
 web/lib/Defuse/docs/FAQ.md (new)             |  51 +
 .../docs/InstallingAndVerifying.md (new)     |  53 ++
 .../docs/InternalDeveloperDocs.md (new)      | 166 ++++
 web/lib/Defuse/docs/Tutorial.md (new)        | 314 +++++++
 .../Defuse/docs/UpgradingFromV1.2.md (new)   |  51 +
 web/lib/Defuse/docs/classes/Crypto.md (new)  | 280 ++++++
 web/lib/Defuse/docs/classes/File.md (new)    | 486 ++++++++++
 web/lib/Defuse/docs/classes/Key.md (new)     | 117 +++
 .../classes/KeyProtectedByPassword.md (new)  | 259 +++++
 web/lib/MRBS/SessionHandlerDb.php            |  70 +-
 35 files changed, 5059 insertions(+), 1 deletion(-)

commit 4dbd670b2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Sep 29 14:45:57 2025 +0100

    Fix uncaught exception SQL error when using custom fields of date or decimal type for which no input is given.  See GitHub Issue #3903.

 web/edit_entry_handler.php | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit b2d189e8b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Sep 28 19:14:16 2025 +0100

    Fix TypeError with custom decimal.  See GitHub Issue #3907.

 web/edit_entry.php | 1 +
 1 file changed, 1 insertion(+)

commit e007e7126
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Sep 28 10:27:21 2025 +0100

    Declare strict types

 web/lib/MRBS/Auth/AuthJoomla.php | 1 +
 1 file changed, 1 insertion(+)

commit 61e68d9d7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Sep 28 10:20:24 2025 +0100

    Fix TypeError with custom date.  See GitHub Issue #3907.

 web/functions_view.inc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit dc531fe0a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Sep 28 09:54:52 2025 +0100

    Simplify code

 web/lib/MRBS/Auth/AuthJoomla.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 03096fc5f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Sep 28 09:47:08 2025 +0100

    Fix TypeError when logging in with Joomla!  See GitHub Issue #3903.

 web/lib/MRBS/Auth/AuthJoomla.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 92c3a4051
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Sep 26 18:10:59 2025 +0100

    Fix use of deprecated (by PHP 8.5) __wakeup() magic method.  (The deprecation messages can be triggered by going to index.php or admin.php, restarting the web server, then refreshing the page.)

 web/lib/MRBS/Columns.php | 16 ++++++++++++++++
 web/lib/MRBS/Message.php | 17 ++++++++++++++++-
 2 files changed, 32 insertions(+), 1 deletion(-)

commit 95491bb91
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Sep 20 18:50:57 2025 +0100

    Change minimum required PHP version from 7.2.0 to 7.2.5 (needed for GuzzleHttp).

 INSTALL                 | 2 +-
 web/defaultincludes.inc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e51990fca
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Sep 20 18:28:08 2025 +0100

    Replace url_get_contents() with GuzzleHttp

 web/functions.inc                            |  150 --
 web/functions_ical.inc                       |   11 +-
 web/lib/GuzzleHttp/BodySummarizer.php (new)  |   28 +
 .../BodySummarizerInterface.php (new)        |   13 +
 web/lib/GuzzleHttp/CHANGELOG.md (new)        | 1683 ++++++++++++++++
 web/lib/GuzzleHttp/Client.php (new)          |  483 +++++
 web/lib/GuzzleHttp/ClientInterface.php (new) |   84 +
 web/lib/GuzzleHttp/ClientTrait.php (new)     |  241 +++
 .../GuzzleHttp/Cookie/CookieJar.php (new)    |  307 +++
 .../Cookie/CookieJarInterface.php (new)      |   80 +
 .../Cookie/FileCookieJar.php (new)           |  101 +
 .../Cookie/SessionCookieJar.php (new)        |   77 +
 .../GuzzleHttp/Cookie/SetCookie.php (new)    |  492 +++++
 .../Exception/BadResponseException.php (new) |   39 +
 .../Exception/ClientException.php (new)      |   10 +
 .../Exception/ConnectException.php (new)     |   56 +
 .../Exception/GuzzleException.php (new)      |    9 +
 .../InvalidArgumentException.php (new)       |    7 +
 .../Exception/RequestException.php (new)     |  150 ++
 .../Exception/ServerException.php (new)      |   10 +
 .../TooManyRedirectsException.php (new)      |    7 +
 .../Exception/TransferException.php (new)    |    7 +
 .../GuzzleHttp/Handler/CurlFactory.php (new) |  741 +++++++
 .../Handler/CurlFactoryInterface.php (new)   |   25 +
 .../GuzzleHttp/Handler/CurlHandler.php (new) |   49 +
 .../Handler/CurlMultiHandler.php (new)       |  287 +++
 .../GuzzleHttp/Handler/EasyHandle.php (new)  |  112 +
 .../Handler/HeaderProcessor.php (new)        |   42 +
 .../GuzzleHttp/Handler/MockHandler.php (new) |  212 ++
 web/lib/GuzzleHttp/Handler/Proxy.php (new)   |   51 +
 .../Handler/StreamHandler.php (new)          |  634 ++++++
 web/lib/GuzzleHttp/HandlerStack.php (new)    |  275 +++
 web/lib/GuzzleHttp/LICENSE (new)             |   27 +
 .../GuzzleHttp/MessageFormatter.php (new)    |  199 ++
 .../MessageFormatterInterface.php (new)      |   18 +
 web/lib/GuzzleHttp/Middleware.php (new)      |  268 +++
 web/lib/GuzzleHttp/Pool.php (new)            |  125 ++
 .../PrepareBodyMiddleware.php (new)          |  105 +
 .../Promise/AggregateException.php (new)     |   19 +
 .../Promise/CancellationException.php (new)  |   12 +
 .../GuzzleHttp/Promise/Coroutine.php (new)   |  162 ++
 web/lib/GuzzleHttp/Promise/Create.php (new)  |   79 +
 web/lib/GuzzleHttp/Promise/Each.php (new)    |   81 +
 .../GuzzleHttp/Promise/EachPromise.php (new) |  248 +++
 .../Promise/FulfilledPromise.php (new)       |   89 +
 web/lib/GuzzleHttp/Promise/Is.php (new)      |   40 +
 web/lib/GuzzleHttp/Promise/Promise.php (new) |  281 +++
 .../Promise/PromiseInterface.php (new)       |   91 +
 .../Promise/PromisorInterface.php (new)      |   16 +
 .../Promise/RejectedPromise.php (new)        |   95 +
 .../Promise/RejectionException.php (new)     |   49 +
 .../GuzzleHttp/Promise/TaskQueue.php (new)   |   71 +
 .../Promise/TaskQueueInterface.php (new)     |   24 +
 web/lib/GuzzleHttp/Promise/Utils.php (new)   |  261 +++
 .../GuzzleHttp/Psr7/AppendStream.php (new)   |  248 +++
 .../GuzzleHttp/Psr7/BufferStream.php (new)   |  147 ++
 .../GuzzleHttp/Psr7/CachingStream.php (new)  |  153 ++
 .../GuzzleHttp/Psr7/DroppingStream.php (new) |   49 +
 .../MalformedUriException.php (new)          |   14 +
 web/lib/GuzzleHttp/Psr7/FnStream.php (new)   |  180 ++
 web/lib/GuzzleHttp/Psr7/Header.php (new)     |  134 ++
 .../GuzzleHttp/Psr7/HttpFactory.php (new)    |   94 +
 .../GuzzleHttp/Psr7/InflateStream.php (new)  |   37 +
 web/lib/GuzzleHttp/Psr7/LICENSE (new)        |   26 +
 .../GuzzleHttp/Psr7/LazyOpenStream.php (new) |   49 +
 .../GuzzleHttp/Psr7/LimitStream.php (new)    |  157 ++
 web/lib/GuzzleHttp/Psr7/Message.php (new)    |  246 +++
 .../GuzzleHttp/Psr7/MessageTrait.php (new)   |  261 +++
 web/lib/GuzzleHttp/Psr7/MimeType.php (new)   | 1259 ++++++++++++
 .../Psr7/MultipartStream.php (new)           |  165 ++
 .../GuzzleHttp/Psr7/NoSeekStream.php (new)   |   28 +
 web/lib/GuzzleHttp/Psr7/PumpStream.php (new) |  179 ++
 web/lib/GuzzleHttp/Psr7/Query.php (new)      |  118 ++
 web/lib/GuzzleHttp/Psr7/README.md (new)      |  887 ++++++++
 web/lib/GuzzleHttp/Psr7/Request.php (new)    |  159 ++
 web/lib/GuzzleHttp/Psr7/Response.php (new)   |  161 ++
 web/lib/GuzzleHttp/Psr7/Rfc7230.php (new)    |   23 +
 .../GuzzleHttp/Psr7/ServerRequest.php (new)  |  340 ++++
 web/lib/GuzzleHttp/Psr7/Stream.php (new)     |  283 +++
 .../Psr7/StreamDecoratorTrait.php (new)      |  156 ++
 .../GuzzleHttp/Psr7/StreamWrapper.php (new)  |  207 ++
 .../GuzzleHttp/Psr7/UploadedFile.php (new)   |  211 ++
 web/lib/GuzzleHttp/Psr7/Uri.php (new)        |  743 +++++++
 .../GuzzleHttp/Psr7/UriComparator.php (new)  |   52 +
 .../GuzzleHttp/Psr7/UriNormalizer.php (new)  |  220 ++
 .../GuzzleHttp/Psr7/UriResolver.php (new)    |  211 ++
 web/lib/GuzzleHttp/Psr7/Utils.php (new)      |  477 +++++
 web/lib/GuzzleHttp/README.md (new)           |   94 +
 .../GuzzleHttp/RedirectMiddleware.php (new)  |  228 +++
 web/lib/GuzzleHttp/RequestOptions.php (new)  |  274 +++
 web/lib/GuzzleHttp/RetryMiddleware.php (new) |  119 ++
 web/lib/GuzzleHttp/TransferStats.php (new)   |  133 ++
 web/lib/GuzzleHttp/UPGRADING.md (new)        | 1253 ++++++++++++
 web/lib/GuzzleHttp/Utils.php (new)           |  384 ++++
 web/lib/GuzzleHttp/functions.php (new)       |  167 ++
 .../GuzzleHttp/functions_include.php (new)   |    6 +
 .../ClientExceptionInterface.php (new)       |   10 +
 .../Http/Client/ClientInterface.php (new)    |   20 +
 .../NetworkExceptionInterface.php (new)      |   24 +
 .../RequestExceptionInterface.php (new)      |   24 +
 .../Http/Message/MessageInterface.php (new)  |  187 ++
 .../Http/Message/RequestInterface.php (new)  |  130 ++
 .../Http/Message/ResponseInterface.php (new) |   68 +
 .../Message/ServerRequestInterface.php (new) |  261 +++
 .../Http/Message/StreamInterface.php (new)   |  158 ++
 .../Message/UploadedFileInterface.php (new)  |  123 ++
 .../Psr/Http/Message/UriInterface.php (new)  |  324 +++
 107 files changed, 20339 insertions(+), 155 deletions(-)

commit 8e8d7ed93
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Sep 11 09:42:38 2025 +0100

    Prevent the repeat end date datepicker from offering a date before the start date - fix for mobiles.  See GitHub Issue #3905.

 web/js/datepicker.js.php | 4 +++-
 web/js/edit_entry.js.php | 3 +++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 63e959c46
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Sep 10 18:16:22 2025 +0100

    Add comment re mobiles.  See GitHub Issue #3905.

 web/js/datepicker.js.php | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d3e9a746e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Sep 10 17:40:43 2025 +0100

    Prevent the repeat end date datepicker from offering a date before the start date.  See GitHub Issue #3905.

 web/edit_entry.php       | 17 +++++++++++++----
 web/js/datepicker.js.php |  9 ++++++++-
 web/js/edit_entry.js.php | 19 +++++++++++++++++++
 3 files changed, 40 insertions(+), 5 deletions(-)

commit 463670b3d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Sep 9 15:39:27 2025 +0100

    Add a check that the repeat end date is not before the start date.  See GitHub Issue #3905.

 web/js/edit_entry.js.php | 9 +++++++++
 web/lang/lang.en         | 1 +
 2 files changed, 10 insertions(+)

commit e71c0abe5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Sep 3 18:20:51 2025 +0100

    Fix error in last commit.

 web/lib/MRBS/Auth/AuthDbExt.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 11c02d462
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Sep 3 17:49:21 2025 +0100

    Move DB classes into their own directory.

 web/dbsys.inc                                 |  2 ++
 web/functions_ical.inc                        |  1 +
 web/help.php                                  |  2 ++
 web/lib/MRBS/{ => DB}/DB.php                  | 10 +++++++---
 web/lib/MRBS/{ => DB}/DBException.php         |  2 +-
 web/lib/MRBS/{ => DB}/DBExternalException.php |  2 +-
 web/lib/MRBS/{ => DB}/DBFactory.php           |  2 +-
 web/lib/MRBS/{ => DB}/DBStatement.php         |  2 +-
 web/lib/MRBS/{ => DB}/DB_mysql.php            |  4 ++--
 web/lib/MRBS/{ => DB}/DB_pgsql.php            |  2 +-
 web/upgrade.inc                               |  3 +++
 11 files changed, 22 insertions(+), 10 deletions(-)

commit bf36739bc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Sep 2 11:27:50 2025 +0100

    Add comment.

 web/functions.inc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 568ed96f9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Sep 1 17:07:58 2025 +0100

    Remove redundant global declarations.

 web/lib/MRBS/Calendar/CalendarMultimonthOneRoom.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 29f45e200
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Sep 1 17:05:11 2025 +0100

    Add comment.

 web/lib/MRBS/Calendar/CalendarMultimonthOneRoom.php | 2 ++
 1 file changed, 2 insertions(+)

commit 0e75ac971
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Sep 1 16:47:43 2025 +0100

    Fix use of curl_close(), deprecated in PHP 8.5.

 web/lib/CAS/Request/CurlMultiRequest.php | 7 ++++++-
 web/lib/CAS/Request/CurlRequest.php      | 7 ++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 7401d1a3b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Aug 31 18:44:49 2025 +0100

    Add comment.

 web/functions.inc | 1 +
 1 file changed, 1 insertion(+)

commit 46656b56d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Aug 31 18:39:37 2025 +0100

    Fix use of $http_response_header, deprecated in PHP 8.5.

 web/functions.inc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 09939791e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Aug 31 15:12:28 2025 +0100

    Fix instance of case statement followed by a semicolon instead of a colon (causing a deprecation error).

 web/functions_error.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2de7b81ee
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 30 18:15:11 2025 +0100

    Fix error handling following the introduction of the Pdo\Mysql and Pdo\Pgsql emulation classes.

 web/lib/MRBS/DBFactory.php | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit deb1282ba
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 30 17:18:34 2025 +0100

    Fix use of PDO::PGSQL_* constants, deprecated in PHP 8.5.

 web/lib/MRBS/DBFactory.php  |  2 +-
 web/lib/Pdo/Pgsql.php (new) | 13 +++++++++++++
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 6074d0837
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 30 17:09:09 2025 +0100

    Fix use of PDO::MYSQL_* constants, deprecated in PHP 8.5.

 web/lib/MRBS/DBFactory.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d232d9c1d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 30 16:59:11 2025 +0100

    Add remaining constants for completeness

 web/lib/Pdo/Mysql.php | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit aa60671a0
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 30 15:24:20 2025 +0100

    Fix use of PDO::MYSQL_* constants, deprecated in PHP 8.5.

 web/lib/MRBS/DB_mysql.php   | 19 ++++++++++---------
 web/lib/Pdo/Mysql.php (new) | 19 +++++++++++++++++++
 2 files changed, 29 insertions(+), 9 deletions(-)

commit db30e5992
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Aug 29 14:53:15 2025 +0100

    Add comment

 web/systemdefaults.inc.php | 1 +
 1 file changed, 1 insertion(+)

commit a4a05b735
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Aug 29 13:10:50 2025 +0100

    Don't display the year button on narrow screens.

 web/css/mrbs.css.php | 16 +++++++++++++++-
 web/index.php        |  8 ++++++--
 2 files changed, 21 insertions(+), 3 deletions(-)

commit c941bbb00
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Aug 26 17:51:42 2025 +0100

    Remove use of curl_close() which is deprecated from PHP 8.5.

 web/functions.inc             |  8 +++++++-
 web/lib/MRBS/Auth/AuthWix.php | 10 +++++++++-
 2 files changed, 16 insertions(+), 2 deletions(-)

commit 3b364d266
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Aug 24 12:05:22 2025 +0100

    Remove redundant global declarations.

 web/lib/MRBS/Calendar/CalendarMultidayMultiroom.php | 1 -
 1 file changed, 1 deletion(-)

commit a8ce044cc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Aug 24 11:55:12 2025 +0100

    Remove redundant config setting.

 web/systemdefaults.inc.php | 3 ---
 1 file changed, 3 deletions(-)

commit d5be9a056
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Aug 24 11:49:23 2025 +0100

    Fix console error.

 web/js/resizable.js.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9c39635e0
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 17:20:16 2025 +0100

    Fix bug when there is only one slot per day.

 web/lib/MRBS/Calendar/Calendar.php           | 18 +++++++++++++-----
 .../Calendar/CalendarMultidayMultiroom.php   |  2 +-
 2 files changed, 14 insertions(+), 6 deletions(-)

commit 7192236e9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 16:55:23 2025 +0100

    Introduce new config setting $max_slots_per_year

 web/index.php                      | 5 +++--
 web/lib/MRBS/Calendar/Calendar.php | 2 +-
 web/systemdefaults.inc.php         | 7 +++++++
 3 files changed, 11 insertions(+), 3 deletions(-)

commit bbf46ccc7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 14:43:46 2025 +0100

    Restructure

 web/lib/MRBS/Calendar/Calendar.php           |  87 ++++++++---
 .../Calendar/CalendarMultidayMultiroom.php   | 134 +++++++----------
 web/lib/MRBS/Calendar/CalendarMultimonth.php |  78 ----------
 3 files changed, 118 insertions(+), 181 deletions(-)

commit 2fa5866e0
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 14:43:26 2025 +0100

    Make flex divs grow proportionately

 web/lib/MRBS/Calendar/FlexDiv.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 70e67a47e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 13:50:56 2025 +0100

    Restructure

 web/lib/MRBS/Calendar/Calendar.php                 | 11 +++++++++++
 web/lib/MRBS/Calendar/CalendarFactory.php          |  2 +-
 web/lib/MRBS/Calendar/CalendarMonthOneRoom.php     | 12 ------------
 .../MRBS/Calendar/CalendarMultidayMultiroom.php    | 11 -----------
 web/lib/MRBS/Calendar/CalendarMultimonth.php       |  8 +-------
 web/lib/MRBS/Calendar/CalendarMultislotDay.php     |  9 ++-------
 web/lib/MRBS/Calendar/CalendarMultislotWeek.php    |  8 +-------
 7 files changed, 16 insertions(+), 45 deletions(-)

commit cb7843207
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 13:31:39 2025 +0100

    Revert change accidentally committed

 web/mrbs_auth.inc | 17 +----------------
 1 file changed, 1 insertion(+), 16 deletions(-)

commit eee2183ab
Merge: 90bf2c15d cf4ec067e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 13:22:08 2025 +0100

    Merge branch 'year'

commit cf4ec067e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 13:17:28 2025 +0100

    Add comment

 web/lib/MRBS/Calendar/FlexDiv.php | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b78e4864b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 10:13:09 2025 +0100

    Add comment

 web/lib/MRBS/Calendar/CalendarMultimonth.php | 1 +
 1 file changed, 1 insertion(+)

commit 63a185c27
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 09:53:18 2025 +0100

    Eliminate duplicate code

 web/lib/MRBS/Calendar/CalendarMultimonth.php | 74 ++++++++++++++++++
 .../Calendar/CalendarMultimonthMultiroom.php | 73 +----------------
 .../Calendar/CalendarMultimonthOneRoom.php   | 65 +--------------
 3 files changed, 77 insertions(+), 135 deletions(-)

commit 7e3df32fc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 23 08:53:49 2025 +0100

    Fix bug

 web/index.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b17375a16
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Aug 22 17:14:24 2025 +0100

    Add data

 .../Calendar/CalendarMultimonthOneRoom.php   | 65 +++++++++++++++++-
 1 file changed, 64 insertions(+), 1 deletion(-)

commit fc3b9d1b3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Aug 22 16:54:42 2025 +0100

    Fix bugs

 .../Calendar/CalendarMultimonthOneRoom.php   | 20 ++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 9937eaf97
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Aug 22 15:53:18 2025 +0100

    Restructure

 .../Calendar/CalendarMultimonthOneRoom.php   | 47 ++++++++++--------
 1 file changed, 26 insertions(+), 21 deletions(-)

commit c62e8a6b1
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Aug 22 15:14:24 2025 +0100

    Restructure

 .../MRBS/Calendar/CalendarMultimonthOneRoom.php | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 4ed0fe71b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Aug 22 10:13:02 2025 +0100

    Add invalid days

 web/css/mrbs.css.php                                | 4 ++--
 web/lib/MRBS/Calendar/CalendarMultimonthOneRoom.php | 7 +++++++
 2 files changed, 9 insertions(+), 2 deletions(-)

commit edd7309ea
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Aug 22 07:34:49 2025 +0100

    Fix styling

 web/index.php                                       | 6 +++++-
 web/lib/MRBS/Calendar/CalendarMultimonthOneRoom.php | 9 ++++++++-
 2 files changed, 13 insertions(+), 2 deletions(-)

commit d77c25ffe
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Aug 22 06:51:57 2025 +0100

    Add row labels.

 .../Calendar/CalendarMultimonthOneRoom.php   | 37 +++++++++++++++++-
 1 file changed, 35 insertions(+), 2 deletions(-)

commit 278da1113
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Aug 21 17:52:19 2025 +0100

    Stub for year view, one room.

 web/lib/MRBS/Calendar/Calendar.php           |  4 +-
 web/lib/MRBS/Calendar/CalendarFactory.php    |  6 +-
 .../Calendar/CalendarMultimonth.php (new)    | 47 +++++++++++
 .../Calendar/CalendarMultimonthMultiroom.php | 41 ++--------
 .../CalendarMultimonthOneRoom.php (new)      | 77 ++++++++++++++++++
 5 files changed, 137 insertions(+), 38 deletions(-)

commit fa8335050
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Aug 21 16:48:10 2025 +0100

    Add <all> option to year view room select

 web/index.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 627724d50
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Aug 14 17:54:38 2025 +0100

    Add comment

 web/lib/MRBS/Calendar/CalendarMultimonthMultiroom.php | 3 +++
 1 file changed, 3 insertions(+)

commit 675c2d06a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Aug 14 17:51:12 2025 +0100

    Add comment

 web/lib/MRBS/Calendar/CalendarMultimonthMultiroom.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60a56d873
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Aug 14 17:50:21 2025 +0100

    Simplify code

 .../MRBS/Calendar/CalendarMultimonthMultiroom.php | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

commit 19a7532a5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Aug 14 17:39:27 2025 +0100

    Simplify code

 .../Calendar/CalendarMultimonthMultiroom.php | 80 +++++++---------
 web/lib/MRBS/Calendar/FlexDiv.php (new)      | 87 ++++++++++++++++++
 2 files changed, 121 insertions(+), 46 deletions(-)

commit cf4d22afc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Aug 14 15:30:20 2025 +0100

    Add comment

 .../MRBS/Calendar/CalendarMultimonthMultiroom.php   | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit b28f834b7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Aug 14 15:16:37 2025 +0100

    Simplify code

 .../Calendar/CalendarMultimonthMultiroom.php | 102 +++++++----------
 1 file changed, 44 insertions(+), 58 deletions(-)

commit d73a3ea05
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Aug 13 18:10:26 2025 +0100

    Fix bug

 web/lib/MRBS/Calendar/CalendarMultimonthMultiroom.php | 1 +
 1 file changed, 1 insertion(+)

commit 0008089fb
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Aug 13 17:41:53 2025 +0100

    Fix bug

 .../Calendar/CalendarMultimonthMultiroom.php | 31 +++++++++++++-----
 1 file changed, 23 insertions(+), 8 deletions(-)

commit 90bf2c15d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Aug 7 16:57:36 2025 +0100

    Add a SensitiveParameter attribute for ldap_bind() password.

 web/lib/MRBS/Auth/AuthLdap.php | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 2d85780c2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Aug 4 17:09:09 2025 +0100

    Merge consecutive bookings within a month

 .../Calendar/CalendarMultimonthMultiroom.php | 47 +++++++++++++++---
 1 file changed, 40 insertions(+), 7 deletions(-)

commit a2c6773cf
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Aug 4 15:34:45 2025 +0100

    Data now appearing in year view

 web/lib/MRBS/Calendar/Calendar.php           | 33 +++++++++++
 .../Calendar/CalendarMultidayMultiroom.php   | 33 -----------
 .../Calendar/CalendarMultimonthMultiroom.php | 53 +++++++++++++++++-
 web/lib/MRBS/DateTime.php                    |  6 ++
 4 files changed, 90 insertions(+), 35 deletions(-)

commit 9b38e787d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Aug 4 12:15:29 2025 +0100

    Remove built-in assumption that the interval is a year.

 .../Calendar/CalendarMultimonthMultiroom.php | 40 +++++++++---------
 1 file changed, 21 insertions(+), 19 deletions(-)

commit c6252f793
Merge: 7fd4f8a28 6f3a0c7f6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Aug 4 11:08:51 2025 +0100

    Merge branch 'main' into year

commit 6f3a0c7f6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Aug 4 11:06:03 2025 +0100

    Simplify code and add comments

 .../Calendar/CalendarMultidayMultiroom.php   | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 6f8af8e7d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Aug 4 10:44:34 2025 +0100

    Correct comment

 web/lib/MRBS/Calendar/CalendarMultidayMultiroom.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c4efb0dbb
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Aug 4 10:44:16 2025 +0100

    Add comment

 web/lib/MRBS/Calendar/Calendar.php | 1 +
 1 file changed, 1 insertion(+)

commit 7fd4f8a28
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Aug 3 16:52:30 2025 +0100

    Get entries

 .../Calendar/CalendarMultimonthMultiroom.php | 21 ++++++-
 web/lib/MRBS/DateTime.php                    | 53 ++++++++++++++++++
 2 files changed, 73 insertions(+), 1 deletion(-)

commit 6cf6e072d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 2 17:51:50 2025 +0100

    Restructure

 .../Calendar/CalendarMultimonthMultiroom.php | 89 ++++++++++--------
 1 file changed, 50 insertions(+), 39 deletions(-)

commit ec5375af4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 2 17:33:21 2025 +0100

    Fix JavaScript error on refresh

 web/js/resizable.js.php | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 9bca4db86
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Aug 2 17:20:58 2025 +0100

    Add stub for month contents

 .../Calendar/CalendarMultimonthMultiroom.php | 22 ++++++++++++++++--
 web/mrbs_auth.inc                            | 17 +++++++++++++-
 2 files changed, 36 insertions(+), 3 deletions(-)

commit 2af439933
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jul 14 18:38:17 2025 +0100

    Restructure

 .../Calendar/CalendarMultimonthMultiroom.php | 25 ++++++++++++------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit dd50291fa
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jul 12 15:47:04 2025 +0100

    Change method back to protected

 web/lib/MRBS/Calendar/Calendar.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 562935c52
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jul 12 14:12:03 2025 +0100

    Change method to static and public

 web/lib/MRBS/Calendar/Calendar.php                  | 4 ++--
 web/lib/MRBS/Calendar/CalendarMultidayMultiroom.php | 2 +-
 web/lib/MRBS/Calendar/CalendarMultislotDay.php      | 2 +-
 web/lib/MRBS/Calendar/CalendarMultislotWeek.php     | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 706aa6300
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 11 16:04:06 2025 +0100

    Fix merge

 web/functions_table.inc (gone)               | 1381 ----------------
 web/lib/MRBS/Calendar/Calendar.php           |    3 +
 web/lib/MRBS/Calendar/CalendarFactory.php    |    3 +
 .../CalendarMultimonthMultiroom.php (new)    |  132 ++
 4 files changed, 138 insertions(+), 1381 deletions(-)

commit 724e51c9a
Merge: e4d2d4820 838a4a2cc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 11 15:38:12 2025 +0100

    Merge branch 'main' into year
    
    # Conflicts:
    #       web/functions_table.inc
    #       web/index.php

commit 838a4a2cc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 11 15:19:30 2025 +0100

    Restructure

 web/edit_entry_handler.php                   | 20 +---
 web/functions_table.inc (gone)               | 92 ------------------
 web/index.php                                | 24 +----
 .../MRBS/Calendar/CalendarFactory.php (new)  | 44 +++++++++
 .../MRBS/Calendar/CalendarMonthOneRoom.php   |  3 +-
 web/lib/MRBS/Calendar/Map.php                | 67 ++++++++++++-
 6 files changed, 116 insertions(+), 134 deletions(-)

commit 40bcf1e2c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 11 12:30:02 2025 +0100

    Rename classes

 web/edit_entry_handler.php                                  | 4 ++--
 web/functions_table.inc                                     | 2 +-
 web/index.php                                               | 4 ++--
 .../Calendar/{CalendarSlots.php => CalendarMultislot.php}   | 2 +-
 .../{CalendarSlotsDay.php => CalendarMultislotDay.php}      | 2 +-
 .../{CalendarSlotsWeek.php => CalendarMultislotWeek.php}    | 2 +-
 6 files changed, 8 insertions(+), 8 deletions(-)

commit ca360ae63
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 11 12:19:21 2025 +0100

    Restructure

 web/functions_table.inc                      | 21 ---------------
 web/lib/MRBS/Calendar/Calendar.php           | 25 ++++++++++++++++--
 .../Calendar/CalendarMultidayMultiroom.php   |  3 +--
 web/lib/MRBS/Calendar/CalendarSlotsDay.php   |  3 +--
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php  |  3 +--
 5 files changed, 26 insertions(+), 29 deletions(-)

commit d42dd94a2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 10 17:53:21 2025 +0100

    Restructure

 web/functions_table.inc                      | 68 -----------------
 web/lib/MRBS/Calendar/Calendar.php           | 69 ++++++++++++++++++
 .../Calendar/CalendarMultidayMultiroom.php   |  3 +-
 web/lib/MRBS/Calendar/CalendarSlotsDay.php   |  3 +-
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php  |  3 +-
 5 files changed, 72 insertions(+), 74 deletions(-)

commit 4c335f2b3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 10 17:40:30 2025 +0100

    Restructure

 web/functions_table.inc            |  9 ---------
 web/lib/MRBS/Calendar/Calendar.php | 12 ++++++++++--
 2 files changed, 10 insertions(+), 11 deletions(-)

commit 7612e866a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 10 17:31:13 2025 +0100

    Simplify code

 web/lib/MRBS/Calendar/Calendar.php           | 33 ++++++------------
 .../Calendar/CalendarMultidayMultiroom.php   |  2 +-
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php  |  2 +-
 3 files changed, 13 insertions(+), 24 deletions(-)

commit 85cf191e9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 10 17:21:36 2025 +0100

    Restructure

 web/functions_table.inc            | 15 ---------------
 web/lib/MRBS/Calendar/Calendar.php | 19 +++++++++++++++++--
 2 files changed, 17 insertions(+), 17 deletions(-)

commit 491fe7543
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 10 17:04:33 2025 +0100

    Restructure

 web/functions_table.inc                      | 45 -----------------
 web/lib/MRBS/Calendar/Calendar.php           | 47 ++++++++++++++++++
 .../Calendar/CalendarMultidayMultiroom.php   |  4 +-
 web/lib/MRBS/Calendar/CalendarSlotsDay.php   |  5 +-
 4 files changed, 51 insertions(+), 50 deletions(-)

commit 42fbdfec4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 10 16:56:08 2025 +0100

    Restructure

 web/functions_table.inc                      | 44 ------------------
 web/lib/MRBS/Calendar/Calendar.php           | 44 ++++++++++++++++++
 .../MRBS/Calendar/CalendarMonthOneRoom.php   |  3 +-
 .../Calendar/CalendarMultidayMultiroom.php   |  3 +-
 web/lib/MRBS/Calendar/CalendarSlots.php      |  3 +-
 5 files changed, 47 insertions(+), 50 deletions(-)

commit fb176353c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 10 16:47:47 2025 +0100

    Restructure

 web/functions_table.inc                      | 21 ---------------
 web/lib/MRBS/Calendar/Calendar.php           | 25 ++++++++++++++++--
 .../MRBS/Calendar/CalendarMonthOneRoom.php   |  3 +--
 .../Calendar/CalendarMultidayMultiroom.php   |  3 +--
 web/lib/MRBS/Calendar/CalendarSlots.php      |  3 +--
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php  |  3 +--
 6 files changed, 27 insertions(+), 31 deletions(-)

commit eb57795b9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 10 16:35:13 2025 +0100

    Restructure

 web/functions_table.inc                      | 71 ----------------
 web/lib/MRBS/Calendar/Calendar.php           | 79 ++++++++++++++++++
 .../Calendar/CalendarMultidayMultiroom.php   |  3 +-
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php  |  3 +-
 4 files changed, 81 insertions(+), 75 deletions(-)

commit 20b4ca614
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jul 8 18:32:03 2025 +0100

    Restructure

 web/functions_table.inc                      | 33 --------------
 .../Calendar/CalendarMultidayMultiroom.php   | 41 ++++++++++++++++--
 2 files changed, 37 insertions(+), 37 deletions(-)

commit ad863e448
Merge: fd5460533 845bb2ae3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jul 8 18:09:13 2025 +0100

    Merge branch 'main' into calendar

commit fd5460533
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jul 8 18:09:04 2025 +0100

    Restructure

 web/functions_table.inc                      | 239 +--------------
 .../CalendarMultidayMultiroom.php (new)      | 263 +++++++++++++++++
 2 files changed, 268 insertions(+), 234 deletions(-)

commit 845bb2ae3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jul 7 15:03:36 2025 +0100

    Fix TypeError exposed by PHP 8.5

 web/lib/MRBS/System.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 81dc8bdf6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jul 7 14:47:48 2025 +0100

    Fix bug in language debug code when language config settings are not set.

 web/language.inc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7d0ec50f5
Merge: 7657602ab bf42ce8af
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jul 7 14:37:36 2025 +0100

    Merge remote-tracking branch 'origin/main'

commit bf42ce8af
Merge: 54100f741 ef9433353
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jul 7 14:37:02 2025 +0100

    Merge pull request #3890 from aflyhorse/main
    
    Normalize encoding checks in mbstring functions gotten from PHPMailer

commit ef9433353
Author: Chen Chen <aflyhorse@hotmail.com>
Date:   Mon Jul 7 18:07:14 2025 +0800

    Normalize encoding checks in mbstring functions gotten from PHPMailer

 web/lib/MRBS/Mbstring/Mbstring.php | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 7657602ab
Merge: fcf8ac174 4df0e8d39
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 17:00:43 2025 +0100

    Merge branch 'calendar'

commit 4df0e8d39
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 17:00:18 2025 +0100

    Formatting change

 web/lib/MRBS/Calendar/CalendarSlotsDay.php | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 704a7084c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 16:53:20 2025 +0100

    Remove redundant global declaration.

 web/lib/MRBS/Calendar/CalendarMonthOneRoom.php | 1 -
 1 file changed, 1 deletion(-)

commit fcf8ac174
Merge: 05fae2daf 7f575781d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 16:47:00 2025 +0100

    Merge branch 'calendar'

commit 7f575781d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 16:46:29 2025 +0100

    Restructure

 web/functions_table.inc                 | 15 ---------------
 web/lib/MRBS/Calendar/CalendarSlots.php | 21 ++++++++++++++++++---
 2 files changed, 18 insertions(+), 18 deletions(-)

commit 0ca065ca8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 16:40:16 2025 +0100

    Restructure

 web/functions_table.inc                      | 36 ---------------
 .../MRBS/Calendar/CalendarMonthOneRoom.php   | 42 +++++++++++++++++-
 2 files changed, 40 insertions(+), 38 deletions(-)

commit 05fae2daf
Merge: 900b58e14 d269b497b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 16:12:02 2025 +0100

    Merge branch 'calendar'

commit d269b497b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 16:11:21 2025 +0100

    Restructure

 web/functions_table.inc                      | 80 ----------------
 .../MRBS/Calendar/CalendarMonthOneRoom.php   | 86 +++++++++++++++++-
 2 files changed, 84 insertions(+), 82 deletions(-)

commit 900b58e14
Merge: 9bfb0555a 0fc6129fc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 16:00:14 2025 +0100

    Merge branch 'calendar'

commit 0fc6129fc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 15:59:29 2025 +0100

    Restructure

 web/functions_table.inc                        |  9 ---------
 web/lib/MRBS/Calendar/CalendarMonthOneRoom.php | 15 ++++++++++++---
 2 files changed, 12 insertions(+), 12 deletions(-)

commit 9bfb0555a
Merge: f01bdbfb7 4e65773ea
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 14:31:33 2025 +0100

    Merge branch 'calendar'

commit 4e65773ea
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 14:31:02 2025 +0100

    Restructure

 web/functions_table.inc                      | 237 +--------------
 web/lib/MRBS/Calendar/Calendar.php           |   9 +
 .../MRBS/Calendar/CalendarMonthOneRoom.php   | 260 ++++++++++++++++-
 web/lib/MRBS/Calendar/CalendarSlots.php      |   6 -
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php  |   2 -
 5 files changed, 270 insertions(+), 244 deletions(-)

commit f01bdbfb7
Merge: b3283bc91 ae7a6a978
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 14:12:12 2025 +0100

    Merge branch 'calendar'

commit ae7a6a978
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 14:11:26 2025 +0100

    Rename variables

 web/functions_table.inc                       | 12 ++++++------
 .../Calendar/CalendarMonthOneRoom.php (new)   | 17 +++++++++++++++++
 2 files changed, 23 insertions(+), 6 deletions(-)

commit b3283bc91
Merge: 0bb64272d 8acb55ea7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 13:53:57 2025 +0100

    Merge branch 'calendar'

commit 8acb55ea7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 13:53:32 2025 +0100

    Rename method

 web/lib/MRBS/Calendar/CalendarSlots.php     | 2 +-
 web/lib/MRBS/Calendar/CalendarSlotsDay.php  | 2 +-
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 0bb64272d
Merge: cdefcbe12 ecc54d83d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 13:47:58 2025 +0100

    Merge branch 'calendar'

commit ecc54d83d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 13:47:28 2025 +0100

    Restructure

 web/functions_table.inc                     | 25 ------------------
 web/lib/MRBS/Calendar/CalendarSlots.php     | 26 +++++++++++++++++++
 web/lib/MRBS/Calendar/CalendarSlotsDay.php  |  5 ++--
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php |  5 ++--
 4 files changed, 30 insertions(+), 31 deletions(-)

commit cdefcbe12
Merge: 418a7ecb6 4a6c49e2d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 12:22:29 2025 +0100

    Merge branch 'calendar'

commit 4a6c49e2d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 12:22:06 2025 +0100

    Restructure

 web/functions_table.inc                 | 39 ---------------------
 web/lib/MRBS/Calendar/CalendarSlots.php | 42 +++++++++++++++++++++--
 2 files changed, 40 insertions(+), 41 deletions(-)

commit 418a7ecb6
Merge: c7b869fb2 df1243e5d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 12:04:40 2025 +0100

    Merge branch 'calendar'

commit df1243e5d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 12:04:06 2025 +0100

    Restructure

 web/functions_table.inc                     | 141 ----------------
 web/lib/MRBS/Calendar/CalendarSlots.php     | 150 ++++++++++++++++++
 web/lib/MRBS/Calendar/CalendarSlotsDay.php  |   5 +-
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php |   5 +-
 4 files changed, 154 insertions(+), 147 deletions(-)

commit c7b869fb2
Merge: 18bcb0cd8 f8bba0276
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 11:45:49 2025 +0100

    Merge branch 'calendar'

commit f8bba0276
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 11:45:27 2025 +0100

    Restructure

 web/functions_table.inc                     | 30 -----------------
 web/lib/MRBS/Calendar/CalendarSlots.php     | 32 +++++++++++++++++++
 web/lib/MRBS/Calendar/CalendarSlotsDay.php  |  3 +-
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php |  3 +-
 4 files changed, 34 insertions(+), 34 deletions(-)

commit 18bcb0cd8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jul 6 11:33:31 2025 +0100

    Expand error message when an invalid specifier is sent in the Accept-Language request header. See GitHub Issue #3888.

 web/language.inc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e4d2d4820
Merge: 242d1d2e1 ebfc20fa4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jul 5 19:23:50 2025 +0100

    Merge branch 'main' into year

commit ebfc20fa4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jul 5 19:19:22 2025 +0100

    Restructure

 web/lib/MRBS/Calendar/CalendarSlots.php     | 17 +++++++++--------
 web/lib/MRBS/Calendar/CalendarSlotsDay.php  |  4 ++--
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php |  4 ++--
 3 files changed, 13 insertions(+), 12 deletions(-)

commit cfd1c8892
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jul 5 19:08:45 2025 +0100

    Restructure

 web/lib/MRBS/Calendar/CalendarSlots.php     | 9 +++++++++
 web/lib/MRBS/Calendar/CalendarSlotsDay.php  | 8 +-------
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php | 7 -------
 3 files changed, 10 insertions(+), 14 deletions(-)

commit 7e6b610ad
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jul 5 18:44:03 2025 +0100

    Restructure

 web/functions_table.inc                     | 32 ------------------
 web/lib/MRBS/Calendar/CalendarSlots.php     | 33 +++++++++++++++++++
 web/lib/MRBS/Calendar/CalendarSlotsDay.php  |  5 ++-
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php |  5 ++-
 4 files changed, 37 insertions(+), 38 deletions(-)

commit 55818c222
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jul 5 18:33:35 2025 +0100

    Rename variables

 web/lib/MRBS/Calendar/CalendarSlotsWeek.php | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit c2d7bb20f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jul 5 18:18:54 2025 +0100

    Simplify code

 web/lib/MRBS/Calendar/CalendarSlotsWeek.php | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit a60682787
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jul 5 18:12:32 2025 +0100

    Restructure

 web/functions_table.inc                     | 26 ----------------
 web/lib/MRBS/Calendar/CalendarSlotsWeek.php | 31 +++++++++++++++++--
 2 files changed, 29 insertions(+), 28 deletions(-)

commit 56d59dee5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jul 5 17:30:22 2025 +0100

    Add CalendarSlotsWeek class

 web/functions_table.inc                      | 241 +-------------
 .../Calendar/CalendarSlotsWeek.php (new)     | 288 +++++++++++++++++
 2 files changed, 290 insertions(+), 239 deletions(-)

commit 242d1d2e1
Merge: bbcab9062 d39e5c164
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 20:12:51 2025 +0100

    Merge branch 'main' into year

commit d39e5c164
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 20:09:33 2025 +0100

    Rename class

 web/edit_entry_handler.php                                  | 4 ++--
 web/index.php                                               | 4 ++--
 .../MRBS/Calendar/{CalendarDay.php => CalendarSlotsDay.php} | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit b50bfb5b8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 20:06:12 2025 +0100

    Add abstract class to cover the day and week views

 web/lib/MRBS/Calendar/CalendarDay.php         | 2 +-
 web/lib/MRBS/Calendar/CalendarSlots.php (new) | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 44bfdc4ee
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 19:59:01 2025 +0100

    Add abstract function

 web/lib/MRBS/Calendar/Calendar.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bbcab9062
Merge: 413d137ef 5a78c4c2e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 19:53:27 2025 +0100

    Merge branch 'main' into year

commit 5a78c4c2e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 19:48:31 2025 +0100

    Restructure

 web/functions_table.inc               | 14 --------------
 web/lib/MRBS/Calendar/CalendarDay.php | 18 ++++++++++++++++--
 2 files changed, 16 insertions(+), 16 deletions(-)

commit 827a619ca
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 19:21:42 2025 +0100

    Remove redundant code

 web/functions_table.inc | 252 --------------------------------------
 1 file changed, 252 deletions(-)

commit 413d137ef
Merge: 00b80e620 5de7e850e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 19:12:38 2025 +0100

    Merge branch 'main' into year

commit 5de7e850e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 14:48:16 2025 +0100

    Add CalendarDay class

 web/edit_entry_handler.php                  |   4 +-
 web/index.php                               |   4 +-
 web/lib/MRBS/Calendar/Calendar.php (new)    |   8 +
 web/lib/MRBS/Calendar/CalendarDay.php (new) | 298 ++++++++++++++++++
 web/lib/MRBS/Calendar/Map.php               |   1 -
 5 files changed, 312 insertions(+), 3 deletions(-)

commit 9b936674a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 13:18:42 2025 +0100

    Restructure

 web/functions_table.inc             |  2 ++
 web/lib/MRBS/{ => Calendar}/Map.php | 11 ++++++++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 00b80e620
Merge: 4137fe8eb 41914f259
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 12:43:29 2025 +0100

    Merge branch 'main' into year

commit 41914f259
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jul 4 09:14:51 2025 +0100

    Simplify code.

 web/functions_table.inc   |  2 +-
 web/lib/MRBS/DateTime.php | 14 ++++++++++++++
 2 files changed, 15 insertions(+), 1 deletion(-)

commit 439557c56
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 3 21:22:05 2025 +0100

    Simplify code.

 web/functions_table.inc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 1e436cbdd
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 3 21:02:10 2025 +0100

    Simplify code.

 web/functions_table.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a76a2b6d6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 3 20:41:56 2025 +0100

    Simplify code.

 web/functions_table.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 032819e65
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 3 20:38:19 2025 +0100

    Restructure

 web/functions_table.inc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit e322ea12a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 3 20:06:54 2025 +0100

    Restructure

 web/functions_table.inc |  4 ++--
 web/mrbs_sql.inc        | 14 +++++++-------
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 2da136ab3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jul 3 19:49:45 2025 +0100

    Restructure

 web/functions_table.inc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 9f2187676
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jul 2 17:35:02 2025 +0100

    Restructure

 web/functions_table.inc |  4 ++--
 web/mrbs_sql.inc        | 18 ++++++++++++------
 2 files changed, 14 insertions(+), 8 deletions(-)

commit 404b5f847
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jul 2 17:13:33 2025 +0100

    Optimise code by delaying call to prepare_entry() until it is required.

 web/lib/MRBS/Map.php | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit eb1c2ad1d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jul 2 17:03:13 2025 +0100

    Rename variable

 web/lib/MRBS/Map.php | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4137fe8eb
Merge: b86b7a204 282b5030c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jul 2 16:38:22 2025 +0100

    Merge branch 'main' into year

commit 282b5030c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jul 2 16:22:24 2025 +0100

    Restructure.

 web/functions_table.inc | 124 ++++++++++++++------------------------
 web/lib/MRBS/Map.php    |  35 ++++++++++-
 2 files changed, 78 insertions(+), 81 deletions(-)

commit b86b7a204
Merge: 8456a4237 54100f741
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 29 18:59:12 2025 +0100

    Merge branch 'main' into year

commit 54100f741
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 29 18:56:50 2025 +0100

    Update timezone definitions.

 .../zoneinfo-outlook/Africa/Abidjan.ics      |   6 +-
 .../zoneinfo-outlook/Africa/Accra.ics (gone) |  16 --
 .../Africa/Addis_Ababa.ics (gone)            |  16 --
 .../zoneinfo-outlook/Africa/Algiers.ics      |   6 +-
 .../Africa/Asmara.ics (gone)                 |  16 --
 .../Africa/Bamako.ics (gone)                 |  16 --
 .../Africa/Bangui.ics (gone)                 |  16 --
 .../Africa/Banjul.ics (gone)                 |  16 --
 web/tzurl/zoneinfo-outlook/Africa/Bissau.ics |   6 +-
 .../Africa/Blantyre.ics (gone)               |  16 --
 .../Africa/Brazzaville.ics (gone)            |  16 --
 .../Africa/Bujumbura.ics (gone)              |  16 --
 web/tzurl/zoneinfo-outlook/Africa/Cairo.ics  |  18 +-
 .../zoneinfo-outlook/Africa/Casablanca.ics   |   6 +-
 web/tzurl/zoneinfo-outlook/Africa/Ceuta.ics  |   6 +-
 .../Africa/Conakry.ics (gone)                |  16 --
 .../zoneinfo-outlook/Africa/Dakar.ics (gone) |  16 --
 .../Africa/Dar_es_Salaam.ics (gone)          |  16 --
 .../Africa/Djibouti.ics (gone)               |  16 --
 .../Africa/Douala.ics (gone)                 |  16 --
 .../zoneinfo-outlook/Africa/El_Aaiun.ics     |   6 +-
 .../Africa/Freetown.ics (gone)               |  16 --
 .../Africa/Gaborone.ics (gone)               |  16 --
 .../Africa/Harare.ics (gone)                 |  16 --
 .../zoneinfo-outlook/Africa/Johannesburg.ics |   6 +-
 web/tzurl/zoneinfo-outlook/Africa/Juba.ics   |   6 +-
 .../Africa/Kampala.ics (gone)                |  16 --
 .../zoneinfo-outlook/Africa/Khartoum.ics     |   6 +-
 .../Africa/Kigali.ics (gone)                 |  16 --
 .../Africa/Kinshasa.ics (gone)               |  16 --
 web/tzurl/zoneinfo-outlook/Africa/Lagos.ics  |   6 +-
 .../Africa/Libreville.ics (gone)             |  16 --
 .../zoneinfo-outlook/Africa/Lome.ics (gone)  |  16 --
 .../Africa/Luanda.ics (gone)                 |  16 --
 .../Africa/Lubumbashi.ics (gone)             |  16 --
 .../Africa/Lusaka.ics (gone)                 |  16 --
 .../Africa/Malabo.ics (gone)                 |  16 --
 web/tzurl/zoneinfo-outlook/Africa/Maputo.ics |   6 +-
 .../Africa/Maseru.ics (gone)                 |  16 --
 .../Africa/Mbabane.ics (gone)                |  16 --
 .../Africa/Mogadishu.ics (gone)              |  16 --
 .../zoneinfo-outlook/Africa/Monrovia.ics     |   6 +-
 .../zoneinfo-outlook/Africa/Nairobi.ics      |   6 +-
 .../zoneinfo-outlook/Africa/Ndjamena.ics     |   6 +-
 .../Africa/Niamey.ics (gone)                 |  16 --
 .../Africa/Nouakchott.ics (gone)             |  16 --
 .../Africa/Ouagadougou.ics (gone)            |  16 --
 .../Africa/Porto-Novo.ics (gone)             |  16 --
 .../zoneinfo-outlook/Africa/Sao_Tome.ics     |   6 +-
 .../zoneinfo-outlook/Africa/Tripoli.ics      |   6 +-
 web/tzurl/zoneinfo-outlook/Africa/Tunis.ics  |   6 +-
 .../zoneinfo-outlook/Africa/Windhoek.ics     |   6 +-
 web/tzurl/zoneinfo-outlook/America/Adak.ics  |   6 +-
 .../zoneinfo-outlook/America/Anchorage.ics   |   6 +-
 .../America/Anguilla.ics (gone)              |  16 --
 .../America/Antigua.ics (gone)               |  16 --
 .../zoneinfo-outlook/America/Araguaina.ics   |   6 +-
 .../America/Argentina/Buenos_Aires.ics       |   6 +-
 .../America/Argentina/Catamarca.ics          |   6 +-
 .../America/Argentina/Cordoba.ics            |   6 +-
 .../America/Argentina/Jujuy.ics              |   6 +-
 .../America/Argentina/La_Rioja.ics           |   6 +-
 .../America/Argentina/Mendoza.ics            |   6 +-
 .../America/Argentina/Rio_Gallegos.ics       |   6 +-
 .../America/Argentina/Salta.ics              |   6 +-
 .../America/Argentina/San_Juan.ics           |   6 +-
 .../America/Argentina/San_Luis.ics           |   6 +-
 .../America/Argentina/Tucuman.ics            |   6 +-
 .../America/Argentina/Ushuaia.ics            |   6 +-
 .../America/Aruba.ics (gone)                 |  16 --
 .../zoneinfo-outlook/America/Asuncion.ics    |  20 +-
 .../America/Atikokan.ics (gone)              |  16 --
 web/tzurl/zoneinfo-outlook/America/Bahia.ics |   6 +-
 .../America/Bahia_Banderas.ics               |  18 +-
 .../zoneinfo-outlook/America/Barbados.ics    |   6 +-
 web/tzurl/zoneinfo-outlook/America/Belem.ics |   6 +-
 .../zoneinfo-outlook/America/Belize.ics      |   6 +-
 .../America/Blanc-Sablon.ics (gone)          |  16 --
 .../zoneinfo-outlook/America/Boa_Vista.ics   |   6 +-
 .../zoneinfo-outlook/America/Bogota.ics      |   6 +-
 web/tzurl/zoneinfo-outlook/America/Boise.ics |   6 +-
 .../America/Cambridge_Bay.ics                |   6 +-
 .../America/Campo_Grande.ics                 |   6 +-
 .../zoneinfo-outlook/America/Cancun.ics      |   6 +-
 .../zoneinfo-outlook/America/Caracas.ics     |   6 +-
 .../zoneinfo-outlook/America/Cayenne.ics     |   6 +-
 .../America/Cayman.ics (gone)                |  16 --
 .../zoneinfo-outlook/America/Chicago.ics     |   6 +-
 .../zoneinfo-outlook/America/Chihuahua.ics   |  20 +-
 .../{Yellowknife.ics => Ciudad_Juarez.ics}   |  10 +-
 .../zoneinfo-outlook/America/Costa_Rica.ics  |   6 +-
 .../America/Coyhaique.ics (new)              |  16 ++
 .../America/Creston.ics (gone)               |  16 --
 .../zoneinfo-outlook/America/Cuiaba.ics      |   6 +-
 .../America/Curacao.ics (gone)               |  16 --
 .../America/Danmarkshavn.ics                 |   6 +-
 .../zoneinfo-outlook/America/Dawson.ics      |   6 +-
 .../America/Dawson_Creek.ics                 |   6 +-
 .../zoneinfo-outlook/America/Denver.ics      |   6 +-
 .../zoneinfo-outlook/America/Detroit.ics     |   6 +-
 .../America/Dominica.ics (gone)              |  16 --
 .../zoneinfo-outlook/America/Edmonton.ics    |   6 +-
 .../zoneinfo-outlook/America/Eirunepe.ics    |   6 +-
 .../zoneinfo-outlook/America/El_Salvador.ics |   6 +-
 .../zoneinfo-outlook/America/Fort_Nelson.ics |   6 +-
 .../zoneinfo-outlook/America/Fortaleza.ics   |   6 +-
 .../zoneinfo-outlook/America/Glace_Bay.ics   |   6 +-
 .../America/Godthab.ics (gone)               |  24 --
 .../zoneinfo-outlook/America/Goose_Bay.ics   |   6 +-
 .../zoneinfo-outlook/America/Grand_Turk.ics  |   6 +-
 .../America/Grenada.ics (gone)               |  16 --
 .../America/Guadeloupe.ics (gone)            |  16 --
 .../zoneinfo-outlook/America/Guatemala.ics   |   6 +-
 .../zoneinfo-outlook/America/Guayaquil.ics   |   6 +-
 .../zoneinfo-outlook/America/Guyana.ics      |   6 +-
 .../zoneinfo-outlook/America/Halifax.ics     |   6 +-
 .../zoneinfo-outlook/America/Havana.ics      |   6 +-
 .../zoneinfo-outlook/America/Hermosillo.ics  |   6 +-
 .../America/Indiana/Indianapolis.ics         |   6 +-
 .../America/Indiana/Knox.ics                 |   6 +-
 .../America/Indiana/Marengo.ics              |   6 +-
 .../America/Indiana/Petersburg.ics           |   6 +-
 .../America/Indiana/Tell_City.ics            |   6 +-
 .../America/Indiana/Vevay.ics                |   6 +-
 .../America/Indiana/Vincennes.ics            |   6 +-
 .../America/Indiana/Winamac.ics              |   6 +-
 .../zoneinfo-outlook/America/Inuvik.ics      |   6 +-
 .../zoneinfo-outlook/America/Iqaluit.ics     |   6 +-
 .../zoneinfo-outlook/America/Jamaica.ics     |   6 +-
 .../zoneinfo-outlook/America/Juneau.ics      |   6 +-
 .../America/Kentucky/Louisville.ics          |   6 +-
 .../America/Kentucky/Monticello.ics          |   6 +-
 .../America/Kralendijk.ics (gone)            |  16 --
 .../zoneinfo-outlook/America/La_Paz.ics      |   6 +-
 web/tzurl/zoneinfo-outlook/America/Lima.ics  |   6 +-
 .../zoneinfo-outlook/America/Los_Angeles.ics |   6 +-
 .../America/Lower_Princes.ics (gone)         |  16 --
 .../zoneinfo-outlook/America/Maceio.ics      |   6 +-
 .../zoneinfo-outlook/America/Managua.ics     |   6 +-
 .../zoneinfo-outlook/America/Manaus.ics      |   6 +-
 .../America/Marigot.ics (gone)               |  16 --
 .../zoneinfo-outlook/America/Martinique.ics  |   6 +-
 .../zoneinfo-outlook/America/Matamoros.ics   |   6 +-
 .../zoneinfo-outlook/America/Mazatlan.ics    |  18 +-
 .../zoneinfo-outlook/America/Menominee.ics   |   6 +-
 .../zoneinfo-outlook/America/Merida.ics      |  18 +-
 .../zoneinfo-outlook/America/Metlakatla.ics  |   6 +-
 .../zoneinfo-outlook/America/Mexico_City.ics |  18 +-
 .../zoneinfo-outlook/America/Miquelon.ics    |   6 +-
 .../zoneinfo-outlook/America/Moncton.ics     |   6 +-
 .../zoneinfo-outlook/America/Monterrey.ics   |  18 +-
 .../zoneinfo-outlook/America/Montevideo.ics  |   6 +-
 .../America/Montserrat.ics (gone)            |  16 --
 .../America/Nassau.ics (gone)                |  24 --
 .../zoneinfo-outlook/America/New_York.ics    |   6 +-
 .../America/Nipigon.ics (gone)               |  24 --
 web/tzurl/zoneinfo-outlook/America/Nome.ics  |   6 +-
 .../zoneinfo-outlook/America/Noronha.ics     |   6 +-
 .../America/North_Dakota/Beulah.ics          |   6 +-
 .../America/North_Dakota/Center.ics          |   6 +-
 .../America/North_Dakota/New_Salem.ics       |   6 +-
 .../zoneinfo-outlook/America/Nuuk.ics (new)  |  24 ++
 .../zoneinfo-outlook/America/Ojinaga.ics     |  18 +-
 .../zoneinfo-outlook/America/Panama.ics      |   6 +-
 .../America/Pangnirtung.ics (gone)           |  24 --
 .../zoneinfo-outlook/America/Paramaribo.ics  |   6 +-
 .../zoneinfo-outlook/America/Phoenix.ics     |   6 +-
 .../America/Port-au-Prince.ics               |   6 +-
 .../America/Port_of_Spain.ics (gone)         |  16 --
 .../zoneinfo-outlook/America/Porto_Velho.ics |   6 +-
 .../zoneinfo-outlook/America/Puerto_Rico.ics |   6 +-
 .../America/Punta_Arenas.ics                 |   6 +-
 .../America/Rainy_River.ics (gone)           |  24 --
 .../America/Rankin_Inlet.ics                 |   6 +-
 .../zoneinfo-outlook/America/Recife.ics      |   6 +-
 .../zoneinfo-outlook/America/Regina.ics      |   6 +-
 .../zoneinfo-outlook/America/Resolute.ics    |   6 +-
 .../zoneinfo-outlook/America/Rio_Branco.ics  |   6 +-
 .../zoneinfo-outlook/America/Santarem.ics    |   6 +-
 .../zoneinfo-outlook/America/Santiago.ics    |   6 +-
 .../America/Santo_Domingo.ics                |   6 +-
 .../zoneinfo-outlook/America/Sao_Paulo.ics   |   6 +-
 .../America/Scoresbysund.ics                 |  28 +-
 web/tzurl/zoneinfo-outlook/America/Sitka.ics |   6 +-
 .../America/St_Barthelemy.ics (gone)         |  16 --
 .../zoneinfo-outlook/America/St_Johns.ics    |   6 +-
 .../America/St_Kitts.ics (gone)              |  16 --
 .../America/St_Lucia.ics (gone)              |  16 --
 .../America/St_Thomas.ics (gone)             |  16 --
 .../America/St_Vincent.ics (gone)            |  16 --
 .../America/Swift_Current.ics                |   6 +-
 .../zoneinfo-outlook/America/Tegucigalpa.ics |   6 +-
 web/tzurl/zoneinfo-outlook/America/Thule.ics |   6 +-
 .../America/Thunder_Bay.ics (gone)           |  24 --
 .../zoneinfo-outlook/America/Tijuana.ics     |   6 +-
 .../zoneinfo-outlook/America/Toronto.ics     |   6 +-
 .../America/Tortola.ics (gone)               |  16 --
 .../zoneinfo-outlook/America/Vancouver.ics   |   6 +-
 .../zoneinfo-outlook/America/Whitehorse.ics  |   6 +-
 .../zoneinfo-outlook/America/Winnipeg.ics    |   6 +-
 .../zoneinfo-outlook/America/Yakutat.ics     |   6 +-
 .../zoneinfo-outlook/Antarctica/Casey.ics    |  12 +-
 .../zoneinfo-outlook/Antarctica/Davis.ics    |   6 +-
 .../Antarctica/DumontDUrville.ics (gone)     |  16 --
 .../Antarctica/Macquarie.ics                 |   6 +-
 .../zoneinfo-outlook/Antarctica/Mawson.ics   |   6 +-
 .../Antarctica/McMurdo.ics (gone)            |  24 --
 .../zoneinfo-outlook/Antarctica/Palmer.ics   |   6 +-
 .../zoneinfo-outlook/Antarctica/Rothera.ics  |   6 +-
 .../Antarctica/Syowa.ics (gone)              |  16 --
 .../zoneinfo-outlook/Antarctica/Troll.ics    |   6 +-
 .../zoneinfo-outlook/Antarctica/Vostok.ics   |  16 +-
 .../Arctic/Longyearbyen.ics (gone)           |  24 --
 .../zoneinfo-outlook/Asia/Aden.ics (gone)    |  16 --
 .../zoneinfo-outlook/Asia/Almaty.ics (gone)  |  16 --
 .../zoneinfo-outlook/Asia/Amman.ics (gone)   |  16 --
 .../zoneinfo-outlook/Asia/Anadyr.ics (gone)  |  16 --
 .../zoneinfo-outlook/Asia/Aqtau.ics (gone)   |  16 --
 .../zoneinfo-outlook/Asia/Aqtobe.ics (gone)  |  16 --
 .../Asia/Ashgabat.ics (gone)                 |  16 --
 .../zoneinfo-outlook/Asia/Atyrau.ics (gone)  |  16 --
 .../zoneinfo-outlook/Asia/Baghdad.ics (gone) |  16 --
 .../zoneinfo-outlook/Asia/Bahrain.ics (gone) |  16 --
 .../zoneinfo-outlook/Asia/Baku.ics (gone)    |  16 --
 .../zoneinfo-outlook/Asia/Bangkok.ics (gone) |  16 --
 .../zoneinfo-outlook/Asia/Barnaul.ics (gone) |  16 --
 .../zoneinfo-outlook/Asia/Beirut.ics (gone)  |  24 --
 .../zoneinfo-outlook/Asia/Bishkek.ics (gone) |  16 --
 .../zoneinfo-outlook/Asia/Brunei.ics (gone)  |  16 --
 .../zoneinfo-outlook/Asia/Chita.ics (gone)   |  16 --
 .../Asia/Choibalsan.ics (gone)               |  16 --
 .../zoneinfo-outlook/Asia/Colombo.ics (gone) |  16 --
 .../Asia/Damascus.ics (gone)                 |  16 --
 .../zoneinfo-outlook/Asia/Dhaka.ics (gone)   |  16 --
 .../zoneinfo-outlook/Asia/Dili.ics (gone)    |  16 --
 .../zoneinfo-outlook/Asia/Dubai.ics (gone)   |  16 --
 .../Asia/Dushanbe.ics (gone)                 |  16 --
 .../Asia/Famagusta.ics (gone)                |  24 --
 .../zoneinfo-outlook/Asia/Gaza.ics (gone)    |  24 --
 .../zoneinfo-outlook/Asia/Hebron.ics (gone)  |  24 --
 .../Asia/Ho_Chi_Minh.ics (gone)              |  16 --
 .../Asia/Hong_Kong.ics (gone)                |  16 --
 .../zoneinfo-outlook/Asia/Hovd.ics (gone)    |  16 --
 .../zoneinfo-outlook/Asia/Irkutsk.ics (gone) |  16 --
 .../Asia/Istanbul.ics (gone)                 |  16 --
 .../zoneinfo-outlook/Asia/Jakarta.ics (gone) |  16 --
 .../Asia/Jayapura.ics (gone)                 |  16 --
 .../Asia/Jerusalem.ics (gone)                |  24 --
 .../zoneinfo-outlook/Asia/Kabul.ics (gone)   |  16 --
 .../Asia/Kamchatka.ics (gone)                |  16 --
 .../zoneinfo-outlook/Asia/Karachi.ics (gone) |  16 --
 .../Asia/Kathmandu.ics (gone)                |  16 --
 .../Asia/Khandyga.ics (gone)                 |  16 --
 .../zoneinfo-outlook/Asia/Kolkata.ics (gone) |  16 --
 .../Asia/Krasnoyarsk.ics (gone)              |  16 --
 .../Asia/Kuala_Lumpur.ics (gone)             |  16 --
 .../zoneinfo-outlook/Asia/Kuching.ics (gone) |  16 --
 .../zoneinfo-outlook/Asia/Kuwait.ics (gone)  |  16 --
 .../zoneinfo-outlook/Asia/Macau.ics (gone)   |  16 --
 .../zoneinfo-outlook/Asia/Magadan.ics (gone) |  16 --
 .../Asia/Makassar.ics (gone)                 |  16 --
 .../zoneinfo-outlook/Asia/Manila.ics (gone)  |  16 --
 .../zoneinfo-outlook/Asia/Muscat.ics (gone)  |  16 --
 .../zoneinfo-outlook/Asia/Nicosia.ics (gone) |  24 --
 .../Asia/Novokuznetsk.ics (gone)             |  16 --
 .../Asia/Novosibirsk.ics (gone)              |  16 --
 .../zoneinfo-outlook/Asia/Omsk.ics (gone)    |  16 --
 .../zoneinfo-outlook/Asia/Oral.ics (gone)    |  16 --
 .../Asia/Phnom_Penh.ics (gone)               |  16 --
 .../Asia/Pontianak.ics (gone)                |  16 --
 .../Asia/Pyongyang.ics (gone)                |  16 --
 .../zoneinfo-outlook/Asia/Qatar.ics (gone)   |  16 --
 .../Asia/Qyzylorda.ics (gone)                |  16 --
 .../zoneinfo-outlook/Asia/Riyadh.ics (gone)  |  16 --
 .../Asia/Sakhalin.ics (gone)                 |  16 --
 .../Asia/Samarkand.ics (gone)                |  16 --
 .../zoneinfo-outlook/Asia/Seoul.ics (gone)   |  16 --
 .../Asia/Shanghai.ics (gone)                 |  16 --
 .../Asia/Singapore.ics (gone)                |  16 --
 .../Asia/Srednekolymsk.ics (gone)            |  16 --
 .../zoneinfo-outlook/Asia/Taipei.ics (gone)  |  16 --
 .../Asia/Tashkent.ics (gone)                 |  16 --
 .../zoneinfo-outlook/Asia/Tbilisi.ics (gone) |  16 --
 .../zoneinfo-outlook/Asia/Tehran.ics (gone)  |  16 --
 .../zoneinfo-outlook/Asia/Thimphu.ics (gone) |  16 --
 .../zoneinfo-outlook/Asia/Tokyo.ics (gone)   |  16 --
 .../zoneinfo-outlook/Asia/Tomsk.ics (gone)   |  16 --
 .../Asia/Ulaanbaatar.ics (gone)              |  16 --
 .../zoneinfo-outlook/Asia/Urumqi.ics (gone)  |  16 --
 .../Asia/Ust-Nera.ics (gone)                 |  16 --
 .../Asia/Vientiane.ics (gone)                |  16 --
 .../Asia/Vladivostok.ics (gone)              |  16 --
 .../zoneinfo-outlook/Asia/Yakutsk.ics (gone) |  16 --
 .../zoneinfo-outlook/Asia/Yangon.ics (gone)  |  16 --
 .../Asia/Yekaterinburg.ics (gone)            |  16 --
 .../zoneinfo-outlook/Asia/Yerevan.ics (gone) |  16 --
 .../zoneinfo-outlook/Atlantic/Azores.ics     |   6 +-
 .../zoneinfo-outlook/Atlantic/Bermuda.ics    |   6 +-
 .../zoneinfo-outlook/Atlantic/Canary.ics     |   6 +-
 .../zoneinfo-outlook/Atlantic/Cape_Verde.ics |   6 +-
 .../zoneinfo-outlook/Atlantic/Faroe.ics      |   6 +-
 .../zoneinfo-outlook/Atlantic/Madeira.ics    |   6 +-
 .../Atlantic/Reykjavik.ics (gone)            |  16 --
 .../Atlantic/South_Georgia.ics               |   6 +-
 .../Atlantic/St_Helena.ics (gone)            |  16 --
 .../zoneinfo-outlook/Atlantic/Stanley.ics    |   6 +-
 .../zoneinfo-outlook/Australia/Adelaide.ics  |   6 +-
 .../zoneinfo-outlook/Australia/Brisbane.ics  |   6 +-
 .../Australia/Broken_Hill.ics                |   6 +-
 .../Australia/Currie.ics (gone)              |  24 --
 .../zoneinfo-outlook/Australia/Darwin.ics    |   6 +-
 .../zoneinfo-outlook/Australia/Eucla.ics     |   6 +-
 .../zoneinfo-outlook/Australia/Hobart.ics    |   6 +-
 .../zoneinfo-outlook/Australia/Lindeman.ics  |   6 +-
 .../zoneinfo-outlook/Australia/Lord_Howe.ics |   6 +-
 .../zoneinfo-outlook/Australia/Melbourne.ics |   6 +-
 .../zoneinfo-outlook/Australia/Perth.ics     |   6 +-
 .../zoneinfo-outlook/Australia/Sydney.ics    |   6 +-
 .../Europe/Amsterdam.ics (gone)              |  24 --
 .../zoneinfo-outlook/Europe/Andorra.ics      |   6 +-
 .../zoneinfo-outlook/Europe/Astrakhan.ics    |   6 +-
 web/tzurl/zoneinfo-outlook/Europe/Athens.ics |   6 +-
 .../zoneinfo-outlook/Europe/Belgrade.ics     |   6 +-
 web/tzurl/zoneinfo-outlook/Europe/Berlin.ics |   6 +-
 .../Europe/Bratislava.ics (gone)             |  24 --
 .../zoneinfo-outlook/Europe/Brussels.ics     |   6 +-
 .../zoneinfo-outlook/Europe/Bucharest.ics    |   6 +-
 .../zoneinfo-outlook/Europe/Budapest.ics     |   6 +-
 .../Europe/Busingen.ics (gone)               |  24 --
 .../zoneinfo-outlook/Europe/Chisinau.ics     |   6 +-
 .../Europe/Copenhagen.ics (gone)             |  24 --
 web/tzurl/zoneinfo-outlook/Europe/Dublin.ics |   6 +-
 .../zoneinfo-outlook/Europe/Gibraltar.ics    |   6 +-
 .../Europe/Guernsey.ics (gone)               |  24 --
 .../zoneinfo-outlook/Europe/Helsinki.ics     |   6 +-
 .../Europe/Isle_of_Man.ics (gone)            |  24 --
 .../zoneinfo-outlook/Europe/Istanbul.ics     |   6 +-
 .../Europe/Jersey.ics (gone)                 |  24 --
 .../zoneinfo-outlook/Europe/Kaliningrad.ics  |   6 +-
 web/tzurl/zoneinfo-outlook/Europe/Kirov.ics  |   8 +-
 .../Europe/{Kiev.ics => Kyiv.ics}            |   6 +-
 web/tzurl/zoneinfo-outlook/Europe/Lisbon.ics |   6 +-
 .../Europe/Ljubljana.ics (gone)              |  24 --
 web/tzurl/zoneinfo-outlook/Europe/London.ics |   6 +-
 .../Europe/Luxembourg.ics (gone)             |  24 --
 web/tzurl/zoneinfo-outlook/Europe/Madrid.ics |   6 +-
 web/tzurl/zoneinfo-outlook/Europe/Malta.ics  |   6 +-
 .../Europe/Mariehamn.ics (gone)              |  24 --
 web/tzurl/zoneinfo-outlook/Europe/Minsk.ics  |   6 +-
 .../Europe/Monaco.ics (gone)                 |  24 --
 web/tzurl/zoneinfo-outlook/Europe/Moscow.ics |   6 +-
 .../Europe/Nicosia.ics (gone)                |  24 --
 .../zoneinfo-outlook/Europe/Oslo.ics (gone)  |  24 --
 web/tzurl/zoneinfo-outlook/Europe/Paris.ics  |   6 +-
 .../Europe/Podgorica.ics (gone)              |  24 --
 web/tzurl/zoneinfo-outlook/Europe/Prague.ics |   6 +-
 web/tzurl/zoneinfo-outlook/Europe/Riga.ics   |   6 +-
 web/tzurl/zoneinfo-outlook/Europe/Rome.ics   |   6 +-
 web/tzurl/zoneinfo-outlook/Europe/Samara.ics |   6 +-
 .../Europe/San_Marino.ics (gone)             |  24 --
 .../Europe/Sarajevo.ics (gone)               |  24 --
 .../zoneinfo-outlook/Europe/Saratov.ics      |   6 +-
 .../zoneinfo-outlook/Europe/Simferopol.ics   |   6 +-
 .../Europe/Skopje.ics (gone)                 |  24 --
 web/tzurl/zoneinfo-outlook/Europe/Sofia.ics  |   6 +-
 .../Europe/Stockholm.ics (gone)              |  24 --
 .../zoneinfo-outlook/Europe/Tallinn.ics      |   6 +-
 web/tzurl/zoneinfo-outlook/Europe/Tirane.ics |   6 +-
 .../zoneinfo-outlook/Europe/Ulyanovsk.ics    |   6 +-
 .../Europe/Uzhgorod.ics (gone)               |  24 --
 .../zoneinfo-outlook/Europe/Vaduz.ics (gone) |  24 --
 .../Europe/Vatican.ics (gone)                |  24 --
 web/tzurl/zoneinfo-outlook/Europe/Vienna.ics |   6 +-
 .../zoneinfo-outlook/Europe/Vilnius.ics      |   6 +-
 .../zoneinfo-outlook/Europe/Volgograd.ics    |   8 +-
 web/tzurl/zoneinfo-outlook/Europe/Warsaw.ics |   6 +-
 .../Europe/Zagreb.ics (gone)                 |  24 --
 .../Europe/Zaporozhye.ics (gone)             |  24 --
 web/tzurl/zoneinfo-outlook/Europe/Zurich.ics |   6 +-
 .../Indian/Antananarivo.ics (gone)           |  16 --
 .../Indian/Chagos.ics (gone)                 |  16 --
 .../Indian/Christmas.ics (gone)              |  16 --
 .../zoneinfo-outlook/Indian/Cocos.ics (gone) |  16 --
 .../Indian/Comoro.ics (gone)                 |  16 --
 .../Indian/Kerguelen.ics (gone)              |  16 --
 .../zoneinfo-outlook/Indian/Mahe.ics (gone)  |  16 --
 .../Indian/Maldives.ics (gone)               |  16 --
 .../Indian/Mauritius.ics (gone)              |  16 --
 .../Indian/Mayotte.ics (gone)                |  16 --
 .../Indian/Reunion.ics (gone)                |  16 --
 web/tzurl/zoneinfo-outlook/Pacific/Apia.ics  |   6 +-
 .../zoneinfo-outlook/Pacific/Auckland.ics    |   6 +-
 .../Pacific/Bougainville.ics                 |   6 +-
 .../zoneinfo-outlook/Pacific/Chatham.ics     |   6 +-
 .../Pacific/Chuuk.ics (gone)                 |  16 --
 .../zoneinfo-outlook/Pacific/Easter.ics      |   6 +-
 web/tzurl/zoneinfo-outlook/Pacific/Efate.ics |   6 +-
 .../zoneinfo-outlook/Pacific/Fakaofo.ics     |   6 +-
 web/tzurl/zoneinfo-outlook/Pacific/Fiji.ics  |  18 +-
 .../Pacific/Funafuti.ics (gone)              |  16 --
 .../zoneinfo-outlook/Pacific/Galapagos.ics   |   6 +-
 .../zoneinfo-outlook/Pacific/Gambier.ics     |   6 +-
 .../zoneinfo-outlook/Pacific/Guadalcanal.ics |   6 +-
 web/tzurl/zoneinfo-outlook/Pacific/Guam.ics  |   6 +-
 .../zoneinfo-outlook/Pacific/Honolulu.ics    |   6 +-
 .../Pacific/{Enderbury.ics => Kanton.ics}    |   6 +-
 .../zoneinfo-outlook/Pacific/Kiritimati.ics  |   6 +-
 .../zoneinfo-outlook/Pacific/Kosrae.ics      |   6 +-
 .../zoneinfo-outlook/Pacific/Kwajalein.ics   |   6 +-
 .../Pacific/Majuro.ics (gone)                |  16 --
 .../zoneinfo-outlook/Pacific/Marquesas.ics   |   6 +-
 .../Pacific/Midway.ics (gone)                |  16 --
 web/tzurl/zoneinfo-outlook/Pacific/Nauru.ics |   6 +-
 web/tzurl/zoneinfo-outlook/Pacific/Niue.ics  |   6 +-
 .../zoneinfo-outlook/Pacific/Norfolk.ics     |   6 +-
 .../zoneinfo-outlook/Pacific/Noumea.ics      |   6 +-
 .../zoneinfo-outlook/Pacific/Pago_Pago.ics   |   6 +-
 web/tzurl/zoneinfo-outlook/Pacific/Palau.ics |   6 +-
 .../zoneinfo-outlook/Pacific/Pitcairn.ics    |   6 +-
 .../Pacific/Pohnpei.ics (gone)               |  16 --
 .../Pacific/Port_Moresby.ics                 |   6 +-
 .../zoneinfo-outlook/Pacific/Rarotonga.ics   |   6 +-
 .../Pacific/Saipan.ics (gone)                |  16 --
 .../zoneinfo-outlook/Pacific/Tahiti.ics      |   6 +-
 .../zoneinfo-outlook/Pacific/Tarawa.ics      |   6 +-
 .../zoneinfo-outlook/Pacific/Tongatapu.ics   |   6 +-
 .../zoneinfo-outlook/Pacific/Wake.ics (gone) |  16 --
 .../Pacific/Wallis.ics (gone)                |  16 --
 web/tzurl/zoneinfo/Africa/Abidjan.ics        |   6 +-
 web/tzurl/zoneinfo/Africa/Accra.ics (gone)   |  31 --
 .../zoneinfo/Africa/Addis_Ababa.ics (gone)   |  35 ---
 web/tzurl/zoneinfo/Africa/Algiers.ics        |   6 +-
 web/tzurl/zoneinfo/Africa/Asmara.ics (gone)  |  35 ---
 web/tzurl/zoneinfo/Africa/Bamako.ics (gone)  |  17 --
 web/tzurl/zoneinfo/Africa/Bangui.ics (gone)  |  17 --
 web/tzurl/zoneinfo/Africa/Banjul.ics (gone)  |  17 --
 web/tzurl/zoneinfo/Africa/Bissau.ics         |   6 +-
 .../zoneinfo/Africa/Blantyre.ics (gone)      |  17 --
 .../zoneinfo/Africa/Brazzaville.ics (gone)   |  17 --
 .../zoneinfo/Africa/Bujumbura.ics (gone)     |  17 --
 web/tzurl/zoneinfo/Africa/Cairo.ics          |  20 +-
 web/tzurl/zoneinfo/Africa/Casablanca.ics     |  26 +-
 web/tzurl/zoneinfo/Africa/Ceuta.ics          |   6 +-
 web/tzurl/zoneinfo/Africa/Conakry.ics (gone) |  17 --
 web/tzurl/zoneinfo/Africa/Dakar.ics (gone)   |  17 --
 .../zoneinfo/Africa/Dar_es_Salaam.ics (gone) |  35 ---
 .../zoneinfo/Africa/Djibouti.ics (gone)      |  35 ---
 web/tzurl/zoneinfo/Africa/Douala.ics (gone)  |  17 --
 web/tzurl/zoneinfo/Africa/El_Aaiun.ics       |  26 +-
 .../zoneinfo/Africa/Freetown.ics (gone)      |  17 --
 .../zoneinfo/Africa/Gaborone.ics (gone)      |  17 --
 web/tzurl/zoneinfo/Africa/Harare.ics (gone)  |  17 --
 web/tzurl/zoneinfo/Africa/Johannesburg.ics   |   6 +-
 web/tzurl/zoneinfo/Africa/Juba.ics           |   6 +-
 web/tzurl/zoneinfo/Africa/Kampala.ics (gone) |  35 ---
 web/tzurl/zoneinfo/Africa/Khartoum.ics       |   6 +-
 web/tzurl/zoneinfo/Africa/Kigali.ics (gone)  |  17 --
 .../zoneinfo/Africa/Kinshasa.ics (gone)      |  17 --
 web/tzurl/zoneinfo/Africa/Lagos.ics          |   6 +-
 .../zoneinfo/Africa/Libreville.ics (gone)    |  17 --
 web/tzurl/zoneinfo/Africa/Lome.ics (gone)    |  17 --
 web/tzurl/zoneinfo/Africa/Luanda.ics (gone)  |  17 --
 .../zoneinfo/Africa/Lubumbashi.ics (gone)    |  17 --
 web/tzurl/zoneinfo/Africa/Lusaka.ics (gone)  |  17 --
 web/tzurl/zoneinfo/Africa/Malabo.ics (gone)  |  17 --
 web/tzurl/zoneinfo/Africa/Maputo.ics         |  10 +-
 web/tzurl/zoneinfo/Africa/Maseru.ics (gone)  |  37 ---
 web/tzurl/zoneinfo/Africa/Mbabane.ics (gone) |  37 ---
 .../zoneinfo/Africa/Mogadishu.ics (gone)     |  35 ---
 web/tzurl/zoneinfo/Africa/Monrovia.ics       |   6 +-
 web/tzurl/zoneinfo/Africa/Nairobi.ics        |   6 +-
 web/tzurl/zoneinfo/Africa/Ndjamena.ics       |   6 +-
 web/tzurl/zoneinfo/Africa/Niamey.ics (gone)  |  17 --
 .../zoneinfo/Africa/Nouakchott.ics (gone)    |  17 --
 .../zoneinfo/Africa/Ouagadougou.ics (gone)   |  17 --
 .../zoneinfo/Africa/Porto-Novo.ics (gone)    |  17 --
 web/tzurl/zoneinfo/Africa/Sao_Tome.ics       |   6 +-
 web/tzurl/zoneinfo/Africa/Tripoli.ics        |   6 +-
 web/tzurl/zoneinfo/Africa/Tunis.ics          |   6 +-
 web/tzurl/zoneinfo/Africa/Windhoek.ics       |   6 +-
 web/tzurl/zoneinfo/America/Adak.ics          |   6 +-
 web/tzurl/zoneinfo/America/Anchorage.ics     |   6 +-
 .../zoneinfo/America/Anguilla.ics (gone)     |  17 --
 .../zoneinfo/America/Antigua.ics (gone)      |  17 --
 web/tzurl/zoneinfo/America/Araguaina.ics     |   6 +-
 .../America/Argentina/Buenos_Aires.ics       |   6 +-
 .../zoneinfo/America/Argentina/Catamarca.ics |   6 +-
 .../zoneinfo/America/Argentina/Cordoba.ics   |   6 +-
 .../zoneinfo/America/Argentina/Jujuy.ics     |   6 +-
 .../zoneinfo/America/Argentina/La_Rioja.ics  |   6 +-
 .../zoneinfo/America/Argentina/Mendoza.ics   |   6 +-
 .../America/Argentina/Rio_Gallegos.ics       |   6 +-
 .../zoneinfo/America/Argentina/Salta.ics     |   6 +-
 .../zoneinfo/America/Argentina/San_Juan.ics  |   6 +-
 .../zoneinfo/America/Argentina/San_Luis.ics  |   6 +-
 .../zoneinfo/America/Argentina/Tucuman.ics   |   6 +-
 .../zoneinfo/America/Argentina/Ushuaia.ics   |   6 +-
 web/tzurl/zoneinfo/America/Aruba.ics (gone)  |  23 --
 web/tzurl/zoneinfo/America/Asuncion.ics      |  16 +-
 .../zoneinfo/America/Atikokan.ics (gone)     |  48 ----
 web/tzurl/zoneinfo/America/Bahia.ics         |   6 +-
 .../zoneinfo/America/Bahia_Banderas.ics      |  26 +-
 web/tzurl/zoneinfo/America/Barbados.ics      |   6 +-
 web/tzurl/zoneinfo/America/Belem.ics         |   6 +-
 web/tzurl/zoneinfo/America/Belize.ics        |   6 +-
 .../zoneinfo/America/Blanc-Sablon.ics (gone) |  42 ---
 web/tzurl/zoneinfo/America/Boa_Vista.ics     |   6 +-
 web/tzurl/zoneinfo/America/Bogota.ics        |   8 +-
 web/tzurl/zoneinfo/America/Boise.ics         |   6 +-
 web/tzurl/zoneinfo/America/Cambridge_Bay.ics |  22 +-
 web/tzurl/zoneinfo/America/Campo_Grande.ics  |   6 +-
 web/tzurl/zoneinfo/America/Cancun.ics        |  41 +--
 web/tzurl/zoneinfo/America/Caracas.ics       |   6 +-
 web/tzurl/zoneinfo/America/Cayenne.ics       |   6 +-
 web/tzurl/zoneinfo/America/Cayman.ics (gone) |  23 --
 web/tzurl/zoneinfo/America/Chicago.ics       |   6 +-
 web/tzurl/zoneinfo/America/Chihuahua.ics     |  20 +-
 .../zoneinfo/America/Ciudad_Juarez.ics (new) | 115 ++++++++
 web/tzurl/zoneinfo/America/Costa_Rica.ics    |   6 +-
 .../zoneinfo/America/Coyhaique.ics (new)     | 214 ++++++++++++++
 .../zoneinfo/America/Creston.ics (gone)      |  29 --
 web/tzurl/zoneinfo/America/Cuiaba.ics        |   6 +-
 .../zoneinfo/America/Curacao.ics (gone)      |  23 --
 web/tzurl/zoneinfo/America/Danmarkshavn.ics  |   6 +-
 web/tzurl/zoneinfo/America/Dawson.ics        |   6 +-
 web/tzurl/zoneinfo/America/Dawson_Creek.ics  |   6 +-
 web/tzurl/zoneinfo/America/Denver.ics        |   6 +-
 web/tzurl/zoneinfo/America/Detroit.ics       |   6 +-
 .../zoneinfo/America/Dominica.ics (gone)     |  17 --
 web/tzurl/zoneinfo/America/Edmonton.ics      |   6 +-
 web/tzurl/zoneinfo/America/Eirunepe.ics      |   6 +-
 web/tzurl/zoneinfo/America/El_Salvador.ics   |   6 +-
 web/tzurl/zoneinfo/America/Fort_Nelson.ics   |   6 +-
 web/tzurl/zoneinfo/America/Fortaleza.ics     |   6 +-
 web/tzurl/zoneinfo/America/Glace_Bay.ics     |   6 +-
 .../zoneinfo/America/Godthab.ics (gone)      |  44 ---
 web/tzurl/zoneinfo/America/Goose_Bay.ics     |   6 +-
 web/tzurl/zoneinfo/America/Grand_Turk.ics    |   6 +-
 .../zoneinfo/America/Grenada.ics (gone)      |  17 --
 .../zoneinfo/America/Guadeloupe.ics (gone)   |  17 --
 web/tzurl/zoneinfo/America/Guatemala.ics     |   6 +-
 web/tzurl/zoneinfo/America/Guayaquil.ics     |   6 +-
 web/tzurl/zoneinfo/America/Guyana.ics        |   6 +-
 web/tzurl/zoneinfo/America/Halifax.ics       |   6 +-
 web/tzurl/zoneinfo/America/Havana.ics        |   6 +-
 web/tzurl/zoneinfo/America/Hermosillo.ics    |  22 +-
 .../America/Indiana/Indianapolis.ics         |   6 +-
 web/tzurl/zoneinfo/America/Indiana/Knox.ics  |   6 +-
 .../zoneinfo/America/Indiana/Marengo.ics     |   6 +-
 .../zoneinfo/America/Indiana/Petersburg.ics  |   6 +-
 .../zoneinfo/America/Indiana/Tell_City.ics   |   6 +-
 web/tzurl/zoneinfo/America/Indiana/Vevay.ics |   6 +-
 .../zoneinfo/America/Indiana/Vincennes.ics   |   6 +-
 .../zoneinfo/America/Indiana/Winamac.ics     |   6 +-
 web/tzurl/zoneinfo/America/Inuvik.ics        |  36 +--
 web/tzurl/zoneinfo/America/Iqaluit.ics       |  22 +-
 web/tzurl/zoneinfo/America/Jamaica.ics       |   6 +-
 web/tzurl/zoneinfo/America/Juneau.ics        |   6 +-
 .../zoneinfo/America/Kentucky/Louisville.ics |   6 +-
 .../zoneinfo/America/Kentucky/Monticello.ics |   6 +-
 .../zoneinfo/America/Kralendijk.ics (gone)   |  23 --
 web/tzurl/zoneinfo/America/La_Paz.ics        |   6 +-
 web/tzurl/zoneinfo/America/Lima.ics          |   6 +-
 web/tzurl/zoneinfo/America/Los_Angeles.ics   |   6 +-
 .../America/Lower_Princes.ics (gone)         |  23 --
 web/tzurl/zoneinfo/America/Maceio.ics        |   6 +-
 web/tzurl/zoneinfo/America/Managua.ics       |   6 +-
 web/tzurl/zoneinfo/America/Manaus.ics        |   6 +-
 .../zoneinfo/America/Marigot.ics (gone)      |  17 --
 web/tzurl/zoneinfo/America/Martinique.ics    |   6 +-
 web/tzurl/zoneinfo/America/Matamoros.ics     |   6 +-
 web/tzurl/zoneinfo/America/Mazatlan.ics      |  26 +-
 web/tzurl/zoneinfo/America/Menominee.ics     |   6 +-
 web/tzurl/zoneinfo/America/Merida.ics        |  14 +-
 web/tzurl/zoneinfo/America/Metlakatla.ics    |   6 +-
 web/tzurl/zoneinfo/America/Mexico_City.ics   |  14 +-
 web/tzurl/zoneinfo/America/Miquelon.ics      |   8 +-
 web/tzurl/zoneinfo/America/Moncton.ics       |   6 +-
 web/tzurl/zoneinfo/America/Monterrey.ics     |  32 ++-
 web/tzurl/zoneinfo/America/Montevideo.ics    |   6 +-
 .../zoneinfo/America/Montserrat.ics (gone)   |  17 --
 web/tzurl/zoneinfo/America/Nassau.ics (gone) |  52 ----
 web/tzurl/zoneinfo/America/New_York.ics      |   6 +-
 .../zoneinfo/America/Nipigon.ics (gone)      |  78 -----
 web/tzurl/zoneinfo/America/Nome.ics          |   6 +-
 web/tzurl/zoneinfo/America/Noronha.ics       |   6 +-
 .../zoneinfo/America/North_Dakota/Beulah.ics |   6 +-
 .../zoneinfo/America/North_Dakota/Center.ics |   6 +-
 .../America/North_Dakota/New_Salem.ics       |   6 +-
 web/tzurl/zoneinfo/America/Nuuk.ics          |  30 +-
 web/tzurl/zoneinfo/America/Ojinaga.ics       |  32 ++-
 web/tzurl/zoneinfo/America/Panama.ics        |   6 +-
 .../zoneinfo/America/Pangnirtung.ics (gone)  | 134 ---------
 web/tzurl/zoneinfo/America/Paramaribo.ics    |   6 +-
 web/tzurl/zoneinfo/America/Phoenix.ics       |   6 +-
 .../zoneinfo/America/Port-au-Prince.ics      |   6 +-
 .../America/Port_of_Spain.ics (gone)         |  17 --
 web/tzurl/zoneinfo/America/Porto_Velho.ics   |   6 +-
 web/tzurl/zoneinfo/America/Puerto_Rico.ics   |   6 +-
 web/tzurl/zoneinfo/America/Punta_Arenas.ics  |   6 +-
 .../zoneinfo/America/Rainy_River.ics (gone)  |  78 -----
 web/tzurl/zoneinfo/America/Rankin_Inlet.ics  |  22 +-
 web/tzurl/zoneinfo/America/Recife.ics        |   6 +-
 web/tzurl/zoneinfo/America/Regina.ics        |   6 +-
 web/tzurl/zoneinfo/America/Resolute.ics      |  22 +-
 web/tzurl/zoneinfo/America/Rio_Branco.ics    |   6 +-
 web/tzurl/zoneinfo/America/Santarem.ics      |   6 +-
 web/tzurl/zoneinfo/America/Santiago.ics      |   6 +-
 web/tzurl/zoneinfo/America/Santo_Domingo.ics |   6 +-
 web/tzurl/zoneinfo/America/Sao_Paulo.ics     |   6 +-
 web/tzurl/zoneinfo/America/Scoresbysund.ics  |  28 +-
 web/tzurl/zoneinfo/America/Sitka.ics         |   6 +-
 .../America/St_Barthelemy.ics (gone)         |  17 --
 web/tzurl/zoneinfo/America/St_Johns.ics      |   6 +-
 .../zoneinfo/America/St_Kitts.ics (gone)     |  17 --
 .../zoneinfo/America/St_Lucia.ics (gone)     |  17 --
 .../zoneinfo/America/St_Thomas.ics (gone)    |  17 --
 .../zoneinfo/America/St_Vincent.ics (gone)   |  17 --
 web/tzurl/zoneinfo/America/Swift_Current.ics |   6 +-
 web/tzurl/zoneinfo/America/Tegucigalpa.ics   |   6 +-
 web/tzurl/zoneinfo/America/Thule.ics         |   6 +-
 .../zoneinfo/America/Thunder_Bay.ics (gone)  |  90 ------
 web/tzurl/zoneinfo/America/Tijuana.ics       |  16 +-
 web/tzurl/zoneinfo/America/Toronto.ics       |  32 +--
 .../zoneinfo/America/Tortola.ics (gone)      |  17 --
 web/tzurl/zoneinfo/America/Vancouver.ics     |   6 +-
 web/tzurl/zoneinfo/America/Whitehorse.ics    |   8 +-
 web/tzurl/zoneinfo/America/Winnipeg.ics      |   6 +-
 web/tzurl/zoneinfo/America/Yakutat.ics       |   6 +-
 .../zoneinfo/America/Yellowknife.ics (gone)  |  82 ------
 web/tzurl/zoneinfo/Antarctica/Casey.ics      |  11 +-
 web/tzurl/zoneinfo/Antarctica/Davis.ics      |   6 +-
 .../Antarctica/DumontDUrville.ics (gone)     |  24 --
 web/tzurl/zoneinfo/Antarctica/Macquarie.ics  |   6 +-
 web/tzurl/zoneinfo/Antarctica/Mawson.ics     |   6 +-
 .../zoneinfo/Antarctica/McMurdo.ics (gone)   | 118 --------
 web/tzurl/zoneinfo/Antarctica/Palmer.ics     |   6 +-
 web/tzurl/zoneinfo/Antarctica/Rothera.ics    |   6 +-
 .../zoneinfo/Antarctica/Syowa.ics (gone)     |  17 --
 web/tzurl/zoneinfo/Antarctica/Troll.ics      |   6 +-
 web/tzurl/zoneinfo/Antarctica/Vostok.ics     |  23 +-
 .../zoneinfo/Arctic/Longyearbyen.ics (gone)  |  80 ------
 web/tzurl/zoneinfo/Asia/Aden.ics (gone)      |  17 --
 web/tzurl/zoneinfo/Asia/Almaty.ics           |   7 +-
 web/tzurl/zoneinfo/Asia/Amman.ics            |   6 +-
 web/tzurl/zoneinfo/Asia/Anadyr.ics           |   6 +-
 web/tzurl/zoneinfo/Asia/Aqtau.ics            |   6 +-
 web/tzurl/zoneinfo/Asia/Aqtobe.ics           |   6 +-
 web/tzurl/zoneinfo/Asia/Ashgabat.ics         |   6 +-
 web/tzurl/zoneinfo/Asia/Atyrau.ics           |   6 +-
 web/tzurl/zoneinfo/Asia/Baghdad.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Bahrain.ics (gone)   |  23 --
 web/tzurl/zoneinfo/Asia/Baku.ics             |   6 +-
 web/tzurl/zoneinfo/Asia/Bangkok.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Barnaul.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Beirut.ics           |   6 +-
 web/tzurl/zoneinfo/Asia/Bishkek.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Brunei.ics (gone)    |  23 --
 web/tzurl/zoneinfo/Asia/Chita.ics            |   6 +-
 .../zoneinfo/Asia/Choibalsan.ics (gone)      |  90 ------
 web/tzurl/zoneinfo/Asia/Colombo.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Damascus.ics         |   6 +-
 web/tzurl/zoneinfo/Asia/Dhaka.ics            |   6 +-
 web/tzurl/zoneinfo/Asia/Dili.ics             |   8 +-
 web/tzurl/zoneinfo/Asia/Dubai.ics            |   6 +-
 web/tzurl/zoneinfo/Asia/Dushanbe.ics         |   6 +-
 web/tzurl/zoneinfo/Asia/Famagusta.ics        |   6 +-
 web/tzurl/zoneinfo/Asia/Gaza.ics             | 106 ++++++-
 web/tzurl/zoneinfo/Asia/Hebron.ics           | 106 ++++++-
 web/tzurl/zoneinfo/Asia/Ho_Chi_Minh.ics      |   8 +-
 web/tzurl/zoneinfo/Asia/Hong_Kong.ics        |   6 +-
 web/tzurl/zoneinfo/Asia/Hovd.ics             |   6 +-
 web/tzurl/zoneinfo/Asia/Irkutsk.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Istanbul.ics (gone)  | 186 ------------
 web/tzurl/zoneinfo/Asia/Jakarta.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Jayapura.ics         |   6 +-
 web/tzurl/zoneinfo/Asia/Jerusalem.ics        |   6 +-
 web/tzurl/zoneinfo/Asia/Kabul.ics            |   6 +-
 web/tzurl/zoneinfo/Asia/Kamchatka.ics        |   6 +-
 web/tzurl/zoneinfo/Asia/Karachi.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Kathmandu.ics        |   6 +-
 web/tzurl/zoneinfo/Asia/Khandyga.ics         |   6 +-
 web/tzurl/zoneinfo/Asia/Kolkata.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Krasnoyarsk.ics      |   6 +-
 .../zoneinfo/Asia/Kuala_Lumpur.ics (gone)    |  59 ----
 web/tzurl/zoneinfo/Asia/Kuching.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Kuwait.ics (gone)    |  17 --
 web/tzurl/zoneinfo/Asia/Macau.ics            |   6 +-
 web/tzurl/zoneinfo/Asia/Magadan.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Makassar.ics         |   6 +-
 web/tzurl/zoneinfo/Asia/Manila.ics           |  37 ++-
 web/tzurl/zoneinfo/Asia/Muscat.ics (gone)    |  17 --
 web/tzurl/zoneinfo/Asia/Nicosia.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Novokuznetsk.ics     |   6 +-
 web/tzurl/zoneinfo/Asia/Novosibirsk.ics      |   6 +-
 web/tzurl/zoneinfo/Asia/Omsk.ics             |   6 +-
 web/tzurl/zoneinfo/Asia/Oral.ics             |   6 +-
 .../zoneinfo/Asia/Phnom_Penh.ics (gone)      |  23 --
 web/tzurl/zoneinfo/Asia/Pontianak.ics        |   6 +-
 web/tzurl/zoneinfo/Asia/Pyongyang.ics        |   6 +-
 web/tzurl/zoneinfo/Asia/Qatar.ics            |   6 +-
 web/tzurl/zoneinfo/Asia/Qostanay.ics         |  12 +-
 web/tzurl/zoneinfo/Asia/Qyzylorda.ics        |   6 +-
 web/tzurl/zoneinfo/Asia/Riyadh.ics           |   6 +-
 web/tzurl/zoneinfo/Asia/Sakhalin.ics         |   6 +-
 web/tzurl/zoneinfo/Asia/Samarkand.ics        |   6 +-
 web/tzurl/zoneinfo/Asia/Seoul.ics            |   6 +-
 web/tzurl/zoneinfo/Asia/Shanghai.ics         |   6 +-
 web/tzurl/zoneinfo/Asia/Singapore.ics        |   8 +-
 web/tzurl/zoneinfo/Asia/Srednekolymsk.ics    |   6 +-
 web/tzurl/zoneinfo/Asia/Taipei.ics           |   6 +-
 web/tzurl/zoneinfo/Asia/Tashkent.ics         |   6 +-
 web/tzurl/zoneinfo/Asia/Tbilisi.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Tehran.ics           |   8 +-
 web/tzurl/zoneinfo/Asia/Thimphu.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Tokyo.ics            |   6 +-
 web/tzurl/zoneinfo/Asia/Tomsk.ics            |   6 +-
 web/tzurl/zoneinfo/Asia/Ulaanbaatar.ics      |   6 +-
 web/tzurl/zoneinfo/Asia/Urumqi.ics           |   6 +-
 web/tzurl/zoneinfo/Asia/Ust-Nera.ics         |   6 +-
 web/tzurl/zoneinfo/Asia/Vientiane.ics (gone) |  23 --
 web/tzurl/zoneinfo/Asia/Vladivostok.ics      |   6 +-
 web/tzurl/zoneinfo/Asia/Yakutsk.ics          |   6 +-
 web/tzurl/zoneinfo/Asia/Yangon.ics           |   6 +-
 web/tzurl/zoneinfo/Asia/Yekaterinburg.ics    |   6 +-
 web/tzurl/zoneinfo/Asia/Yerevan.ics          |   6 +-
 web/tzurl/zoneinfo/Atlantic/Azores.ics       |  92 +++---
 web/tzurl/zoneinfo/Atlantic/Bermuda.ics      |   6 +-
 web/tzurl/zoneinfo/Atlantic/Canary.ics       |   6 +-
 web/tzurl/zoneinfo/Atlantic/Cape_Verde.ics   |   6 +-
 web/tzurl/zoneinfo/Atlantic/Faroe.ics        |   6 +-
 web/tzurl/zoneinfo/Atlantic/Madeira.ics      |  63 ++--
 .../zoneinfo/Atlantic/Reykjavik.ics (gone)   |  97 -------
 .../zoneinfo/Atlantic/South_Georgia.ics      |   6 +-
 .../zoneinfo/Atlantic/St_Helena.ics (gone)   |  17 --
 web/tzurl/zoneinfo/Atlantic/Stanley.ics      |   6 +-
 web/tzurl/zoneinfo/Australia/Adelaide.ics    |   6 +-
 web/tzurl/zoneinfo/Australia/Brisbane.ics    |   6 +-
 web/tzurl/zoneinfo/Australia/Broken_Hill.ics |   6 +-
 .../zoneinfo/Australia/Currie.ics (gone)     | 116 --------
 web/tzurl/zoneinfo/Australia/Darwin.ics      |   6 +-
 web/tzurl/zoneinfo/Australia/Eucla.ics       |   6 +-
 web/tzurl/zoneinfo/Australia/Hobart.ics      |   6 +-
 web/tzurl/zoneinfo/Australia/Lindeman.ics    |   6 +-
 web/tzurl/zoneinfo/Australia/Lord_Howe.ics   |   6 +-
 web/tzurl/zoneinfo/Australia/Melbourne.ics   |   6 +-
 web/tzurl/zoneinfo/Australia/Perth.ics       |   6 +-
 web/tzurl/zoneinfo/Australia/Sydney.ics      |   6 +-
 .../zoneinfo/Europe/Amsterdam.ics (gone)     | 151 ----------
 web/tzurl/zoneinfo/Europe/Andorra.ics        |   6 +-
 web/tzurl/zoneinfo/Europe/Astrakhan.ics      |   6 +-
 web/tzurl/zoneinfo/Europe/Athens.ics         |   6 +-
 web/tzurl/zoneinfo/Europe/Belgrade.ics       |   6 +-
 web/tzurl/zoneinfo/Europe/Berlin.ics         |   6 +-
 .../zoneinfo/Europe/Bratislava.ics (gone)    | 130 ---------
 web/tzurl/zoneinfo/Europe/Brussels.ics       |   6 +-
 web/tzurl/zoneinfo/Europe/Bucharest.ics      |   6 +-
 web/tzurl/zoneinfo/Europe/Budapest.ics       |   6 +-
 .../zoneinfo/Europe/Busingen.ics (gone)      |  58 ----
 web/tzurl/zoneinfo/Europe/Chisinau.ics       |   6 +-
 .../zoneinfo/Europe/Copenhagen.ics (gone)    |  77 -----
 web/tzurl/zoneinfo/Europe/Dublin.ics         |   6 +-
 web/tzurl/zoneinfo/Europe/Gibraltar.ics      |   6 +-
 .../zoneinfo/Europe/Guernsey.ics (gone)      | 254 -----------------
 web/tzurl/zoneinfo/Europe/Helsinki.ics       |   6 +-
 .../zoneinfo/Europe/Isle_of_Man.ics (gone)   | 254 -----------------
 web/tzurl/zoneinfo/Europe/Istanbul.ics       |   6 +-
 web/tzurl/zoneinfo/Europe/Jersey.ics (gone)  | 254 -----------------
 web/tzurl/zoneinfo/Europe/Kaliningrad.ics    |   6 +-
 web/tzurl/zoneinfo/Europe/Kirov.ics          |  27 +-
 web/tzurl/zoneinfo/Europe/Kyiv.ics           |   6 +-
 web/tzurl/zoneinfo/Europe/Lisbon.ics         |  74 ++---
 .../zoneinfo/Europe/Ljubljana.ics (gone)     |  63 ----
 web/tzurl/zoneinfo/Europe/London.ics         |   6 +-
 .../zoneinfo/Europe/Luxembourg.ics (gone)    | 143 ----------
 web/tzurl/zoneinfo/Europe/Madrid.ics         |   6 +-
 web/tzurl/zoneinfo/Europe/Malta.ics          |   6 +-
 .../zoneinfo/Europe/Mariehamn.ics (gone)     |  70 -----
 web/tzurl/zoneinfo/Europe/Minsk.ics          |   6 +-
 web/tzurl/zoneinfo/Europe/Monaco.ics (gone)  | 137 ---------
 web/tzurl/zoneinfo/Europe/Moscow.ics         |   6 +-
 web/tzurl/zoneinfo/Europe/Nicosia.ics (gone) |  68 -----
 web/tzurl/zoneinfo/Europe/Oslo.ics (gone)    |  80 ------
 web/tzurl/zoneinfo/Europe/Paris.ics          |   6 +-
 .../zoneinfo/Europe/Podgorica.ics (gone)     |  63 ----
 web/tzurl/zoneinfo/Europe/Prague.ics         |   6 +-
 web/tzurl/zoneinfo/Europe/Riga.ics           |   6 +-
 web/tzurl/zoneinfo/Europe/Rome.ics           |   6 +-
 web/tzurl/zoneinfo/Europe/Samara.ics         |   6 +-
 .../zoneinfo/Europe/San_Marino.ics (gone)    | 149 ----------
 .../zoneinfo/Europe/Sarajevo.ics (gone)      |  63 ----
 web/tzurl/zoneinfo/Europe/Saratov.ics        |   6 +-
 web/tzurl/zoneinfo/Europe/Simferopol.ics     |   6 +-
 web/tzurl/zoneinfo/Europe/Skopje.ics (gone)  |  63 ----
 web/tzurl/zoneinfo/Europe/Sofia.ics          |   6 +-
 .../zoneinfo/Europe/Stockholm.ics (gone)     |  57 ----
 web/tzurl/zoneinfo/Europe/Tallinn.ics        |   6 +-
 web/tzurl/zoneinfo/Europe/Tirane.ics         |   6 +-
 web/tzurl/zoneinfo/Europe/Ulyanovsk.ics      |   6 +-
 .../zoneinfo/Europe/Uzhgorod.ics (gone)      | 125 --------
 web/tzurl/zoneinfo/Europe/Vaduz.ics (gone)   |  58 ----
 web/tzurl/zoneinfo/Europe/Vatican.ics (gone) | 149 ----------
 web/tzurl/zoneinfo/Europe/Vienna.ics         |   6 +-
 web/tzurl/zoneinfo/Europe/Vilnius.ics        |   6 +-
 web/tzurl/zoneinfo/Europe/Volgograd.ics      |  27 +-
 web/tzurl/zoneinfo/Europe/Warsaw.ics         |   6 +-
 web/tzurl/zoneinfo/Europe/Zagreb.ics (gone)  |  63 ----
 .../zoneinfo/Europe/Zaporozhye.ics (gone)    | 122 --------
 web/tzurl/zoneinfo/Europe/Zurich.ics         |   6 +-
 .../zoneinfo/Indian/Antananarivo.ics (gone)  |  35 ---
 web/tzurl/zoneinfo/Indian/Chagos.ics         |   6 +-
 .../zoneinfo/Indian/Christmas.ics (gone)     |  17 --
 web/tzurl/zoneinfo/Indian/Cocos.ics (gone)   |  17 --
 web/tzurl/zoneinfo/Indian/Comoro.ics (gone)  |  35 ---
 .../zoneinfo/Indian/Kerguelen.ics (gone)     |  17 --
 web/tzurl/zoneinfo/Indian/Mahe.ics (gone)    |  17 --
 web/tzurl/zoneinfo/Indian/Maldives.ics       |   6 +-
 web/tzurl/zoneinfo/Indian/Mauritius.ics      |   6 +-
 web/tzurl/zoneinfo/Indian/Mayotte.ics (gone) |  35 ---
 web/tzurl/zoneinfo/Indian/Reunion.ics (gone) |  17 --
 web/tzurl/zoneinfo/Pacific/Apia.ics          |   6 +-
 web/tzurl/zoneinfo/Pacific/Auckland.ics      |   6 +-
 web/tzurl/zoneinfo/Pacific/Bougainville.ics  |   6 +-
 web/tzurl/zoneinfo/Pacific/Chatham.ics       |   6 +-
 web/tzurl/zoneinfo/Pacific/Easter.ics        |   6 +-
 web/tzurl/zoneinfo/Pacific/Efate.ics         |   6 +-
 web/tzurl/zoneinfo/Pacific/Fakaofo.ics       |   6 +-
 web/tzurl/zoneinfo/Pacific/Fiji.ics          |  20 +-
 web/tzurl/zoneinfo/Pacific/Galapagos.ics     |   6 +-
 web/tzurl/zoneinfo/Pacific/Gambier.ics       |   6 +-
 web/tzurl/zoneinfo/Pacific/Guadalcanal.ics   |   6 +-
 web/tzurl/zoneinfo/Pacific/Guam.ics          |   6 +-
 web/tzurl/zoneinfo/Pacific/Honolulu.ics      |   6 +-
 web/tzurl/zoneinfo/Pacific/Kanton.ics        |   6 +-
 web/tzurl/zoneinfo/Pacific/Kiritimati.ics    |   6 +-
 web/tzurl/zoneinfo/Pacific/Kosrae.ics        |   6 +-
 web/tzurl/zoneinfo/Pacific/Kwajalein.ics     |   6 +-
 web/tzurl/zoneinfo/Pacific/Majuro.ics (gone) |  48 ----
 web/tzurl/zoneinfo/Pacific/Marquesas.ics     |   6 +-
 web/tzurl/zoneinfo/Pacific/Midway.ics (gone) |  23 --
 web/tzurl/zoneinfo/Pacific/Nauru.ics         |   6 +-
 web/tzurl/zoneinfo/Pacific/Niue.ics          |   6 +-
 web/tzurl/zoneinfo/Pacific/Norfolk.ics       |   6 +-
 web/tzurl/zoneinfo/Pacific/Noumea.ics        |   6 +-
 web/tzurl/zoneinfo/Pacific/Pago_Pago.ics     |   6 +-
 web/tzurl/zoneinfo/Pacific/Palau.ics         |   6 +-
 web/tzurl/zoneinfo/Pacific/Pitcairn.ics      |   6 +-
 .../zoneinfo/Pacific/Pohnpei.ics (gone)      |  48 ----
 web/tzurl/zoneinfo/Pacific/Port_Moresby.ics  |   6 +-
 web/tzurl/zoneinfo/Pacific/Rarotonga.ics     |   6 +-
 web/tzurl/zoneinfo/Pacific/Saipan.ics (gone) |  77 -----
 web/tzurl/zoneinfo/Pacific/Tahiti.ics        |   6 +-
 web/tzurl/zoneinfo/Pacific/Tarawa.ics        |   6 +-
 web/tzurl/zoneinfo/Pacific/Tongatapu.ics     |   6 +-
 web/tzurl/zoneinfo/Pacific/Wake.ics (gone)   |  17 --
 web/tzurl/zoneinfo/Pacific/Wallis.ics (gone) |  17 --
 856 files changed, 2643 insertions(+), 11275 deletions(-)

commit 8456a4237
Merge: 989cc9a86 06487766f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jun 27 09:16:42 2025 +0100

    Merge branch 'main' into year

commit 06487766f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jun 27 09:14:49 2025 +0100

    Add comment.

 web/lib/MRBS/DB.php | 2 ++
 1 file changed, 2 insertions(+)

commit c9f097f1e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jun 26 18:27:18 2025 +0100

    Add support for JSON data type

 web/functions_global.inc | 10 ++++++++++
 web/lib/MRBS/Column.php  |  7 ++++---
 web/lib/MRBS/Columns.php |  3 +++
 web/lib/MRBS/DB.php      | 12 +++++++++++-
 4 files changed, 28 insertions(+), 4 deletions(-)

commit 989cc9a86
Merge: ef76bd74e 97056f134
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jun 25 18:45:15 2025 +0100

    Merge branch 'main' into year

commit 97056f134
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jun 25 17:54:56 2025 +0100

    Add a new exception class to allow differentiation between errors in the MRBS and external databases.

 web/functions_error.inc                    |  3 +++
 web/lang/lang.en                           |  1 +
 web/lib/MRBS/Auth/AuthDbExt.php            | 11 ++++++++++-
 web/lib/MRBS/DBExternalException.php (new) |  8 ++++++++
 4 files changed, 22 insertions(+), 1 deletion(-)

commit ef76bd74e
Merge: 1310774e6 7a7a36638
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 22 18:14:56 2025 +0100

    Merge branch 'main' into year

commit 7a7a36638
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 22 18:11:10 2025 +0100

    Improve memory utilisation.

 web/lib/MRBS/Map.php | 68 ++++++++++++++++++++++++++++++++----------
 1 file changed, 52 insertions(+), 16 deletions(-)

commit 1310774e6
Merge: 720ed168d 3bc3715db
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 21 16:05:22 2025 +0100

    Merge branch 'main' into year

commit 3bc3715db
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 21 16:04:09 2025 +0100

    Fix bug resulting in an uncaught TypeError exception after an entry has been edited if the view_entry page was refreshed beforehand.

 web/lib/MRBS/Session/SessionPhp.php | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 720ed168d
Merge: 5f3264bfb 712a8e95b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 21 08:49:25 2025 +0100

    Merge branch 'main' into year

commit 712a8e95b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 21 08:47:56 2025 +0100

    Simplify code

 web/lib/MRBS/Form/Element.php | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 5f3264bfb
Merge: 1d4051355 1ee0a59f2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jun 20 16:52:50 2025 +0100

    Merge branch 'main' into year

commit 1ee0a59f2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jun 20 16:42:08 2025 +0100

    Fix bug introduced in recent commit that caused the wrong value to be selected when using non-associative select options

 web/lib/MRBS/Form/Element.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d4051355
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jun 16 18:38:02 2025 +0100

    Fix title attribute in body header column.

 web/functions_table.inc | 3 +++
 web/lang/lang.en        | 1 +
 web/lang/lang.fr        | 1 +
 3 files changed, 5 insertions(+)

commit 6947999ad
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jun 16 18:14:40 2025 +0100

    Add table body stub

 web/functions_table.inc | 34 ++++++++++++++++++++++++++++++++--
 1 file changed, 32 insertions(+), 2 deletions(-)

commit 5c28af7bc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jun 16 17:22:23 2025 +0100

    Add table footer

 web/functions_table.inc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 62f80d47e
Merge: 428afd862 f128e5f3a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 15 18:26:55 2025 +0100

    Merge branch 'main' into year

commit f128e5f3a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 15 18:25:39 2025 +0100

    Simplify code

 web/lib/MRBS/DateTime.php | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 428afd862
Merge: 91de85cbc 405b19749
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 15 18:15:22 2025 +0100

    Merge branch 'main' into year

commit 405b19749
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 15 18:12:58 2025 +0100

    Make setting methods return $this to allow chaining

 web/lib/MRBS/DateTime.php | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 91de85cbc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 15 17:57:01 2025 +0100

    Add links to the month view from the header row

 web/functions_table.inc | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 7bfe6d08d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 15 17:38:36 2025 +0100

    Add basic table header

 web/functions_table.inc    | 33 ++++++++++++++++++++++++++++-----
 web/index.php              | 18 ++----------------
 web/internalconfig.inc.php | 11 ++++++-----
 web/lib/MRBS/DateTime.php  | 20 ++++++++++++++++++++
 web/systemdefaults.inc.php |  5 +++++
 5 files changed, 61 insertions(+), 26 deletions(-)

commit 255cf70c4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 14 19:10:15 2025 +0100

    Got date heading working

 web/index.php               | 25 ++++++++++++++++++++-----
 web/lib/MRBS/YearRanger.php | 10 ++++++++++
 web/systemdefaults.inc.php  |  6 +++++-
 3 files changed, 35 insertions(+), 6 deletions(-)

commit 7f1c943e3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 14 17:58:38 2025 +0100

    Add year ranger

 web/index.php                     |  8 +++++-
 web/lang/lang.en                  |  5 ++--
 web/lib/MRBS/YearRanger.php (new) | 44 +++++++++++++++++++++++++++++
 3 files changed, 54 insertions(+), 3 deletions(-)

commit 3176ba50a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 14 15:11:03 2025 +0100

    Simple page, no data

 web/functions_table.inc | 51 ++++++++++++++++++++++++++++++++++++---
 web/index.php           |  7 ++++++
 2 files changed, 55 insertions(+), 3 deletions(-)

commit 128f1c618
Merge: 515deaa5a c0b6a5ebe
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 14 14:07:28 2025 +0100

    Merge branch 'main' into year

commit c0b6a5ebe
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 14 14:06:01 2025 +0100

    Simplify code

 web/functions_table.inc | 72 +++++++++++++++++++--------------------
 1 file changed, 36 insertions(+), 36 deletions(-)

commit 515deaa5a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 14 12:31:18 2025 +0100

    Interim commit

 web/css/mrbs.css.php       |  3 ++-
 web/functions_table.inc    | 15 +++++++++++++++
 web/index.php              | 23 ++++++++++++++++++++---
 web/lang/lang.en           |  4 ++++
 web/lang/lang.fr           |  4 ++++
 web/systemdefaults.inc.php |  3 +++
 6 files changed, 48 insertions(+), 4 deletions(-)

commit 6dae658d9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jun 12 11:35:50 2025 +0100

    Add comments.

 web/lib/MRBS/Mbstring/Ordinary.php | 7 +++++++
 1 file changed, 7 insertions(+)

commit 0e09c8ab8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jun 12 11:25:59 2025 +0100

    strtoupper() working

 web/lib/MRBS/Mbstring/Ordinary.php | 148 ++++++++++++++++++++++++---
 1 file changed, 132 insertions(+), 16 deletions(-)

commit a7da601c7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jun 12 09:25:49 2025 +0100

    Add strtoupper() table

 web/lib/MRBS/Mbstring/Mbstring.php |   11 +-
 web/lib/MRBS/Mbstring/Ordinary.php | 1477 ++++++++++++++++++++++++++
 2 files changed, 1482 insertions(+), 6 deletions(-)

commit 3d7a8e534
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jun 11 18:40:08 2025 +0100

    Rename class.

 web/lib/MRBS/Mbstring/Mbstring.php            |  5 +----
 .../Mbstring/{Strtolower.php => Ordinary.php} | 17 +++++++++++++----
 2 files changed, 14 insertions(+), 8 deletions(-)

commit d5e72c762
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jun 11 18:22:33 2025 +0100

    Make ordinary strtolower() work

 web/lib/MRBS/Mbstring/Mbstring.php         |    2 +-
 web/lib/MRBS/Mbstring/Strtolower.php (new) | 1394 ++++++++++++++++++
 2 files changed, 1395 insertions(+), 1 deletion(-)

commit 8d1e22656
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jun 11 17:44:00 2025 +0100

    Restructure

 test/test_mb.php                         | 5 +++--
 web/functions_global.inc                 | 2 +-
 web/lib/MRBS/{ => Mbstring}/Mbstring.php | 5 +++--
 3 files changed, 7 insertions(+), 5 deletions(-)

commit affa64646
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jun 10 17:21:14 2025 +0100

    Increase maximum execution time.

 test/test_mb.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d0763338f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jun 10 17:18:47 2025 +0100

    Improve performance of mb_ord() emulation.

 web/lib/MRBS/Mbstring.php | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit ff640c38c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jun 10 14:16:55 2025 +0100

    Add mb_chr() emulation.

 test/test_mb.php          | 58 ++++++++++++++++++++++++++++++++++
 web/lib/MRBS/Mbstring.php | 63 +++++++++++++++++++++++++++++++++++++
 2 files changed, 121 insertions(+)

commit c9a495be1
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 8 17:54:04 2025 +0100

    Restructure

 web/view_entry.php | 228 ++++++++++++++++++++++---------------------
 1 file changed, 116 insertions(+), 112 deletions(-)

commit 98e5601d6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 8 17:14:01 2025 +0100

    Restructure

 web/view_entry.php | 86 +++++++++++++++++++++++++-------------------
 1 file changed, 49 insertions(+), 37 deletions(-)

commit 5d939c91c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 8 16:56:14 2025 +0100

    Restructure

 web/view_entry.php | 80 +++++++++++++++++++++++++-------------------
 1 file changed, 46 insertions(+), 34 deletions(-)

commit 5ac1b5d54
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 8 16:29:14 2025 +0100

    Add comment

 web/view_entry.php | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit aa0c08980
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 8 16:20:22 2025 +0100

    Only show the major details for a registration event if the user has write access (to avoid cluttering the page with information that won't be of any use).

 web/functions_view.inc |  72 +++++----
 web/view_entry.php     | 306 +++++++++++++++++++++------------------
 2 files changed, 203 insertions(+), 175 deletions(-)

commit ce8b603d4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 8 12:58:49 2025 +0100

    Add mb_ord() emulation.

 test/test_mb.php          | 71 ++++++++++++++++++++++++++++++++++---
 web/functions_global.inc  | 10 ++++++
 web/lib/MRBS/Mbstring.php | 52 ++++++++++++++++++++++++++-
 3 files changed, 128 insertions(+), 5 deletions(-)

commit bbf7e4138
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 7 15:05:36 2025 +0100

    Add comment.

 web/lib/MRBS/Mbstring.php | 2 ++
 1 file changed, 2 insertions(+)

commit 6c1972c7a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 7 14:07:18 2025 +0100

    Improve layout of test results.

 test/test_mb.php | 56 ++++++++++++++++++++++++++++------------------
 1 file changed, 34 insertions(+), 22 deletions(-)

commit 830dc311f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 7 12:45:42 2025 +0100

    Fix error messages.

 web/lib/MRBS/Mbstring.php | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit e5c9ea865
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 7 12:09:43 2025 +0100

    Add comment

 web/lib/MRBS/Mbstring.php | 4 ++++
 1 file changed, 4 insertions(+)

commit 41618e67b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 7 12:07:32 2025 +0100

    Fix failing cases in mb_strtolower() and mb_strtoupper()

 web/lib/MRBS/Mbstring.php | 140 ++++++++++++++++++++++++++++++------
 1 file changed, 117 insertions(+), 23 deletions(-)

commit 8bad2e286
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 7 11:18:49 2025 +0100

    Add comment

 test/test_mb.php | 1 +
 1 file changed, 1 insertion(+)

commit 2c629c7d6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Jun 7 11:16:51 2025 +0100

    Eliminate dependency on intl extension

 test/test_mb.php | 38 ++++++++++++++++++++++++++++----------
 1 file changed, 28 insertions(+), 10 deletions(-)

commit 8bda205e3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jun 6 18:35:45 2025 +0100

    Fix failing cases in mb_strtolower() and mb_strtoupper()

 test/test_mb.php          |  2 ++
 web/lib/MRBS/Mbstring.php | 32 ++++++++++++++++++++++----------
 2 files changed, 24 insertions(+), 10 deletions(-)

commit 97a48735e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jun 6 16:49:24 2025 +0100

    Tweak

 test/test_mb.php | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 571430639
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jun 6 16:45:16 2025 +0100

    Test all alpha codepoints

 test/test_mb.php | 51 ++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 49 insertions(+), 2 deletions(-)

commit 7c5c43133
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jun 6 14:27:40 2025 +0100

    Restructure

 test/test_mb.php                |   6 +-
 web/functions.inc               | 124 -------------
 web/functions_global.inc        | 193 ++------------------
 web/lib/MRBS/Mbstring.php (new) | 290 ++++++++++++++++++++++++++++++
 4 files changed, 306 insertions(+), 307 deletions(-)

commit 86a56a92e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jun 5 18:52:19 2025 +0100

    Add test cases

 test/test_mb.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f7504088f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jun 5 18:37:24 2025 +0100

    Add tests for mb_strtoupper() emulation

 test/test_mb.php         | 26 +++++++++++++++++++
 web/functions_global.inc | 52 ++++++++++++++++++++++----------------
 2 files changed, 56 insertions(+), 22 deletions(-)

commit 901754cbd
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jun 5 18:25:31 2025 +0100

    Add tests for mb_strtolower() emulation

 test/test_mb.php         | 32 ++++++++++++++++++++---
 web/functions_global.inc | 52 ++++++++++++++++++++++----------------
 2 files changed, 59 insertions(+), 25 deletions(-)

commit 2f5e0c9f5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jun 5 17:45:01 2025 +0100

    Tweak comments

 test/test_mb.php | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 768012fcc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jun 5 17:36:26 2025 +0100

    Add tests for mb_substr() emulation

 test/test_mb.php         | 45 ++++++++++++++++++++++++++++++++------
 web/functions_global.inc | 20 ++++++++++++-----
 2 files changed, 52 insertions(+), 13 deletions(-)

commit 95d300bab
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jun 5 17:08:59 2025 +0100

    Restructure

 test/test_mb.php | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)

commit fdccced5f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jun 4 14:54:37 2025 +0100

    Add tests for mb_strlen() with 8bit encoding.

 test/test_mb.php | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit d6bf010cc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jun 3 18:56:11 2025 +0100

    Move tests from mrbs-tools to mrbs-code

 test/test_mb.php (new) | 211 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 211 insertions(+)

commit 39ad4ea7b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jun 3 18:50:18 2025 +0100

    Improve testability.

 web/functions_global.inc | 44 ++++++++++++++++++++++----------------
 1 file changed, 26 insertions(+), 18 deletions(-)

commit da0dc8406
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jun 2 18:16:22 2025 +0100

    Improve testability.

 web/functions_global.inc | 91 +++++++++++++++++++++++++++-----------
 1 file changed, 64 insertions(+), 27 deletions(-)

commit 71e40c509
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 1 14:22:35 2025 +0100

    Update comment.

 web/functions.inc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ff52488e2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 1 14:09:30 2025 +0100

    Improve emulations of mb_strrpos() and mb_strripos().

 web/functions.inc        | 82 ++++++++++++++++++++++++++++++++------
 web/functions_global.inc |  6 +--
 2 files changed, 71 insertions(+), 17 deletions(-)

commit 4a3212387
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 1 07:00:19 2025 +0100

    Fix punctuation in comment.

 web/functions_error.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e6fb5e801
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jun 1 06:58:56 2025 +0100

    Add assertion.

 web/functions_error.inc | 1 +
 1 file changed, 1 insertion(+)

commit d0ff97042
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 31 18:34:05 2025 +0100

    Fix deprecation notice when running under PHP 8.4.

 web/functions_error.inc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 418270e48
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 29 23:49:18 2025 +0100

    Add emulation of mb_strripos()

 web/functions_global.inc | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 9f92917bc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 29 23:42:51 2025 +0100

    Fix bug introduced in recent commit

 web/functions_global.inc | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit d73feaa74
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 29 23:33:16 2025 +0100

    Convert to using mb_ versions of string functions

 web/functions_ical.inc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 71d950202
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 29 23:18:56 2025 +0100

    Convert to using mb_ versions of string functions

 web/dbsys.inc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3a1e2d601
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon May 26 16:36:12 2025 +0100

    Convert to using mb_ versions of string functions

 web/lib/MRBS/User.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 837441c4f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon May 26 16:20:04 2025 +0100

    Convert to using mb_ versions of string functions

 web/lib/MRBS/ICalendar/RFC5545.php | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 50489284c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun May 25 16:54:36 2025 +0100

    Ensure the byte not character count is returned.

 web/functions.inc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 546dc559c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 22 20:15:15 2025 +0100

    Strip out any extra whitespace that the user may accidentally have entered in the area or room name.  See GitHub Issue #3871.

 web/add.php | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

commit e07d7afcf
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 22 19:53:01 2025 +0100

    Restructure.

 web/edit_users.php | 2 +-
 web/functions.inc  | 9 +++++++++
 2 files changed, 10 insertions(+), 1 deletion(-)

commit e99ad6d54
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed May 21 15:49:57 2025 +0100

    Better fix for GitHub Issue #3871.

 web/lib/MRBS/Form/Element.php              | 76 ++++++++++++--------
 web/lib/MRBS/Form/ElementInputDatalist.php |  2 +-
 web/lib/MRBS/Form/FieldSelect.php          |  2 +-
 3 files changed, 48 insertions(+), 32 deletions(-)

commit 87927a18c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 20 17:35:34 2025 +0100

    Replace the second and subsequent spaces in a consecutive sequence with non-breaking space characters to ensure that (a) they are rendered properlty in the select/datalist element and (b) passed through to the form handler properly.  See GitHub Issue #3871.

 web/lib/MRBS/Form/Element.php | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 6d64156be
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun May 18 09:36:33 2025 +0100

    Improve the emulation of mb_stripos().

 web/functions.inc        | 96 ++++++++++++++++++++++++++++++++++++++
 web/functions_global.inc | 67 +++-----------------------
 2 files changed, 102 insertions(+), 61 deletions(-)

commit 8803a1e7a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 18:17:23 2025 +0100

    Fix bug in last commit

 web/functions_global.inc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit ddf7fb9a3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 17:52:19 2025 +0100

    Improve the emulation of mb_strpos().

 web/functions_global.inc | 63 ++++++++++++++++++++++++++++++++++++--
 1 file changed, 60 insertions(+), 3 deletions(-)

commit 89eea9006
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 14:00:25 2025 +0100

    Optimise.

 web/lib/MRBS/Utf8/Utf8String.php | 23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

commit 3fc0f538a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 13:55:52 2025 +0100

    Replace qualifier with import.

 web/lib/MRBS/Utf8/Utf8String.php | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 95d4a5b5e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 13:54:37 2025 +0100

    Restructure.

 web/functions_global.inc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 27227838e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 13:31:45 2025 +0100

    Improve emulations of mb_strtolower() and mb_strtoupper().

 web/functions_global.inc | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

commit 3ca6389bb
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 12:04:53 2025 +0100

    Add comment.

 web/functions_global.inc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit e32f6e7fc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 12:02:19 2025 +0100

    Simplify code.

 web/functions_global.inc | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 12f45932a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 11:53:27 2025 +0100

    Remove redundant code.

 web/language.inc | 11 -----------
 1 file changed, 11 deletions(-)

commit 8abe2fa47
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 11:50:07 2025 +0100

    Remove redundant parameter

 web/lib/MRBS/Utf8/Utf8String.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1c650c420
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 11:48:17 2025 +0100

    Rewrote stripBom() avoiding the use of PHP string functions

 web/lib/MRBS/Utf8/Utf8String.php | 24 +++++++++---------------
 1 file changed, 9 insertions(+), 15 deletions(-)

commit bf02be320
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat May 17 08:58:08 2025 +0100

    Provide emulations of mb_strpos() and mb_stripos()

 web/approve_entry_handler.php             |  2 +-
 web/dbsys.inc                             |  2 +-
 web/edit_area.php                         |  2 +-
 web/functions.inc                         |  2 +-
 web/functions_error.inc                   |  8 +++---
 web/functions_global.inc                  | 32 +++++++++++++++++++++
 web/functions_ical.inc                    |  2 +-
 web/import.php                            |  6 ++--
 web/language.inc                          | 11 -------
 web/lib/MRBS/Auth/AuthDb.php              |  3 +-
 web/lib/MRBS/DB_mysql.php                 |  8 +++---
 web/lib/MRBS/DB_pgsql.php                 |  2 +-
 web/lib/MRBS/MailQueue.php                |  2 +-
 web/lib/MRBS/Session/SessionWithLogin.php |  3 +-
 web/lib/MRBS/System.php                   |  4 +--
 web/mrbs_sql.inc                          |  2 +-
 web/report.php                            |  2 +-
 web/search.php                            |  2 +-
 web/upgrade/24/post.inc                   |  2 +-
 web/upgrade/47/post.inc                   |  2 +-
 20 files changed, 59 insertions(+), 40 deletions(-)

commit e30f52852
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri May 16 19:01:47 2025 +0100

    Remove redundant code.

 web/language.inc | 61 ----------------------------------------------
 1 file changed, 61 deletions(-)

commit 677744a25
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri May 16 18:55:55 2025 +0100

    Rewrite unfold() using a regex.

 web/lib/MRBS/ICalendar/RFC5545.php | 43 +---------------------------
 1 file changed, 1 insertion(+), 42 deletions(-)

commit 8173a8766
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri May 16 18:13:20 2025 +0100

    Replace utf8_strtolower() with mb_strtolower()n or an emulation.

 web/edit_users.php                  |  4 ++--
 web/functions.inc                   |  6 +++---
 web/functions_global.inc            | 23 +++++++++++++++++++++++
 web/language.inc                    | 23 ++++-------------------
 web/lib/MRBS/Auth/AuthConfig.php    |  6 ++----
 web/lib/MRBS/Auth/AuthDb.php        |  9 ++++-----
 web/lib/MRBS/Auth/AuthLdap.php      | 17 ++++++++---------
 web/lib/MRBS/Auth/AuthWordpress.php |  2 +-
 web/lib/MRBS/DB_mysql.php           |  2 +-
 web/lib/MRBS/DB_pgsql.php           |  2 +-
 web/lib/MRBS/Intl/Locale.php        |  3 +--
 web/lib/MRBS/System.php             | 12 ++++++------
 web/report.php                      |  2 +-
 web/search.php                      |  2 +-
 14 files changed, 58 insertions(+), 55 deletions(-)

commit 80ad5e09c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri May 16 14:17:28 2025 +0100

    Replace utf8_strtoupper() with mb_strtoupper()n or an emulation.

 web/functions_global.inc | 23 +++++++++++++++++++++++
 web/language.inc         | 14 --------------
 web/lib/MRBS/System.php  |  4 ++--
 web/report.php           |  4 ++--
 4 files changed, 27 insertions(+), 18 deletions(-)

commit 315346ec9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri May 16 13:57:55 2025 +0100

    Rewrite fold() method to use Utf8String class.

 web/lib/MRBS/ICalendar/RFC5545.php | 102 +++++++++++++++------------
 1 file changed, 56 insertions(+), 46 deletions(-)

commit a48e3b9ed
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 15:02:07 2025 +0100

    Remove redundant code.

 web/language.inc | 27 ---------------------------
 1 file changed, 27 deletions(-)

commit e593e9601
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 15:00:06 2025 +0100

    Remove redundant code.

 web/language.inc | 17 -----------------
 1 file changed, 17 deletions(-)

commit bae0c1603
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 14:57:44 2025 +0100

    Add support for '8bit' encoding to mb_strlen().

 web/functions_global.inc | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit c6a303a45
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 14:41:14 2025 +0100

    Implement byte count

 web/lib/MRBS/Utf8/Utf8String.php | 32 ++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 291da27ed
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 11:03:18 2025 +0100

    Remove redundant code.

 web/language.inc | 10 ----------
 1 file changed, 10 deletions(-)

commit f7aa89020
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 11:02:35 2025 +0100

    Revert test code accidentally committed.

 web/help.php | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

commit bb3aeb2b9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 10:54:48 2025 +0100

    Add comment

 web/lib/MRBS/Utf8/Utf8String.php | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 514436c24
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 10:51:44 2025 +0100

    Remove redundant code

 web/language.inc | 82 ----------------------------------------------
 1 file changed, 82 deletions(-)

commit 554509cfc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 10:47:12 2025 +0100

    Fix bug and use preg_match_all() for all strings.

 web/lib/MRBS/Utf8/Utf8String.php | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit f1cfc50f3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 09:39:55 2025 +0100

    Restructure

 web/help.php                     | 12 +++++++++++-
 web/lib/MRBS/Utf8/Utf8String.php | 14 ++++++--------
 2 files changed, 17 insertions(+), 9 deletions(-)

commit 06e08bcbc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 09:28:51 2025 +0100

    Remove redundant class

 web/lib/MRBS/Utf8/Utf8Array.php (gone) | 32 ------------------------
 1 file changed, 32 deletions(-)

commit 2ded6392e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu May 15 09:25:56 2025 +0100

    Restructure

 web/functions_global.inc         |  6 +++---
 web/lib/MRBS/Utf8/Utf8String.php | 20 ++++++++++++++++++++
 2 files changed, 23 insertions(+), 3 deletions(-)

commit 158b3f6b4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed May 14 17:31:02 2025 +0100

    Restructure

 web/lib/MRBS/System.php          | 18 +++++++
 web/lib/MRBS/Utf8/Utf8Char.php   | 19 +++++--
 web/lib/MRBS/Utf8/Utf8String.php | 81 +++++++++++++++++++++++++++++-
 web/report.php                   | 71 ++++++++------------------
 4 files changed, 135 insertions(+), 54 deletions(-)

commit 7a32c3eed
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed May 14 15:23:12 2025 +0100

    Restructure

 web/lib/MRBS/Utf8/Utf8Char.php (new) | 68 ++++++++++++++++++++++++++
 web/lib/MRBS/Utf8/Utf8String.php     | 58 +---------------------
 web/report.php                       |  2 +-
 3 files changed, 71 insertions(+), 57 deletions(-)

commit bcc62e0ad
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 17:19:19 2025 +0100

    Add comment

 web/lib/MRBS/Utf8/Utf8String.php | 1 +
 1 file changed, 1 insertion(+)

commit 196546f22
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 17:10:47 2025 +0100

    Remove redundant code

 web/language.inc | 64 ----------------------------------------------
 1 file changed, 64 deletions(-)

commit 57f8f8a7c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 17:08:03 2025 +0100

    Add UTF-8 to UTF-16 conversion

 web/lib/MRBS/Utf8/Utf8String.php | 62 ++++++++++++++++++++++++++++++
 web/report.php                   |  3 +-
 2 files changed, 64 insertions(+), 1 deletion(-)

commit e4bb59c55
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 15:59:04 2025 +0100

    Optimise code

 web/lib/MRBS/Utf8/Utf8String.php | 67 ++++++++++++++++++++----------
 1 file changed, 44 insertions(+), 23 deletions(-)

commit 1041a66b3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 15:56:00 2025 +0100

    Revert "Optimise code"
    
    This reverts commit 3649f3397c675920d0d63d8ca8c5d953c615a64c.

 web/help.php                     | 12 +-----
 web/lib/MRBS/Utf8/Utf8String.php | 67 ++++++++++--------------------
 2 files changed, 24 insertions(+), 55 deletions(-)

commit 3649f3397
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 15:54:15 2025 +0100

    Optimise code

 web/help.php                     | 12 +++++-
 web/lib/MRBS/Utf8/Utf8String.php | 67 ++++++++++++++++++++----------
 2 files changed, 55 insertions(+), 24 deletions(-)

commit c48bc79b7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 14:17:43 2025 +0100

    Remove whitespace

 web/lib/MRBS/Utf8/Utf8String.php | 1 -
 1 file changed, 1 deletion(-)

commit d02984dc6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 14:16:32 2025 +0100

    Replace qualifier with import

 web/lib/MRBS/Utf8/Utf8String.php | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 480e5a309
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 14:14:47 2025 +0100

    Optimise code

 web/lib/MRBS/Utf8/Utf8String.php | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 0ad7d15c9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 14:09:21 2025 +0100

    Add stub

 web/lib/MRBS/Utf8/Utf8String.php | 6 ++++++
 1 file changed, 6 insertions(+)

commit bf29d813b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 14:05:54 2025 +0100

    Add comment

 web/lib/MRBS/Utf8/Utf8String.php | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a8085e064
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 14:01:54 2025 +0100

    Add comment

 web/lib/MRBS/Utf8/Utf8String.php | 1 +
 1 file changed, 1 insertion(+)

commit 299fd8de8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 13:59:08 2025 +0100

    Implement explode() method and use for short strings

 web/lib/MRBS/Utf8/Utf8Array.php  | 26 ++++++++++++++------------
 web/lib/MRBS/Utf8/Utf8String.php | 30 ++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+), 12 deletions(-)

commit 41691d66d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 10:21:53 2025 +0100

    Simplify code

 web/lib/MRBS/Utf8/Utf8String.php | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit cbed64504
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 10:13:11 2025 +0100

    Simplify code

 web/lib/MRBS/Utf8/Utf8String.php | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit e96a06aa5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 10:08:52 2025 +0100

    Fix bug preventing last char in string from being found.

 web/lib/MRBS/Utf8/Utf8String.php | 29 ++++++++++-------------------
 1 file changed, 10 insertions(+), 19 deletions(-)

commit f5bf4ce64
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue May 13 09:37:03 2025 +0100

    Partially working

 web/lib/MRBS/Utf8/Utf8String.php (new) | 102 +++++++++++++++++++++++
 1 file changed, 102 insertions(+)

commit 15106bf2f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon May 12 16:25:40 2025 +0100

    Move class to a sub-directory

 web/functions_global.inc              | 2 +-
 web/lib/MRBS/{ => Utf8}/Utf8Array.php | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c32ab0f6d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon May 12 11:26:56 2025 +0100

    Switch to using emulation of mb_substr()

 web/admin.php           | 2 +-
 web/dbsys.inc           | 2 +-
 web/edit_users.php      | 2 +-
 web/functions.inc       | 4 ++--
 web/functions_table.inc | 2 +-
 web/import.php          | 4 ++--
 web/lib/MRBS/Column.php | 2 +-
 web/mrbs_sql.inc        | 6 +++---
 8 files changed, 12 insertions(+), 12 deletions(-)

commit 9f97869c9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon May 12 11:09:12 2025 +0100

    Add emulation of mb_substr()

 web/functions_global.inc   | 14 ++++++++++++++
 web/lib/MRBS/Utf8Array.php | 13 ++++++++++---
 2 files changed, 24 insertions(+), 3 deletions(-)

commit 1623977db
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun May 11 16:29:44 2025 +0100

    Remove redundant code

 web/functions_global.inc | 37 ++-----------------------------------
 1 file changed, 2 insertions(+), 35 deletions(-)

commit 1dba1fecd
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun May 11 16:26:47 2025 +0100

    Add new class Utf8Array and start using it.

 web/functions_global.inc         | 45 +++++++++++++++---------------
 web/lib/MRBS/Utf8Array.php (new) | 23 +++++++++++++++
 2 files changed, 46 insertions(+), 22 deletions(-)

commit e66ae728f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri May 9 09:37:12 2025 +0100

    Emulate mb_strlen()

 web/admin.php                           |  2 +-
 web/dbsys.inc                           |  2 +-
 web/functions_global.inc                | 55 +++++++++++++++++++++++
 web/language.inc                        | 28 +-----------
 web/lib/MRBS/Auth/Auth.php              |  3 +-
 web/lib/MRBS/Intl/IntlDateFormatter.php |  3 +-
 6 files changed, 60 insertions(+), 33 deletions(-)

commit 9f72e8bdd
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Apr 26 12:58:50 2025 +0100

    Add missing file from last commit

 web/lib/PHPMailer/SMTPUTF8.md (new) | 48 +++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

commit c23d8bfcf
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Apr 26 12:57:23 2025 +0100

    Upgrade PHPMailer to Version 6.10.0 introducing full support for RFC 6531 SMTPUTF8, meaning that you are now free to use Unicode characters in email addresses, such as JøeÜser@example.com, and everywhere else, without any complicated encoding schemes. Using this feature requires that you send through a mail server that advertises support for SMTPUTF8.

 web/lib/PHPMailer/README.md                  |  17 +-
 web/lib/PHPMailer/VERSION                    |   2 +-
 .../PHPMailer/language/phpmailer.lang-pt.php |  39 +++--
 web/lib/PHPMailer/src/PHPMailer.php          | 142 +++++++++++++++--
 web/lib/PHPMailer/src/POP3.php               |   2 +-
 web/lib/PHPMailer/src/SMTP.php               |  44 ++++-
 6 files changed, 203 insertions(+), 43 deletions(-)

commit 19fc4dac0
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Apr 24 15:59:53 2025 +0100

    Add a configuration option to allow ordinary users to delete other users' registrations.

 web/registration_handler.php |  6 +++++-
 web/systemdefaults.inc.php   |  3 +++
 web/view_entry.php           | 10 ++++++++--
 3 files changed, 16 insertions(+), 3 deletions(-)

commit fd72c5a54
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Apr 22 17:19:53 2025 +0100

    Add parameter allowing additional request headers to be specified.

 web/functions.inc | 27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

commit 5d319ce02
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Apr 22 14:23:43 2025 +0100

    Fix TypeError.  See GitHub Issue #3862.

 web/pending.php | 6 ++++++
 1 file changed, 6 insertions(+)

commit 1e37df845
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Mar 19 14:29:13 2025 +0000

    Fix 404 error

 web/js.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9d7a497eb
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Mar 14 18:36:08 2025 +0000

    Improve error messages.

 web/internalconfig.inc.php | 48 ++++++++++++++++++------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 1ba2bc599
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Mar 11 15:16:27 2025 +0000

    Add the ability to set php.ini directives using the $ini_directives config variable.

 web/init.inc               |  8 ++++++++
 web/systemdefaults.inc.php | 19 +++++++++++++++++++
 2 files changed, 27 insertions(+)

commit 440148e63
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Mar 11 14:39:30 2025 +0000

    Fix recently introduced problem making it difficult to perform backwards-compatible database upgrades in the background.

 web/lang/lang.en |  1 -
 web/upgrade.inc  | 12 +++++-------
 2 files changed, 5 insertions(+), 8 deletions(-)

commit b3a4a3c6e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Mar 7 15:12:00 2025 +0000

    Remove hard-coded square brackets text.  See GitHub Issue #3843.

 web/functions_table.inc  | 2 +-
 web/functions_view.inc   | 2 +-
 web/lang/lang.ca         | 2 +-
 web/lang/lang.cs         | 2 +-
 web/lang/lang.de         | 2 +-
 web/lang/lang.en         | 2 +-
 web/lang/lang.es         | 2 +-
 web/lang/lang.fi         | 2 +-
 web/lang/lang.fr         | 2 +-
 web/lang/lang.he         | 2 +-
 web/lang/lang.hu         | 2 +-
 web/lang/lang.id         | 2 +-
 web/lang/lang.it         | 2 +-
 web/lang/lang.ja         | 2 +-
 web/lang/lang.ms         | 2 +-
 web/lang/lang.nb         | 2 +-
 web/lang/lang.nl         | 2 +-
 web/lang/lang.nn         | 2 +-
 web/lang/lang.no         | 2 +-
 web/lang/lang.pl         | 2 +-
 web/lang/lang.pt         | 2 +-
 web/lang/lang.pt-br      | 2 +-
 web/lang/lang.ro         | 2 +-
 web/lang/lang.ru         | 2 +-
 web/lang/lang.sk         | 2 +-
 web/lang/lang.sr-latn-rs | 2 +-
 web/lang/lang.sv         | 2 +-
 web/lang/lang.th         | 2 +-
 web/lang/lang.tr         | 2 +-
 web/lang/lang.zh-cn      | 2 +-
 web/view_entry.php       | 4 ++--
 31 files changed, 32 insertions(+), 32 deletions(-)

commit 7ce931261
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Mar 1 18:00:24 2025 +0000

    Declare strict types

 web/lib/MRBS/User.php | 1 +
 1 file changed, 1 insertion(+)

commit 831e397c8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Mar 1 17:56:43 2025 +0000

    Declare strict types

 web/lib/MRBS/MailQueue.php                 | 1 +
 web/lib/MRBS/SessionHandlerDbException.php | 1 +
 2 files changed, 2 insertions(+)

commit 53cb93c18
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Mar 1 17:50:58 2025 +0000

    Declare strict types

 web/lib/MRBS/Exception.php | 1 +
 1 file changed, 1 insertion(+)

commit 962a9ec63
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Mar 1 17:49:16 2025 +0000

    Add type declarations

 web/lib/MRBS/Columns.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c609f785
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Mar 1 17:47:15 2025 +0000

    Declare strict types

 web/lib/MRBS/Columns.php | 1 +
 1 file changed, 1 insertion(+)

commit 722a7fa68
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Mar 1 17:44:52 2025 +0000

    Add type declarations

 web/lib/MRBS/Column.php | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d4f2d79e1
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Feb 28 17:55:41 2025 +0000

    Simplify code

 web/edit_entry.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f7de6425
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Feb 28 17:36:56 2025 +0000

    Add new config setting $default_duration_periods.  See GitHub Issue #3829.

 web/edit_entry.php         | 2 +-
 web/internalconfig.inc.php | 1 +
 web/systemdefaults.inc.php | 4 ++++
 3 files changed, 6 insertions(+), 1 deletion(-)

commit 90c4e39a2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Feb 27 14:24:29 2025 +0000

    Fix bug preventing the "last login" column from being sorted if it contains null values.

 web/edit_users.php | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ce4014c1a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 25 18:30:50 2025 +0000

    Correct comment

 web/lib/MRBS/Column.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f082595f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 25 18:15:09 2025 +0000

    Simplify code

 web/edit_entry_handler.php | 9 ---------
 web/edit_room_handler.php  | 8 +++-----
 web/grab_globals.inc.php   | 2 +-
 3 files changed, 4 insertions(+), 15 deletions(-)

commit 8efbb631d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 25 17:54:24 2025 +0000

    Fix problem with null input for custom fields of type float in the entry table.

 web/edit_entry_handler.php | 23 +----------------------
 1 file changed, 1 insertion(+), 22 deletions(-)

commit b2221f915
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 25 16:32:42 2025 +0000

    Slightly improved fix for the case where the timezone column is null after an upgrade. (The fix makes no difference in practice though.)

 web/mrbs_sql.inc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 364edd10f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 24 18:35:11 2025 +0000

    Fix bug when displaying room table with custom float fields that are non-null.

 web/admin.php | 7 +++++++
 1 file changed, 7 insertions(+)

commit 107a84e3f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 24 18:16:48 2025 +0000

    Fix problem with null input for custom fields of type float in the room table.

 web/edit_room_handler.php | 21 ++-------------------
 1 file changed, 2 insertions(+), 19 deletions(-)

commit 861df3a11
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 24 17:53:42 2025 +0000

    Add support for float columns

 web/lib/MRBS/Column.php | 3 +++
 1 file changed, 3 insertions(+)

commit 049a3cd2d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 24 17:42:05 2025 +0000

    Restructure

 web/functions.inc        | 32 --------------------------------
 web/grab_globals.inc.php | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+), 32 deletions(-)

commit 0229c1330
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 24 17:39:41 2025 +0000

    Restructure

 web/edit_users.php | 32 --------------------------------
 web/functions.inc  | 31 +++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+), 32 deletions(-)

commit abbaa5758
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 24 17:34:18 2025 +0000

    Add type declarations

 web/edit_users.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b2b4de989
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 24 17:19:40 2025 +0000

    Fix SQL truncate error when no value is given for a float custom field.

 web/edit_users.php       | 4 ++++
 web/grab_globals.inc.php | 7 +++++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 3b3544ecf
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 24 16:19:35 2025 +0000

    Display username if the display name cannot be found.  See GitHub Issue #3835.

 web/functions_view.inc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit d6fddce7c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Feb 23 18:29:55 2025 +0000

    Fix type of column length

 web/lib/MRBS/Column.php | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit dd63b6ec2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Feb 23 17:08:02 2025 +0000

    Add type declarations

 web/lib/MRBS/Column.php | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 59767fc7c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Feb 23 16:55:12 2025 +0000

    Declare strict types

 web/lib/MRBS/Column.php | 1 +
 1 file changed, 1 insertion(+)

commit 7acb49d75
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Feb 23 11:09:53 2025 +0000

    Correct comment.

 web/mrbs_sql.inc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit efc08e70a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Feb 22 16:15:52 2025 +0000

    Fix TypeError when viewing a period after upgrade from MRBS 1.4.7.  See GitHub Issue #3832.

 web/mrbs_sql.inc | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 8e52652db
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Feb 21 18:33:17 2025 +0000

    Fix TypeErrors

 web/functions_view.inc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 68c78c57a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Feb 21 18:25:44 2025 +0000

    Correct comment

 web/functions_mail.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 553aa7c5a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Feb 21 18:16:16 2025 +0000

    Fix TypeError

 web/functions_mail.inc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7ec26497b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Feb 21 17:26:31 2025 +0000

    Improve error message when an invalid email address is given for $mail_settings['organizer'].  See GitHub Issue #3831.

 web/functions_ical.inc     | 22 +++++++++++++++++++++-
 web/systemdefaults.inc.php |  5 +++--
 2 files changed, 24 insertions(+), 3 deletions(-)

commit 9f5288dc8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Feb 20 17:35:53 2025 +0000

    Fix TypeError

 web/edit_users.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7bb59c26c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 18 17:02:16 2025 +0000

    Fix bug introduced in recent commit

 web/grab_globals.inc.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd3e9c5c2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 18 15:37:17 2025 +0000

    Fix Issue #3826.

 web/js/edit_entry.js.php | 6 ++++++
 1 file changed, 6 insertions(+)

commit f57da509b
Merge: aca9e4960 10fe45481
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 18 14:54:56 2025 +0000

    Merge pull request #3827 from meeting-room-booking-system/3825-skip-and-book-only-makes-bookings-for-the-last-room-when-booking-a-seies-for-multiple-rooms-with-conflicts
    
    Fix Issue #3825.

commit 10fe45481
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 18 14:53:28 2025 +0000

    Fix Issue #3825.

 web/lib/MRBS/Form/Form.php | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit aca9e4960
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 18 13:53:48 2025 +0000

    Simplify code

 web/edit_entry.php | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit b33b6b0f3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 18 13:48:37 2025 +0000

    Enhance get_form_var() to allow arrays of bool, decimal, int or string.

 web/grab_globals.inc.php | 143 ++++++++++++++++++++++++++-----------
 1 file changed, 102 insertions(+), 41 deletions(-)

commit aaf4b42b2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 17 16:46:34 2025 +0000

    Fix TypeError

 web/edit_entry.php | 2 ++
 1 file changed, 2 insertions(+)

commit 8e00c6bee
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Feb 15 15:36:07 2025 +0000

    Fix TypeError

 web/lib/MRBS/Auth/AuthDb.php | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 3244b932e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Feb 15 15:24:32 2025 +0000

    Fix TypeError

 web/Themes/default/header.inc | 5 +++++
 1 file changed, 5 insertions(+)

commit 13f10659d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Feb 14 16:35:04 2025 +0000

    Add type declaration

 web/pending.php | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 51425ddd0
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Feb 14 16:25:44 2025 +0000

    Standardise use of white space in declaration.

 web/lib/MRBS/Auth/Auth.php      | 2 +-
 web/lib/MRBS/Auth/AuthDb.php    | 2 +-
 web/lib/MRBS/Auth/AuthDbExt.php | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 95d8ac0e4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Feb 14 16:19:56 2025 +0000

    Declare strict types

 web/edit_users.php | 1 +
 1 file changed, 1 insertion(+)

commit 412d8bc8b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Feb 14 16:13:29 2025 +0000

    Add type declaration

 web/dbsys.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b6f8b935f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Feb 12 18:20:58 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/view_entry.php | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit a079dfa9b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Feb 12 18:18:12 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/upgrade.inc | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit cc889d56c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Feb 12 18:13:18 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/Themes/default/header.inc | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit da260ab87
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Feb 12 18:08:40 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/style.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3053c1d7b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Feb 12 16:25:36 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/search.php | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 0eb02081a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Feb 12 16:22:16 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/report.php | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 3e7ecac50
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Feb 12 15:53:42 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/pending.php | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit 7c3366ac2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 11 17:15:53 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/mrbs_sql.inc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 3854e4700
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 11 17:10:49 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/mrbs_auth.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d7b8f5d73
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 11 17:06:56 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/lib/MRBS/Message.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c00d486a7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 11 17:04:20 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/lib/MRBS/Form/Field.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d56f21dc3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 11 17:00:50 2025 +0000

    Simplify code

 web/lib/MRBS/Form/Element.php | 19 ++-----------------
 1 file changed, 2 insertions(+), 17 deletions(-)

commit 2a7421f2e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 11 16:54:04 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/lib/MRBS/Form/Element.php | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit dd8362610
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 11 16:42:15 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/js.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e2e753fc6
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 11 16:37:57 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/import.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 96eb7ea79
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Feb 11 16:34:42 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/functions_mail.inc | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit eb0bccdc1
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 10 18:47:52 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/help.php | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit dab75663f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 10 18:44:07 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/index.php | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit c2c511a40
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 10 18:40:26 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/functions_error.inc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7e9556ef7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 10 18:34:36 2025 +0000

    Fix potential TypeError

 web/edit_users.php | 1 +
 1 file changed, 1 insertion(+)

commit 1bdea4d46
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 10 18:08:29 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/edit_users.php | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 7ba71ab46
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 10 18:03:37 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/edit_room.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 41835e227
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 10 18:00:49 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/del.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1caf09ffc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Feb 10 17:54:33 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/admin.php | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit e5907d92b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 31 18:38:59 2025 +0000

    Replace htmlspecialchars() by escape_html().

 web/functions_view.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f0a88900
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 31 18:31:19 2025 +0000

    Declare strict types

 web/functions_view.inc | 1 +
 1 file changed, 1 insertion(+)

commit f0bc376d1
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 31 18:23:40 2025 +0000

    Declare strict types

 web/functions_table.inc | 79 ++++++++++++++++++++-------------------
 1 file changed, 40 insertions(+), 39 deletions(-)

commit 357f5efd3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 31 18:17:18 2025 +0000

    Declare strict types

 web/functions_mail.inc | 1 +
 1 file changed, 1 insertion(+)

commit 89490f0c1
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 31 18:09:24 2025 +0000

    Add HTML escaping (not strictly necessary)

 web/edit_users.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d22679745
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 31 17:54:15 2025 +0000

    Declare strict types

 web/edit_users.php |  4 ++--
 web/functions.inc  | 20 ++++++++++++++++++++
 2 files changed, 22 insertions(+), 2 deletions(-)

commit 5090949f8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jan 30 17:27:04 2025 +0000

    Fix typo in comment

 web/upgrade.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0527a74ac
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jan 30 17:24:48 2025 +0000

    Add comment

 web/upgrade.inc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 1b86e57a0
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jan 29 14:14:30 2025 +0000

    Change getLevel() method from private to protected to allow extension.  See GitHub Issue #3818.

 web/lib/MRBS/Auth/AuthCas.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 71d8dc60d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jan 28 18:49:28 2025 +0000

    Fix bug introduced in recent commit.

 web/upgrade/13/post.inc |  5 ++---
 web/upgrade/15/post.inc |  6 ++---
 web/upgrade/16/post.inc |  3 +--
 web/upgrade/17/post.inc | 20 ++++++++---------
 web/upgrade/2/post.inc  |  5 ++---
 web/upgrade/21/post.inc |  6 ++---
 web/upgrade/24/post.inc | 38 ++++++++++++++++----------------
 web/upgrade/32/post.inc |  6 ++---
 web/upgrade/34/post.inc |  6 ++---
 web/upgrade/4/post.inc  |  5 ++---
 web/upgrade/43/post.inc |  5 ++---
 web/upgrade/47/post.inc | 46 +++++++++++++++++++--------------------
 web/upgrade/5/post.inc  |  8 +++----
 web/upgrade/50/post.inc |  5 ++---
 web/upgrade/51/post.inc |  5 ++---
 web/upgrade/52/post.inc | 12 +++++-----
 web/upgrade/53/post.inc |  8 +++----
 web/upgrade/6/post.inc  | 12 +++++-----
 web/upgrade/65/post.inc |  3 +--
 web/upgrade/7/post.inc  |  9 ++++----
 web/upgrade/8/post.inc  |  4 +---
 web/upgrade/81/post.inc |  7 +++---
 22 files changed, 101 insertions(+), 123 deletions(-)

commit c6fa83ef5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jan 28 18:35:45 2025 +0000

    Improve error handling

 web/upgrade.inc | 5 +++++
 1 file changed, 5 insertions(+)

commit 3af6516d7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jan 28 18:03:16 2025 +0000

    Improve layout of upgrade messages

 web/upgrade.inc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 46608e7e5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jan 28 17:57:35 2025 +0000

    Properly fix bug causing "OK" to be output before the upgrade has been completed.

 web/upgrade.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9aef2544e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jan 28 17:45:21 2025 +0000

    Fix bug causing "OK" to be output before the upgrade has been completed.

 web/upgrade.inc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ffa5e61d0
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jan 28 17:01:06 2025 +0000

    Simplify code

 web/dbsys.inc   | 30 +++++-------------------------
 web/upgrade.inc |  4 ++--
 2 files changed, 7 insertions(+), 27 deletions(-)

commit d05435f37
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jan 27 18:11:47 2025 +0000

    Simplify code

 web/upgrade.inc | 64 ++++++++++++++++++++++-------------------------
 1 file changed, 30 insertions(+), 34 deletions(-)

commit 523090d6e
Merge: cb14fd914 2fa878eeb
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 17:54:27 2025 +0000

    Merge pull request #3814 from meeting-room-booking-system/3805-upgrading-doesnt-work-in-multisite-mode-if-the-sub-sites-do-not-all-use-the-same-database
    
    3805 upgrading doesnt work in multisite mode if the sub sites do not all use the same database

commit 2fa878eeb (origin/3805-upgrading-doesnt-work-in-multisite-mode-if-the-sub-sites-do-not-all-use-the-same-database)
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 17:45:11 2025 +0000

    Add comment

 web/upgrade.inc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 509580142
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 17:39:12 2025 +0000

    Improve error handling

 web/upgrade.inc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5ddf7cc63
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 17:23:14 2025 +0000

    Try and establish connections to other sites using the DB credentials we already have.

 web/dbsys.inc             | 20 ++++++++++++++++++--
 web/lib/MRBS/DB.php       |  7 -------
 web/lib/MRBS/DB_mysql.php |  2 +-
 web/lib/MRBS/DB_pgsql.php |  2 +-
 web/upgrade.inc           | 36 ++++++++++++++++++++++++++++++++++--
 5 files changed, 54 insertions(+), 13 deletions(-)

commit 3d1778b04
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 14:45:07 2025 +0000

    Add a message if a site doesn't need upgrading.

 web/lang/lang.en | 1 +
 web/upgrade.inc  | 4 ++++
 2 files changed, 5 insertions(+)

commit 3558d787a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 14:34:23 2025 +0000

    Rename function

 web/upgrade.inc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6d44e6851
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 14:27:32 2025 +0000

    Add type declarations

 web/upgrade.inc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3311f9a3c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 12:31:49 2025 +0000

    Improve layout

 web/css/mrbs.css.php | 7 +++++++
 web/upgrade.inc      | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit b676190c9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 12:22:37 2025 +0000

    Restructure

 web/upgrade.inc | 78 ++++++++++++++++++++++++++---------------------
 1 file changed, 44 insertions(+), 34 deletions(-)

commit 9fd551583
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 12:13:55 2025 +0000

    Improve reporting

 web/lang/lang.en |  8 +++++---
 web/upgrade.inc  | 46 +++++++++++++++++++++++++++++++++-------------
 2 files changed, 38 insertions(+), 16 deletions(-)

commit fb5b01b55
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 24 11:34:14 2025 +0000

    Working version

 web/lang/lang.en |   4 +-
 web/upgrade.inc  | 203 +++++++++++++++++++++++++++------------------
 2 files changed, 126 insertions(+), 81 deletions(-)

commit bc387783e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jan 23 14:41:58 2025 +0000

    Add type declarations

 web/upgrade.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 401ab059d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jan 23 14:40:46 2025 +0000

    Move functions to top of file, for consistency with the rest of MRBS.

 web/upgrade.inc | 335 +++++++++++++++++++++++-----------------------
 1 file changed, 169 insertions(+), 166 deletions(-)

commit 845039192
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jan 23 14:32:20 2025 +0000

    Add check for downgrade.

 web/lang/lang.en | 1 +
 web/upgrade.inc  | 9 +++++++++
 2 files changed, 10 insertions(+)

commit cb14fd914
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jan 23 14:02:16 2025 +0000

    Partial revert before creating branch.

 web/upgrade.inc | 103 +++++-----------------------------------------
 1 file changed, 11 insertions(+), 92 deletions(-)

commit 9008067ad
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jan 23 13:48:06 2025 +0000

    Add file missed from previous commit.

 ...poofingAttemptDetectedException.php (new) | 24 ++++++++++++++++++
 1 file changed, 24 insertions(+)

commit e64c4ae78
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jan 22 18:37:22 2025 +0000

    Fix a few bugs

 web/dbsys.inc                    |  12 ++--
 web/lib/MRBS/Session/Session.php |   2 +-
 web/upgrade.inc                  | 108 +++++++++++++++++++++++------
 3 files changed, 92 insertions(+), 30 deletions(-)

commit ea6889fd5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jan 22 16:13:29 2025 +0000

    Simplify code

 web/upgrade.inc | 39 +++++++++++++++++++--------------------
 1 file changed, 19 insertions(+), 20 deletions(-)

commit a5eff84fa
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jan 22 15:36:21 2025 +0000

    Check that we're upgrading a database for which we have a valid connection.

 web/lang/lang.en |  4 +++
 web/upgrade.inc  | 74 ++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 72 insertions(+), 6 deletions(-)

commit b4e08e2ab
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jan 21 17:10:33 2025 +0000

    Upgrade to Release 6.1.0

 web/lib/Webklex/PHPIMAP/Address.php          |  18 +++
 web/lib/Webklex/PHPIMAP/Attachment.php       |  35 +++--
 web/lib/Webklex/PHPIMAP/Client.php           |  16 +-
 .../Connection/Protocols/ImapProtocol.php    |  46 +++++-
 .../PHPIMAP/Decoder/HeaderDecoder.php        |   4 +-
 web/lib/Webklex/PHPIMAP/Folder.php           |   9 +-
 web/lib/Webklex/PHPIMAP/Header.php           | 133 +++++++++++++++--
 web/lib/Webklex/PHPIMAP/Message.php          |  17 +--
 web/lib/Webklex/PHPIMAP/Query/Query.php      |   7 +-
 web/lib/Webklex/PHPIMAP/Structure.php        |   5 +-
 web/lib/Webklex/PHPIMAP/Traits/HasEvents.php |   9 ++
 web/lib/Webklex/PHPIMAP/config/imap.php      |  30 +++-
 12 files changed, 275 insertions(+), 54 deletions(-)

commit 0e6d63bd2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jan 19 17:35:05 2025 +0000

    Add method createDsn()

 web/lib/MRBS/DBFactory.php | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 169a0397f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jan 19 17:20:03 2025 +0000

    Restructure

 web/lib/MRBS/DBFactory.php | 41 ++++++++++++++++++++----------------
 1 file changed, 23 insertions(+), 18 deletions(-)

commit c88ad06d8
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Jan 19 17:06:58 2025 +0000

    Restructure

 web/lib/MRBS/DB.php | 57 ++++++++++++++++++++++++++++---------------
 1 file changed, 38 insertions(+), 19 deletions(-)

commit eed59c26e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Jan 17 11:23:44 2025 +0000

    Upgrade to Release 6.0.0

 web/lib/Webklex/PHPIMAP/Attachment.php       |  81 ++++-
 web/lib/Webklex/PHPIMAP/Client.php           |   8 +-
 web/lib/Webklex/PHPIMAP/Config.php           |  29 ++
 .../Connection/Protocols/ImapProtocol.php    |  74 +++-
 .../Protocols/ProtocolInterface.php          |   2 +-
 .../Decoder/AttachmentDecoder.php (new)      |  21 ++
 .../PHPIMAP/Decoder/Decoder.php (new)        | 161 +++++++++
 .../Decoder/DecoderInterface.php (new)       |  52 +++
 .../PHPIMAP/Decoder/HeaderDecoder.php (new)  |  98 ++++++
 .../PHPIMAP/Decoder/MessageDecoder.php (new) | 119 +++++++
 .../DecoderNotFoundException.php (new)       |  24 ++
 web/lib/Webklex/PHPIMAP/Folder.php           |  57 ++-
 web/lib/Webklex/PHPIMAP/Header.php           | 309 ++++++-----------
 web/lib/Webklex/PHPIMAP/Message.php          | 168 +++------
 web/lib/Webklex/PHPIMAP/config/imap.php      |  32 +-
 15 files changed, 854 insertions(+), 381 deletions(-)

commit f93a52f84
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jan 13 18:35:06 2025 +0000

    Fix bug causing the incorrect end time and duration to be shown when using periods in a system with areas using different timezones.

 web/mrbs_sql.inc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 93fd6e60c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jan 13 17:50:28 2025 +0000

    Fix bug causing incorrect end time to be shown in reports when using periods.

 web/report.php | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit eac38a933
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Jan 13 16:57:21 2025 +0000

    Add 'last_updated' key to get_entries_by_area() and get_entries_by_room().  See GitHub Issue #3791.

 web/mrbs_sql.inc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit bd13b8674
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Jan 9 15:51:32 2025 +0000

    Make it easier to extend the AuthDb class by removing tests of the kind $auth['type'] == 'db'.  See GitHub Issue #3803.

 web/Themes/default/header.inc |  2 +-
 web/edit_users.php            |  4 +--
 web/functions_ical.inc        | 46 +--------------------------
 web/index.php                 |  5 +--
 web/lib/MRBS/Auth/Auth.php    | 55 ++++++++++++++++++++++++++++++---
 web/lib/MRBS/Auth/AuthDb.php  | 33 ++++++++++++++++++++
 web/mrbs_auth.inc             |  2 +-
 7 files changed, 91 insertions(+), 56 deletions(-)

commit 93ea45a57
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Jan 8 12:37:35 2025 +0000

    Clarified documentation for configuring the database settings.  See GitHub Issue #3801.

 INSTALL                   | 5 +++++
 web/config.inc.php-sample | 6 ++++++
 2 files changed, 11 insertions(+)

commit 637b63531
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Jan 7 15:07:01 2025 +0000

    Fix bug resulting in an unwanted '%' appearing in text when copying email addresses.

 web/lang/lang.ca | 2 +-
 web/lang/lang.en | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5ce148a2a
Author: Fabian Ascheberg <88002233+Stachelritter@users.noreply.github.com>
Date:   Sat Dec 28 23:03:14 2024 +0100

    German translation updated (#3800)

 web/lang/lang.de | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit 8704026e7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Dec 28 12:34:28 2024 +0000

    Improve styling by adding a margin underneath the search results heading.

 web/css/mrbs.css.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c842d3a8a
Merge: 7ecfaaef2 8be305175
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Dec 28 12:28:17 2024 +0000

    Merge pull request #3799 from meeting-room-booking-system/3798-search-prev-and-next-buttons-appear-even-when-using-ajax-datatables
    
    Fix problem of Prev and Next buttons appearing on the Search results …

commit 8be305175
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Dec 28 12:22:45 2024 +0000

    Fix problem of Prev and Next buttons appearing on the Search results page.  The fix reverts commit 22c0842.

 web/js/general.js.php | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 7ecfaaef2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 27 18:02:07 2024 +0000

    Correct comment.

 web/js/search.js.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ed8ef421
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 27 17:51:37 2024 +0000

    Fix TypeError.  See GitHub Issue #3797.

 web/search.php | 1 +
 1 file changed, 1 insertion(+)

commit 1d3f903d4
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 27 10:58:57 2024 +0000

    Fix potential TypeError

 web/lib/MRBS/Intl/IntlDateFormatter.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3b139fc96
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Dec 26 15:10:27 2024 +0000

    Improve error handling further by detecting invalid locales earlier.  See GitHub Issue #3796.

 web/lib/MRBS/Intl/IntlDateFormatter.php | 7 +++++++
 1 file changed, 7 insertions(+)

commit 2059cc0fe
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Dec 26 13:57:41 2024 +0000

    Improve error handling.  See GitHub Issue #3796.

 web/lib/MRBS/Intl/IntlDateFormatter.php | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 091041b53
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Dec 23 16:00:29 2024 +0000

    Simplify code

 web/js/resizable.js.php | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

commit d0b792504
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Dec 22 17:13:55 2024 +0000

    Enable automatic scrolling when resizing bookings.

 web/js/resizable.js.php | 113 +++++++++++++++++++++++++++++++-------
 1 file changed, 92 insertions(+), 21 deletions(-)

commit 05de24c6a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 20 16:30:24 2024 +0000

    Standardise on no leading or trailing spaces for the output of the syntax_* methods.

 web/lib/MRBS/DB_mysql.php | 2 +-
 web/lib/MRBS/DB_pgsql.php | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 50b69803f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 20 16:23:55 2024 +0000

    Standardise on no leading or trailing spaces for the output of the syntax_* methods.

 web/lib/MRBS/DB_mysql.php | 2 +-
 web/lib/MRBS/DB_pgsql.php | 2 +-
 web/report.php            | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 9af837f78
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 20 16:13:26 2024 +0000

    Remove redundant code

 web/edit_room_handler.php | 2 --
 1 file changed, 2 deletions(-)

commit 947cc9682
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 20 16:12:34 2024 +0000

    Remove redundant comment

 web/edit_room_handler.php | 1 -
 1 file changed, 1 deletion(-)

commit 351da5f31
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 20 16:06:01 2024 +0000

    Standardise on no leading or trailing spaces for the output of the syntax_* methods.

 web/lib/MRBS/DB_mysql.php | 2 +-
 web/lib/MRBS/DB_pgsql.php | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d2b804055
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 20 15:29:37 2024 +0000

    Standardise on no leading or trailing spaces for the output of the syntax_* methods.

 web/lib/MRBS/Auth/AuthDb.php | 2 +-
 web/lib/MRBS/DB_mysql.php    | 2 +-
 web/lib/MRBS/DB_pgsql.php    | 2 +-
 web/mrbs_sql.inc             | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 2667e3ede
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Dec 19 18:52:28 2024 +0000

    Fix HTML escaping

 web/edit_users.php | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 943634d1f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Dec 19 18:19:23 2024 +0000

    Fix bug causing the wrong timezone to be used for the "last updated" column in the users list if the server timezone differs from timezone of the default area.

 web/edit_users.php           | 17 ++++++-----------
 web/lib/MRBS/Auth/AuthDb.php |  5 ++++-
 2 files changed, 10 insertions(+), 12 deletions(-)

commit f6472d09b
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Dec 17 16:21:46 2024 +0000

    Fix bug preventing use of the < navigation button in the day view when there are hidden days.

 web/index.php | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit 6e3be5ff3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Dec 17 10:51:16 2024 +0000

    Catch ERRORs in the destructor and add logging of exceptions and errors caught.

 web/lib/MRBS/DB.php | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit c4dc2ce5f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Dec 16 18:10:13 2024 +0000

    Add comments

 web/Themes/default/header.inc | 1 +
 web/js/datepicker.js.php      | 1 +
 2 files changed, 2 insertions(+)

commit be9e4d69c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Dec 15 17:13:44 2024 +0000

    Simplify code

 web/js/datepicker.js.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dcaba28fc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Dec 15 16:42:16 2024 +0000

    Simplify code

 web/js/datepicker.js.php | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

commit c99bd96c0
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Dec 15 16:10:47 2024 +0000

    Fix bug causing hidden days to be disabled in custom date fields.

 web/Themes/default/header.inc | 13 +++++----
 web/js/datepicker.js.php      | 52 ++++++++++++++++++---------------
 2 files changed, 37 insertions(+), 28 deletions(-)

commit 3aee2759f
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Dec 15 11:27:06 2024 +0000

    Improve the view after a booking has been saved so that the brief description is visible.

 web/js/resizable.js.php | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit 9a2cc2c75
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 13 18:03:15 2024 +0000

    Make admin pages have level $max_level rather than 2.  See GitHub Issue #3785.

 web/mrbs_auth.inc | 14 +-------------
 1 file changed, 1 insertion(+), 13 deletions(-)

commit c01fa03db
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Wed Dec 11 14:39:57 2024 +0000

    Change "message" to "System message" to make its purpose clearer.  See GitHub Issue #3784.

 web/lang/lang.en | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f9368826
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Dec 10 19:01:37 2024 +0000

    Add config setting to control auto-scrolling.  See GitHub Issue #3783.

 web/js/refresh.js.php      | 7 ++++++-
 web/systemdefaults.inc.php | 5 ++++-
 2 files changed, 10 insertions(+), 2 deletions(-)

commit fcb3d2d25
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Dec 8 18:12:12 2024 +0000

    Restructure

 web/js/resizable.js.php | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 44fc7c27d
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Dec 8 17:53:15 2024 +0000

    Restructure

 web/js/resizable.js.php | 137 ++++++++++++++++++++------------------
 1 file changed, 72 insertions(+), 65 deletions(-)

commit f0900a07a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Dec 8 17:17:48 2024 +0000

    Simplify code

 web/js/resizable.js.php | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit ee64abfcc
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 6 18:25:27 2024 +0000

    Simplify code

 web/js/resizable.js.php | 45 ++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 24 deletions(-)

commit b6d3f0d6a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 6 18:09:01 2024 +0000

    Fix row highlighting when resizing

 web/js/resizable.js.php | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 115843ada
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 6 17:45:54 2024 +0000

    Simplify code

 web/js/resizable.js.php | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)

commit c395d999c
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 6 17:26:31 2024 +0000

    Fix problem when resizing a booking that has a portion it out of view at the left or right of the table.

 web/js/resizable.js.php | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit 8b2da62dd
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Dec 6 16:52:10 2024 +0000

    Fix problem when resizing a booking that has a portion it of view at the bottom of the table.

 web/js/resizable.js.php | 75 ++++++++++++++++++++++-----------------
 1 file changed, 43 insertions(+), 32 deletions(-)

commit 4877a2281
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Thu Dec 5 18:36:43 2024 +0000

    Fix problem when resizing a booking past the top of the table.

 web/js/resizable.js.php | 25 +++++++++----------------
 1 file changed, 9 insertions(+), 16 deletions(-)

commit cfa27b36a
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Dec 3 16:37:41 2024 +0000

    Fix bug resulting in booking resizing not working.

 web/js/resizable.js.php | 345 ++++++++++++++++++++++++--------------
 1 file changed, 216 insertions(+), 129 deletions(-)

commit bf5fadce7
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Dec 1 15:26:01 2024 +0000

    Upgrade to jQuery UI 1.14.1

 web/jquery/ui/LICENSE.txt                    |   2 +-
 ...ui-bg_diagonals-thick_90_eeeeee_40x40.png | Bin 432 -> 416 bytes
 .../images/ui-bg_glass_100_e4f1fb_1x400.png  | Bin 460 -> 444 bytes
 .../images/ui-bg_glass_50_3baae3_1x400.png   | Bin 446 -> 430 bytes
 .../images/ui-bg_glass_80_d7ebf9_1x400.png   | Bin 456 -> 440 bytes
 ...ui-bg_highlight-hard_100_f2f5f7_1x100.png | Bin 442 -> 426 bytes
 .../ui-bg_highlight-hard_70_000000_1x100.png | Bin 362 -> 346 bytes
 ...ui-bg_highlight-soft_100_deedf7_1x100.png | Bin 497 -> 481 bytes
 .../ui-bg_highlight-soft_25_ffef8f_1x100.png | Bin 419 -> 403 bytes
 .../images/ui-icons_2694e8_256x240.png       | Bin 4670 -> 4654 bytes
 .../images/ui-icons_2e83ff_256x240.png       | Bin 4670 -> 4654 bytes
 .../images/ui-icons_3d80b3_256x240.png       | Bin 4670 -> 4654 bytes
 .../images/ui-icons_72a7cf_256x240.png       | Bin 4670 -> 4654 bytes
 .../images/ui-icons_ffffff_256x240.png       | Bin 6539 -> 6523 bytes
 .../ui/css/cupertino/jquery-ui.theme.css     |  19 +-
 .../ui/css/cupertino/jquery-ui.theme.min.css |   8 +-
 ...i-bg_diagonals-medium_20_d34d17_40x40.png | Bin 440 -> 476 bytes
 .../ui-bg_gloss-wave_45_817865_500x100.png   | Bin 5948 -> 5984 bytes
 .../ui-bg_gloss-wave_60_fece2f_500x100.png   | Bin 5908 -> 5944 bytes
 .../ui-bg_gloss-wave_70_ffdd57_500x100.png   | Bin 5601 -> 5637 bytes
 .../ui-bg_gloss-wave_90_fff9e5_500x100.png   | Bin 5447 -> 5483 bytes
 ...ui-bg_highlight-soft_100_feeebd_1x100.png | Bin 401 -> 437 bytes
 .../ui-bg_inset-soft_30_ffffff_1x100.png     | Bin 261 -> 297 bytes
 .../sunny/images/ui-icons_3d3d3d_256x240.png | Bin 7074 -> 7110 bytes
 .../sunny/images/ui-icons_bd7b00_256x240.png | Bin 4618 -> 4654 bytes
 .../sunny/images/ui-icons_d19405_256x240.png | Bin 4618 -> 4654 bytes
 .../sunny/images/ui-icons_eb990f_256x240.png | Bin 4618 -> 4654 bytes
 .../sunny/images/ui-icons_ed9f26_256x240.png | Bin 4618 -> 4654 bytes
 .../sunny/images/ui-icons_fadc7a_256x240.png | Bin 4618 -> 4654 bytes
 .../sunny/images/ui-icons_ffe180_256x240.png | Bin 4618 -> 4654 bytes
 web/jquery/ui/css/sunny/jquery-ui.theme.css  |  19 +-
 .../ui/css/sunny/jquery-ui.theme.min.css     |   8 +-
 web/jquery/ui/jquery-ui.js                   | 669 +++++++----------
 web/jquery/ui/jquery-ui.min.js               |   8 +-
 34 files changed, 309 insertions(+), 424 deletions(-)

commit 6b66ead72
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 30 18:49:01 2024 +0000

    Upgrade to jQuery 3.7.1 and jQuery Migrate 3.5.0

 web/jquery/jquery-3.7.0.min.js (gone)        |   2 -
 .../{jquery-3.7.0.js => jquery-3.7.1.js}     |  48 ++++--
 web/jquery/jquery-3.7.1.min.js (new)         |   2 +
 .../jquery-migrate-3.4.0.min.js (gone)       |   2 -
 ...rate-3.4.0.js => jquery-migrate-3.5.0.js} | 151 +++++++++++------
 web/jquery/jquery-migrate-3.5.0.min.js (new) |   2 +
 web/js.inc                                   |   4 +-
 7 files changed, 136 insertions(+), 75 deletions(-)

commit 902b6eccb
Merge: 453aa7a86 5a2069bf1
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 30 11:57:43 2024 +0000

    Merge pull request #3782 from meeting-room-booking-system/3742-any-way-to-automate-the-ics-export
    
    3742 any way to automate the ics export

commit 5a2069bf1
Merge: d8322fe77 9eec1b4fb
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sat Nov 30 11:54:37 2024 +0000

    Merge branch 'main' into 3742-any-way-to-automate-the-ics-export

commit 9eec1b4fb
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 24 19:17:03 2024 +0000

    Fix typo in comment

 web/help.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 453aa7a86
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 24 19:13:22 2024 +0000

    Upgrade to latest code from v2.x-php7.4 branch

 .../Settings/SettingsContainerAbstract.php         | 12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

commit 7bc2059d9
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 24 19:04:41 2024 +0000

    Upgrade to latest code from v5.0.x branch

 .../Common/LuminanceSourceAbstract.php       |  5 +-
 .../chillerlan/QRCode/Common/MaskPattern.php |  2 +-
 web/lib/chillerlan/QRCode/Data/AlphaNum.php  | 83 +++++++++---------
 web/lib/chillerlan/QRCode/Data/ECI.php       | 28 ++++--
 web/lib/chillerlan/QRCode/Data/Hanzi.php     |  3 +-
 web/lib/chillerlan/QRCode/Data/Kanji.php     |  3 +-
 web/lib/chillerlan/QRCode/Data/Number.php    | 60 ++++---------
 web/lib/chillerlan/QRCode/Data/QRData.php    |  2 +-
 web/lib/chillerlan/QRCode/Data/QRMatrix.php  |  1 +
 .../QRCode/Decoder/ReedSolomonDecoder.php    |  2 +-
 .../Detector/AlignmentPatternFinder.php      |  3 +-
 .../QRCode/Detector/FinderPatternFinder.php  |  3 +
 .../QRCode/Detector/GridSampler.php          | 18 ++--
 web/lib/chillerlan/QRCode/Output/QREps.php   |  2 +-
 web/lib/chillerlan/QRCode/Output/QRFpdf.php  |  2 +-
 .../QRCode/Output/QRStringJSON.php           |  2 +-
 web/lib/chillerlan/QRCode/QRCode.php         |  6 +-
 17 files changed, 108 insertions(+), 117 deletions(-)

commit b72415ae2
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Sun Nov 24 18:26:25 2024 +0000

    Upgrade to Version 6.9.3.

 web/lib/PHPMailer/README.md                  |  2 +-
 web/lib/PHPMailer/VERSION                    |  2 +-
 .../language/phpmailer.lang-am.php (gone)    | 26 -----------------
 .../language/phpmailer.lang-ch.php (gone)    | 27 ------------------
 web/lib/PHPMailer/src/PHPMailer.php          | 20 ++++++-------
 web/lib/PHPMailer/src/POP3.php               |  2 +-
 web/lib/PHPMailer/src/SMTP.php               | 12 ++++----
 7 files changed, 19 insertions(+), 72 deletions(-)

commit d8322fe77
Merge: cf4d5d8f8 1952066f3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 18 14:55:12 2024 +0000

    Merge branch 'main' into 3742-any-way-to-automate-the-ics-export

commit 1952066f3
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 18 14:51:36 2024 +0000

    Add full description to title attribute in month view.  See GitHub Issue #3780.

 web/functions_table.inc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit cf4d5d8f8
Merge: bd29cb0bb 3fe0cad51
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Nov 12 09:15:37 2024 +0000

    Merge branch 'main' into 3742-any-way-to-automate-the-ics-export

commit 3fe0cad51
Merge: bf570e061 271dc322e
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Tue Nov 12 09:12:04 2024 +0000

    Merge pull request #3775 from piotr119955/patch-1
    
    Update lang.pl

commit 271dc322e
Author: piotr119955 <piotr@szwedzinski.com>
Date:   Tue Nov 12 09:38:37 2024 +0100

    Update lang.pl
    
    Add $vocab["today"]

 web/lang/lang.pl | 1 +
 1 file changed, 1 insertion(+)

commit bd29cb0bb
Merge: d25bd9b11 bf570e061
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 11 19:07:11 2024 +0000

    Merge branch 'main' into 3742-any-way-to-automate-the-ics-export

commit bf570e061
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 11 19:02:59 2024 +0000

    Add type declaration

 web/edit_entry.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d25bd9b11
Merge: b46b0f100 2272392a5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 11 18:58:29 2024 +0000

    Merge branch 'main' into 3742-any-way-to-automate-the-ics-export

commit 2272392a5
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 11 18:56:49 2024 +0000

    Add type declarations

 web/edit_entry.php | 5 +++--
 web/functions.inc  | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit afef113cf
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Mon Nov 11 18:49:41 2024 +0000

    Add type declarations

 web/edit_entry.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b46b0f100 (origin/3742-any-way-to-automate-the-ics-export)
Merge: 70197bc4f ab0d8fdad
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 8 18:51:44 2024 +0000

    Merge branch 'main' into 3742-any-way-to-automate-the-ics-export

commit ab0d8fdad
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 8 18:50:42 2024 +0000

    Restructure, using constant for 'Y-m-d'.

 web/edit_entry.php             |  2 +-
 web/edit_entry_handler.php     |  2 +-
 web/functions.inc              |  6 +++---
 web/functions_view.inc         |  2 +-
 web/lib/MRBS/DateTime.php      |  7 ++++---
 web/lib/MRBS/EntryInterval.php |  3 +--
 web/mrbs_sql.inc               |  6 +++---
 web/report.php                 | 10 +++++-----
 web/search.php                 |  2 +-
 9 files changed, 20 insertions(+), 20 deletions(-)

commit c43332799
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
Date:   Fri Nov 8 17:36:40 2024 +0000

    Simplify code

 web/functions.inc | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 70197bc4f
Merge: ad972be23 ac8ea0a39
Author: campbell-m <87438215+campbell-m@users.noreply.github.com>
